Thu May 10 15:45:56 CEST 2012 (tk)
----------------------------------
 * freshclam: give custom dbs higher priority during update

Tue May  8 15:31:51 CEST 2012 (acab)
------------------------------------
 * libclamav: detect read races and abort the scan with an error
	      (bb#4669)

Tue Apr 10 17:04:20 CEST 2012 (tk)
----------------------------------
 * libclamav/pe.c: drop old header check (bb#4699)

Thu Mar  1 19:49:21 CET 2012 (tk)
---------------------------------
 * clamd: ScanOnAccess now supports ClamAuth on OS X

Wed Feb 29 18:35:45 CET 2012 (acab)
-----------------------------------
 * libclamav/bytecode.c: reset to BYTECODE_AUTO mode at db reload so that
			 we don't fail to re-enable or re-disable it again
			 (bb#3789)

Wed Feb 29 17:02:18 EET 2012 (edwin)
------------------------------------
 * libclamav/bytecode_api*: Fix Sparc crash (bb #4324)

Wed Feb 29 14:09:18 CET 2012 (acab)
-----------------------------------
 * libclamav/pdf.c: scan the whole trailer for /H (bb#4315)

Tue Feb  7 23:23:48 CET 2012 (tk)
---------------------------------
 * libclamav: fix bytecode whitelisting

Wed Jan 25 18:56:44 CET 2012 (tk)
---------------------------------
 * libclamav: fix macro detection in OLE2BlockMacros (bb#4269)

Wed Mar 31 18:07:05 CEST 2010 (acab)
------------------------------------
  * libclamav/7z: add recovery mode to 7z ansi

Tue Jan 17 11:15:57 CET 2012 (acab)
-----------------------------------
 * misc: performance improvement for HP-UX PA-RISC - patch from 
	 Michael Pelletier <michael.v.pelletier*raytheon.com> (bb#3926)

Sun Jan  8 19:26:06 CET 2012 (acab)
-----------------------------------
 * libclamav: add preliminary support for MS Authenticode signatures,
	      both embedded and from cat files. Ideally, for windows
	      users, it should be sufficient to add the option
              -d %WINDIR%\system32\{F750E6C3-38EE-11D1-85E5-00C04FC295EE}
	      to clamscan.

Thu Nov  3 22:42:28 CET 2011 (acab)
-----------------------------------
 * libclamav/lzma_iface.c: stfu on (but still refuse) big lzma allocs

Tue Nov  1 12:26:46 CET 2011 (acab)
-----------------------------------
 * libclamav: Add 7z SFX support (b#3063)

Thu Dec 15 21:40:57 CET 2011 (tk)
---------------------------------
 * libclamav/matcher-ac.c: improve negation of single elements - handle
			   !(xx) (bb#4052)

Thu Dec 15 18:34:03 EET 2011 (edwin)
------------------------------------
 * libclamav/pdf.c: scan inside encrypted PDF streams and strings when user
		    password is empty (bb #2794).

Fri Dec  9 16:41:05 CET 2011 (tk)
---------------------------------
 * libclamav/matcher.c: add new offset modifier SEx (bb#4008)

Thu Dec  1 15:07:49 CET 2011 (tk)
---------------------------------
 * libclamav/readdb.c: allow comments in all db files (bb#3930)

Tue Nov 22 19:07:47 CET 2011 (acab)
-----------------------------------
 * libclamav/io9660.c: properly dump to temp file

Fri Nov 18 15:23:50 CET 2011 (tk)
---------------------------------
 * libclamav/scanners.c: use lsigs when scanning vba data (bb#3922)

Fri Nov 18 15:48:59 EET 2011 (edwin)
-----------------------------------
 * libclamav/matcher-hash.c: Fix SIGBUS on PA-RISC (big-endian) architectures (bb #3894).

Wed Nov 16 15:57:24 CET 2011 (tk)
---------------------------------
 * clamd: initial support for on-access scanner using fanotify (bb#2236)

Mon Nov 14 21:22:26 CET 2011 (acab)
-----------------------------------
 * libclamav: add preliminary support for iso9660 image files

Fri Nov  4 00:52:21 CET 2011 (acab)
-----------------------------------
 * libclamav/pe.c: parse vinfo where varfileinfo occours before stringfileinfo
		   (bb#3062)

Mon Oct 10 14:41:48 CEST 2011 (tk)
----------------------------------
 * freshclam/manager.c: fix error when compiling without DNS support (bb#3056)

Sat Oct  8 12:19:49 EEST 2011 (edwin)
-------------------------------------
 * libclamav/pdf.c: flag and dump PDF objects with /Launch (bb #3514)

Sat Oct  8 12:10:13 EEST 2011 (edwin)
-------------------------------------
 * libclamav/bytecode.c,bytecode_api.c: fix recursion level crash (bb #3706).

Mon Sep 19 13:44:36 CEST 2011 (tk)
----------------------------------
 * freshclam: re-enable short-time blacklisting of mirrors on
	      connection errors

Fri Sep 16 16:17:52 CEST 2011 (tk)
----------------------------------
 * freshclam: disable load balancing in further download attempts

Fri Sep 16 12:47:10 CEST 2011 (acab)
------------------------------------
 * libclamav: properly pass custom flag to sigload_cb
 * c4w: honor custom sigs in mindefs
   (bb#3509 + bb#3510)

Thu Sep 15 14:44:11 CEST 2011 (tk)
----------------------------------
 * freshclam: fix pidfile removal (bb#3499)

Mon Sep 12 16:29:22 CEST 2011 (tk)
----------------------------------
 * freshclam: add new option PrivateMirror (bb#3058)

Sun Aug 21 17:05:24 EEST 2011 (edwin)
-------------------------------------
 * libclamav/pdf.c:  fix incorrect blocking of some encrypted PDF with empty user passwords. (bb #3364)

Mon Aug  8 11:32:31 CEST 2011 (tk)
----------------------------------
 * freshclam: add new option --update-db

Wed Aug  3 15:41:28 CEST 2011 (tk)
----------------------------------
 * sigtool/sigtool.c: fix calculation of max signature length

Tue Aug  2 17:03:33 CEST 2011 (tk)
----------------------------------
 * docs: clarify behavior of --scan-*/Scan* options (bb#3134)

Mon Jul 25 16:09:19 EEST 2011 (edwin)
-------------------------------------
 * libclamav/bytecode_vm.c: fix opcode 20 error (bb #3100)

Mon Jul 25 14:33:59 CEST 2011 (acab)
------------------------------------
 * libclamav/matcher-hash.c: off by one read in cli_hm_scan (bb#2818)

Tue Jul 19 18:30:53 CEST 2011 (acab)
------------------------------------
 * libclamav/autoit.c: avoid dumping uninit data on autoit failure (bb#3051)

Thu Jul 14 12:29:17 EEST 2011 (edwin)
------------------------------------
 * libclamav/pdf.c: fix encrypted pdf detection (bb #2988)

Thu Jul 14 12:20:04 CEST 2011 (acab)
------------------------------------
 * clamav-milter/clamfi.c: fix typo in error message (bb#3040)

Thu Jul 14 12:07:04 CEST 2011 (acab)
------------------------------------
 * libclamav/lzma_iface.c: shut up huge alloc warns for 7z/lzma (bb#2913)

Thu Jun 30 14:24:34 EEST 2011 (edwin)
-------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: fix use of unaddressable data in
 bytecode_watchdog. Thanks to Michael Scheidell for providing feedback on this bug.

Sat Jun 18 17:44:42 CEST 2011 (acab)
------------------------------------
 * clamav-milter: add config option "SupportMultipleRecipients" (bb#2879)
 
Tue Jun 7 12:03:19 EEST 2011 (edwin)
------------------------------------
 * libclamav/phishcheck.c: fix safebrowsing detection on certain URLs


Thu Jun  9 08:22:31 CEST 2011 (acab)
------------------------------------
 * libclamav/mew.c: harden boundary check on e8/e9 fixup

Wed Jun  8 14:57:40 CEST 2011 (acab)
------------------------------------
 * libclamav/nsis, libclamav/chmunpack.[ch], libclamav/scanners.c:
	don't remap in NSIS, CHM (bb#2838)

Thu May 26 14:17:52 CEST 2011 (acab)
------------------------------------
 * libclamav/matcher-hash.c: in hm_sort don't swap an item with itself (bb#2818)

Thu May 12 13:01:56 CEST 2011 (tk)
----------------------------------
 * freshclam/manager.c: fix return code of Rfc2822DateTime() (bb#2809)

Tue May 10 21:25:37 CEST 2011 (tk)
----------------------------------
 * sigtool: add support for building unsigned dbs (--unsigned)
 * libclamav: handle unsigned db files (.cud)

Sat May  7 18:05:23 EEST 2011 (edwin)
-------------------------------------
 * libclamav/pdf.c: better detection for encrypted PDFs (bb #2448)

Fri May  6 16:16:00 EEST 2011 (edwin)
------------------------------------
 * libclamav/c++: add support for building with external LLVM 2.9, and drop external 2.8 support

Thu May  5 01:07:57 CEST 2011 (acab)
------------------------------------
 * clamd: log request ip address for instream scans #bb2592

Wed May  4 14:07:12 EEST 2011 (edwin)
-------------------------------------
 * libclamav/c++/llvm/lib/Target/X86/X86InstrInfo.td: bb #2763
 don't assert on AVX chips (Intel Core i5 and i7)

Tue May  3 22:52:04 PDT 2011 (tk)
---------------------------------
 * sigtool: properly normalize html files (bb#2764)

Tue May  3 16:14:27 PDT 2011 (tk)
---------------------------------
 * sigtool/sigtool.c: fix formatting of hash dbs (bb#2765)

Wed Apr 27 15:07:22 CEST 2011 (tk)
----------------------------------
 * freshclam: add mirror statistics mechanism

Mon Apr 18 17:23:10 CEST 2011 (acab)
------------------------------------
 * clamd, win32: Conversion to UTF8 is hopefully completefinal.
		 See win32/README for important changes! (bb#2343)

Sun Apr 17 16:09:28 CEST 2011 (acab)
------------------------------------
 * win32/compat: more UTF8 stuff. Things *appear* to be working ok now.

Sat Apr 16 18:56:40 CEST 2011 (acab)
------------------------------------
 * libclamav, shared: Preliminary win32 conversion to UTF8

Thu Apr 14 21:29:36 EEST 2011 (edwin)
-------------------------------------
 * libclamav/others.c: make sure TLS key is initializer (bb #2588).
    Thanks to Cameron Brown for the detailed analysis of the bug.

Thu Apr 14 13:19:38 EEST 2011 (edwin)
-------------------------------------
 * configure: check for enable_extended_FILE_stdio (bb #2542)

Mon Apr 11 17:22:46 CEST 2011 (tk)
----------------------------------
 * libclamav: add basic GIF validator

Sat Apr  9 17:20:35 CEST 2011 (acab)
------------------------------------
 * libclamav/pe_icons.c: don't sigbus on sparc (bb#2695)

Sat Apr  9 03:56:17 CEST 2011 (acab)
------------------------------------
 * libclamav/pe.c: reset corrupted status before bytecode hooks (bb#2544)

Thu Apr  7 18:17:56 CEST 2011 (tk)
----------------------------------
 * libclamav: add PNG validator based on pngcheck

Tue Apr  5 16:33:15 CEST 2011 (tk)
----------------------------------
 * libclamav: add basic JPEG validator

Wed Mar 30 16:02:00 CEST 2011 (tk)
----------------------------------
 * libclamav/swf.c: scan images and binary blobs

Mon Mar 28 20:24:40 CEST 2011 (tk)
----------------------------------
 * libclamav: add skeleton code for SWF parser
 * libclamav/others.h: bump f-level

Thu Mar 17 17:46:09 CET 2011 (tk)
---------------------------------
 * sigtool, freshclam: put .info on top of container to speed up loading

Wed Mar 16 15:53:42 CET 2011 (tk)
---------------------------------
 * sigtool: fix --verify-cdiff

Tue Mar 15 17:56:59 CET 2011 (tk)
---------------------------------
 * sigtool: allow arbitrary names for --build

Thu Mar 10 15:54:05 CET 2011 (tk)
---------------------------------
 * libclamav: optimize handling of {n} wildcards (bb#1796)

Wed Mar  9 15:42:50 CET 2011 (tk)
---------------------------------
 * clamdscan: fix file exclusion (bb#2579)

Fri Mar  4 18:26:44 CET 2011 (acab)
-----------------------------------
 * libclamav: Extend prescan_cb with file types

Mon Feb 28 21:46:50 CET 2011 (tk)
---------------------------------
 * clamd: add new option ClamukoExcludeUID (bb#2260)
	  Based on idea from alfred*bokxing.nl

Fri Feb 25 14:49:04 CET 2011 (tk)
---------------------------------
 * libclamav/elf.c: fix incorrect detection of Broken.Executable (bb#2580)

Thu Feb 24 14:52:18 CET 2011 (tk)
---------------------------------
 * shared/output.c: fix empty lines in syslog (bb#2578)

Mon Feb 21 18:19:18 CET 2011 (tk)
---------------------------------
 * clamd: update description of ReadTimeout (bb#2565)

Thu Feb 17 19:13:15 CET 2011 (tk)
---------------------------------
 * clamd: add new config option BytecodeUnsigned (bb#2537); drop
	  "None" from BytecodeSecurity
 * clamscan: add new switch --bytecode-unsigned and drop --bytecode-trust-all

Tue Feb 15 19:19:31 CET 2011 (tk)
---------------------------------
 * sigtool/sigtool.c: improve handling of bytecode.info (bb#2292)

Fri Feb 11 13:16:41 CET 2011 (tk)
---------------------------------
 * sigtool/sigtool.c: handle all signature formats with --(list|find)-sigs (bb#2534)

Tue Feb  8 02:42:11 CET 2011 (acab)
-----------------------------------
 * libclamav/mpoo.c: Make solaris linker happy - Thanks to John Kendall <john*capps.com>

Mon Feb  7 17:45:49 CET 2011 (tk)
---------------------------------
 * V 0.97

Mon Feb  7 17:24:52 CET 2011 (tk)
---------------------------------
 * libclamav/vba_extract.c: fix error path double free (bb#2486)

Fri Feb  4 16:55:07 EET 2011 (edwin)
------------------------------------
 * libclamav/phishcheck.c: fix some missed safebrowsing URLs (bb #2514)

Fri Feb  4 14:35:32 CET 2011 (tk)
---------------------------------
 * libclamav/matcher-bm.c: fix error message (bb#2513)

Thu Feb  3 16:40:24 CET 2011 (acab)
-----------------------------------
 * libclamav/matcher-hash.c: stop leaking virusnames (nopool mode)

Mon Jan 31 16:53:39 CET 2011 (tk)
---------------------------------
 * V 0.97rc

Fri Jan 21 15:05:13 CET 2011 (acab)
-----------------------------------
 * libclamav/disasm.c: sign extend immeds, displacers and reljumps (bb#2341)

Thu Jan 20 15:34:00 CET 2011 (tk)
---------------------------------
 * shared/optparser: when size limit is disabled set it to 4GB (bb#2471)

Thu Jan 20 16:11:43 EET 2011 (edwin)
------------------------------------
 * shared/optparser.c: reduce BytecodeTimeout to 5s (instead of 60).

Thu Jan 20 16:09:29 EET 2011 (edwin)
-----------------------------------
 * libclamav/bytecode_vm.c: fix memset on bigendian arch (bb #2478).

Thu Jan 20 11:38:33 EET 2011 (edwin)
------------------------------------
 * libclamav/pdf.c: fix missed detection (bb #2455).

Thu Jan 20 11:19:50 EET 2011 (edwin)
-----------------------------------
 * libclamav/pdf.c: fix another pdf uninit (bb #2404).

Thu Jan 20 11:16:17 EET 2011 (edwin)
------------------------------------
 * libclamav/pdf.c: fix uninit value (bb #2455).

Thu Jan 20 10:11:32 EET 2011 (edwin)
------------------------------------
 * libclamav/c++/llvm: port 2 upstream commits to fix bb#8723.

Thu Jan 20 10:02:24 EET 2011 (edwin)
------------------------------------
 * unit_tests/check_bytecode.c: fix build on etch (bb #2399),
    thanks to David F. Skoll <dfs*roaringpenguin.com>.

Thu Jan 20 03:29:04 CET 2011 (acab)
-----------------------------------
 * win32/compat/resolv.c: fix nasty typo

Wed Jan 19 12:16:23 CET 2011 (acab)
-----------------------------------
 * build system: add AM macro CLAMDSCAN_LIBS (bb#2400)

Tue Jan 18 16:18:07 CET 2011 (tk)
---------------------------------
 * sigtool: handle .hs(b|u) and .ms(b|u) files

Tue Jan 18 14:59:37 CET 2011 (tk)
---------------------------------
 * sigtool: add new options --sha1 and --sha256

Mon Jan 17 19:05:25 CET 2011 (tk)
---------------------------------
 * freshclam: detect and fix corruptions of existing db files

Fri Jan 14 23:33:25 CET 2011 (acab)
-----------------------------------
 * libclamav: merge multihash branch - we can now match on md5, sha1, sha256

Fri Jan 14 15:52:30 CET 2011 (tk)
---------------------------------
 * freshclam: verify integrity of all *.cvd files during each session

Mon Jan 10 23:51:08 EET 2011 (edwin)
------------------------------------
 * libclamav/c++/ClamBCRTChecks.cpp: fix paranoid mode crash (bb #2434).

Mon Jan 10 18:43:02 CET 2011 (tk)
---------------------------------
 * sigtool: improve handling of spaces in cdiffs (bb#2090)

Thu Jan  6 14:52:38 CET 2011 (acab)
-----------------------------------
 * libclamav/hashtab.c: properly clear the table

Mon Jan  3 17:10:03 CET 2011 (tk)
---------------------------------
 * freshclam/manager.c: fix version warning (bb#2456)

Mon Jan  3 16:38:46 CET 2011 (tk)
---------------------------------
 * libclamav: improve handling of HandlerType (bb#2298)

Thu Dec 30 15:02:05 CET 2010 (tk)
---------------------------------
 * libclamav/filetypes.c: improve detection of tar files

Wed Dec 29 14:36:46 CET 2010 (tk)
---------------------------------
 * libclamav/scanners.c: improve scanning of mail files in raw mode (bb#2244)

Tue Dec 28 18:22:30 CET 2010 (tk)
---------------------------------
 * clamscan: add new options --follow-(dir|file)-symlinks (bb#1870)

Tue Dec 28 13:03:14 CET 2010 (tk)
---------------------------------
 * libclamav/blob.c: properly scan files when LeaveTemporaryFiles
		     is enabled (bb#2447)

Mon Dec 27 15:21:43 CET 2010 (acab)
-----------------------------------
 * libclamav/disasm.c: fix movsx/movzx disasm src size (bb#2341)

Wed Dec 22 12:10:06 CET 2010 (tk)
---------------------------------
 * freshclam: fix again handling of relative db paths (bb#2240)

Tue Dec 21 16:00:26 CET 2010 (acab)
-----------------------------------
 * clamav-milter: add LogClean option (bb#2442)

Mon Dec 20 16:30:57 EET 2010 (edwin)
-----------------------------------
 * clamd: bump default MaxConnectionQueueLength to 200

Fri Dec 17 17:10:46 CET 2010 (acab)
-----------------------------------
 * shared/cdiff.c: Fix error path double free - missed in 4bc4581d
		   thanks Michael Tautschnig <mt*debian.org>

Fri Dec 17 14:21:21 CET 2010 (acab)
-----------------------------------
 * clamav-milter/whitelist.c, clamscan/manager.c, libclamav/sis.c:
   error path leaks and similar - thanks Michael Tautschnig <mt*debian.org>
	
Thu Dec 16 15:31:38 CET 2010 (acab)
---------------------------------
 * clamav-milter: handle EINTR during waitpid()

Thu Dec 16 14:15:33 CET 2010 (tk)
---------------------------------
 * freshclam, clamd: handle EINTR during waitpid() (bb#2422)

Tue Dec 14 19:13:53 EET 2010 (edwin)
------------------------------------
 * libclamav/chmunpack.c: avoid crash on fstat failure (bb #2429).

Tue Dec 14 16:07:42 CET 2010 (tk)
---------------------------------
 * libclamav: pass array with initial matches to bytecode (bb#2397)

Tue Dec 14 12:20:34 CET 2010 (tk)
---------------------------------
 * libclamav/msexpand.c: fix name clash on HP-UX (bb#2398)

Tue Dec 14 11:33:00 CET 2010 (tk)
---------------------------------
 * libclamav/scanners.c: ScanMail wasn't always honored (bb#2426)

Thu Dec  9 13:40:55 CET 2010 (tk)
---------------------------------
 * clamd: don't report file hashes to clients (bb#2409)

Thu Dec  9 13:29:16 CET 2010 (tk)
---------------------------------
 * libclamav: preserve callbacks during db reload (bb#2418)

Thu Dec  2 18:44:12 CET 2010 (tk)
---------------------------------
 * libclamav/matcher-ac.c: optimize handling of multi-part signatures (bb#2322)
			   Patch by finglenark <finglenark*gmail.com>

Tue Nov 30 14:05:34 CET 2010 (tk)
---------------------------------
 * V 0.96.5

Tue Nov 30 13:07:15 EET 2010 (edwin)
------------------------------------
 * libclamav/pdf.c: fix crashes (bb #2358, bb #2380, bb #2396).
 Thanks to Arkadiusz Miskiewicz <arekm*maven.pl> for bb #2380.

Tue Nov 30 12:09:56 CET 2010 (acab)
-----------------------------------
 * libclamav/pe_icons.c: off by one while (bb#2344)

Mon Nov 29 17:40:39 CET 2010 (tk)
---------------------------------
 * libclamav: fix detection of embedded executables

Wed Nov 24 23:52:28 CET 2010 (tk)
---------------------------------
 * libclamav/matcher-ac.c: fix offset handling for sigs with {x-y}
			   wildcards (bb#2393)

Tue Nov 23 12:44:25 CET 2010 (tk)
---------------------------------
 * freshclam/manager.c: fix error path infinite loop (bb#2389)

Tue Nov 23 13:13:40 EET 2010 (edwin)
------------------------------------
 * clamd/clamd.c: fix RLIMIT_DATA setting on BSD (bb #1941), thanks to
    Andreas Longwitz <longwitz* incore.de>.

Mon Nov 15 16:04:31 CET 2010 (tk)
---------------------------------
 * freshclam: improve mirror management

Fri Nov 12 15:47:09 CET 2010 (tk)
---------------------------------
 * libclamav: fix possible use of uninitialized values (bb#2291)

Wed Nov 10 16:31:49 CET 2010 (acab)
-----------------------------------
 * libclamav: Set the unreliability flag on (un)packed files (bb#2307)

Sat Nov  6 15:47:01 EET 2010 (edwin)
------------------------------------
 * libclamav/c++: Update embedded copy of LLVM to version 2.8 (bb #2327)

Fri Nov  5 16:40:31 CET 2010 (tk)
---------------------------------
 * freshclam: make query format backward compatible

Fri Nov  5 15:32:22 CET 2010 (tk)
---------------------------------
 * freshclam: get detection stats directly from clamd (bb#2312)

Thu Nov  4 21:12:53 EET 2010 (edwin)
------------------------------------
 * libclamav/cache.c,c++/bytecode2llvm.cpp}: make cl_load thread safe (bb #2333).

Thu Nov  4 19:47:17 EET 2010 (edwin)
------------------------------------
 * freshclam: load database in subprocess (bb #2147).

Wed Nov  3 13:38:47 CET 2010 (tk)
---------------------------------
 * clamd: add new commands DETSTATS and DETSTATSCLEAR (part of bb#2312)

Tue Nov  2 13:01:14 EET 2010 (edwin)
------------------------------------
 * libclamav/7z.c: fix file descriptor leak (bb #2347)

Mon Oct 18 11:35:45 EEST 2010 (edwin)
-------------------------------------
 * clamd, libclamavll: add ability to logg messages from libclamav (bb #1965)

Sun Oct 31 09:13:33 EET 2010 (edwin)
------------------------------------
 * libclamav/builtin_bytecodes.h: Don't disable JIT on pentium4 (bb #2345)

Fri Oct 29 22:26:55 CEST 2010 (acab)
------------------------------------
 * clamav-for-windows: displace clamav-for-windows to a separate solution and directory

Fri Oct 29 19:03:31 CEST 2010 (tk)
----------------------------------
 * clamd: add new option OLE2BlockMacros (requested by Mike)

Fri Oct 29 17:55:10 CEST 2010 (tk)
----------------------------------
 * freshclam: DatabaseCustomURL: add support for If-Modified-Since
	      and signature counter

Thu Oct 28 16:23:47 CEST 2010 (tk)
----------------------------------
 * freshclam: add initial support for DatabaseCustomURL

Mon Oct 25 18:02:56 CEST 2010 (tk)
----------------------------------
 * V 0.96.4

Mon Oct 18 20:01:46 CEST 2010 (tk)
----------------------------------
 * clamd: be more verbose about config errors (bb#2252)

Mon Oct 18 15:52:47 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher.c: fix stack smash with HandlerType (bb#2298)

Mon Oct 18 13:23:42 CEST 2010 (acab)
------------------------------------
 * libclamav/scanners.c: mark embpes as unreliable (bb#2307)

Mon Oct 18 14:16:11 EEST 2010 (edwin)
-------------------------------------
 * clamconf/clamconf.c, libclamav/others.c: warn about zlib version mismatches (bb #2072)

Mon Oct 18 13:55:17 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: bb #2295

Mon Oct 18 13:46:59 EEST 2010 (edwin)
-------------------------------------
 * libclamav/builtin_bytecodes.h: disable JIT on CPUs without CMOV (bb #2327).

Mon Oct 18 12:52:25 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: keep parsing after %%EOF (bb #2264).

Mon Oct 18 11:30:01 CEST 2010 (tk)
----------------------------------
 * clamdscan: fix name parsing in normal mode (bb#2328)

Mon Oct 18 11:10:14 CEST 2010 (tk)
----------------------------------
 * libclamav/others.h: bump f-level

Mon Oct 18 11:27:16 EEST 2010 (edwin)
-------------------------------------
 * configure: fix bytecode and autoit for Apple-style universal builds (bb #2030)

Mon Oct 18 10:46:25 EEST 2010 (edwin)
-------------------------------------
 * libclamav: test mode for bytecode (bb #2101)

Sat Oct 16 18:23:17 CEST 2010 (acab)
------------------------------------
 * clamav-milter: send FILDES early (bb#2321)

Fri Oct 15 17:48:00 CEST 2010 (acab)
------------------------------------
 * libclamav/pe_icons.c: make sure all ref points are initted (bb#2291)

Fri Oct 15 16:13:27 CEST 2010 (tk)
----------------------------------
 * freshclam/manager.c: don't mix IPv4 and IPv6 addresses while randomizing (bb#2319)

Thu Oct 14 19:43:09 CEST 2010 (acab)
------------------------------------
 * libclamav: add pool based hastabs so we don't frag on md5 sizes (bb#2185)

Thu Oct 14 16:14:01 CEST 2010 (acab)
------------------------------------
 * libclamav/fmap.c: properly check for pread errors (bb#2306)

Thu Oct 14 16:06:06 CEST 2010 (acab)
------------------------------------
 * clamd: properly terminate zSTATS (bb#2286)

Thu Oct 14 15:36:06 CEST 2010 (acab)
------------------------------------
 * freshclam: undefine qcompare if HAVE_GETADDRINFO is unset (bb#2289)

Mon Oct 11 13:49:29 CEST 2010 (tk)
----------------------------------
 * clamdscan: fix parsing of virus names in extended mode (bb#2311)

Fri Oct  8 15:38:56 CEST 2010 (tk)
----------------------------------
 * clamscan/manager.c: return errors for stdin scan failures (bb#2317)

Fri Oct  8 15:22:22 CEST 2010 (tk)
----------------------------------
 * libclamav/elf.c: shutdown error message (bb#2318)

Fri Oct  8 14:23:24 CEST 2010 (tk)
----------------------------------
 * libclamav/readdb.c: fix handling of Engine attrib (bb#2297)

Tue Oct  5 18:14:59 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: Fix 'Unknown error code ERROR'(bb #2296).

Tue Oct  5 17:03:43 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: Fix crash on 64-bit Solaris Intel (bb #2314).

Tue Sep 28 16:25:03 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++: allow building with external LLVM 2.8rc2.

Tue Sep 28 13:05:53 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode.c: fix memory leak in runlsig (bb #2291)

Tue Sep 28 13:01:19 EEST 2010 (edwin)
-------------------------------------
 * libclamav/scanners.c: fix VI memory leak (bb #2291)

Tue Sep 28 12:42:01 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: fix mmap failed(2) on 32-bit FreeBSD (bb #2300).

Thu Sep 23 17:59:26 CEST 2010 (acab)
------------------------------------
 * m4/acinclude: add alarm(10) to the CVE-2010-0405 check so we don't
		 infloop on SUSE libbz2 1.0.5

Tue Sep 21 20:19:41 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++: improve bytecode load time, and optimization (bb #2278)

Tue Sep 21 16:32:22 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: don't use of sizeof() for malloc'ed buffer (bb#2283)

Tue Sep 21 16:19:41 CEST 2010 (tk)
----------------------------------
 * clamdscan/proto.c: fix error path memleak (bb#2282)

Tue Sep 21 16:13:27 CEST 2010 (tk)
----------------------------------
 * shared/cdiff.c, sigtool/sigtool.c: fix error path double frees
				      (bb#2280, bb#2281)

Mon Sep 20 17:09:37 CEST 2010 (tk)
----------------------------------
 * V 0.96.3

Mon Sep 20 14:16:59 CEST 2010 (acab)
------------------------------------
 * libclamav/nsis/bzlib.cld sys: port upstream fixes for CVE-2010-0405,
				 check for buggy bzip2 (bb#2230, bb#2231)

Mon Sep 20 14:50:34 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: Add missing boundscheck to pdf code (bb #2226)

Thu Sep 16 14:37:15 CEST 2010 (tk)
----------------------------------
 * clamconf: print information about 3rd party databases

Wed Sep 15 19:00:15 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: print db names in --find-sigs

Wed Sep 15 13:19:12 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: workaround crash due to gcc stack alignment requirements (bb #2270)

Fri Sep 10 22:10:33 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c, pe.c, bytecode*: Fix bytecode virusname reporting (bb #2255)

Fri Sep 10 10:52:45 CEST 2010 (acab)
------------------------------------
 * clamav-milter/netcode.c: fix error path fd leak when connection succeeds
			    but ping fails (bb#2259)

Thu Sep  9 22:07:13 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: fix __bzero call on darwin 10.

Thu Sep  9 12:30:34 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode.c: properly skip bytecodes with long lines.

Wed Sep  8 00:00:18 CEST 2010 (acab)
------------------------------------
 * unit_tests: add VI unit tests

Tue Sep  7 16:55:43 CEST 2010 (tk)
----------------------------------
 * libclamav: versioninfo hashset was not properly cached (bb#2065)

Thu Sep  2 21:21:58 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: fix hung clamd on FreeBSD (bb #2235)

Thu Sep  2 15:38:22 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pe.c: add BC_PE_ALL hook (bb #2237)

Wed Sep  1 10:03:26 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/{bytecode2llvm,ClamBCRTChecks}.cpp: avoid false 'Verification error' messages (bb #2239)

Tue Aug 31 16:11:30 CEST 2010 (tk)
----------------------------------
 * freshclam/freshclam.c: fix handling of relative paths with --datadir (bb#2240)

Tue Aug 31 15:10:29 EEST 2010 (edwin)
-------------------------------------
 * clamd/clamd.c: limit RLIMIT_DATA to 2GB on 32-bit processes (bb #1941).

Tue Aug 31 11:13:44 EEST 2010 (edwin)
-------------------------------------
 * libclamav/regex/regexec.c: fix regex when sizeof(void*) != sizeof(long) (bb #2232).
 Thanks to Martin Olsen <martypal2005*gmail.com>

Tue Aug 31 10:53:06 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: improve handling of pdf objects (bb #2216).

Tue Aug 31 01:39:11 CEST 2010 (acab)
------------------------------------
 * libclamav/pe_icons.c: support special case where icon is encoded as 32bpp but it really
			 carries alpha as a mask... well go figure. (bb#2221)

Thu Aug 26 14:06:55 CEST 2010 (tk)
----------------------------------
 * libclamav/mpool.c: permanently disable debug mode (bb#2222)

Tue Aug 24 12:27:16 CEST 2010 (tk)
----------------------------------
 * libclamav: allow logical sigs to be used as file type sigs (bb#2228)

Wed Aug 18 11:01:10 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/detect.cpp: don't warn on x86_64 vs i386 mismatches (bb #2214).

Tue Aug 17 13:10:00 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: fix EOL matching in --find-sigs (bb#2164)

Sat Aug 14 16:29:32 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/llvm/test: XFAIL a test that fails on i686-apple-darwin8 (bb #2206).

Sat Aug 14 15:18:03 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode_detect.c: fix warning on FreeBSD (bb #2201).

Fri Aug 13 13:57:04 EEST 2010 (edwin)
--------------------------------------
 * libclamav/bytecode_detect.c: prevent fclose(NULL) on SELinux (bb #2200)

Thu Aug 12 18:49:37 CEST 2010 (tk)
----------------------------------
 * V 0.96.2

Thu Aug 12 13:18:24 CEST 2010 (tk)
----------------------------------
 * contrib: add safe_clamd from Luca (bb#2026)

Wed Aug 11 13:39:11 EEST 2010 (edwin)
-------------------------------------
 * freshclam: uses private symbol which changed proto, change name to prevent crash (bb #2187)

Wed Aug 11 12:32:37 CEST 2010 (acab)
------------------------------------
 * libclamav: fix callback_sigload

Tue Aug 10 14:01:27 CEST 2010 (tk)
----------------------------------
 * clamdscan: fix parsing of virus names in extended mode and --stream (bb#2184)

Mon Aug  9 19:46:58 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/detect.cpp: Mac OS X can run 64-bit apps on 32-bit kernel (bb #2153).

Mon Aug  9 16:49:44 CEST 2010 (tk)
----------------------------------
 * libclamav/others.h: bump f-level

Mon Aug  9 13:21:31 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: fix handling of --datadir (bb#2180)

Mon Aug  9 13:02:26 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher-ac.c: improve offset handling (bb#2170)

Sun Aug  8 15:59:41 CEST 2010 (acab)
------------------------------------
 * libclamav/7z/Archive/7z/7zDecode.c: shut up a warning (bb#2172)

Fri Aug  6 13:47:18 CEST 2010 (acab)
------------------------------------
 * libclamav/autoit.c: properly resume from empty files
		       regression introduced in ac867aad (bb#2171)

Fri Aug  6 11:37:14 CEST 2010 (tk)
----------------------------------
 * libclamav/elf.c: fix zero mem alloc warning (bb#2173)

Thu Aug  5 11:58:56 CEST 2010 (acab)
------------------------------------
 * win32: fix libclamav's triple and fix GetVersion (bb#2152 and bb#2153)

Mon Aug  2 23:05:50 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode.c: save lsig counts/offsets (bb #2055).

Mon Aug  2 21:51:32 EEST 2010 (edwin)
-------------------------------------
 * libclamav/{bytecode,matcher}.c: matchicon API (bb #2139)

Mon Aug  2 17:16:24 CEST 2010 (acab)
------------------------------------
 * libclamav/pe_icons.c: BE fixes (bb#2151)

Mon Aug  2 16:08:04 CEST 2010 (tk)
----------------------------------
 * freshclam/manager.c: don't call cli_bytecode_prepare() when Bytecode is
			disabled in freshclam.conf (bb#2149)

Mon Aug  2 15:37:19 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher: make icon sigs work with bytecode (bb#2137)

Fri Jul 30 17:46:14 CEST 2010 (acab)
------------------------------------
 * libclamav/others.h: bump CLI_MAX_ALLOCATION by 5 MB (needed by lzma - bb#2124)

Fri Jul 30 15:51:06 CEST 2010 (acab)
------------------------------------
 * libclamav, unit_tests: use cached PE metadata when matching icons (better fix for 
	      bb#2064, partially reverts d932a6d)
	      add some unit tests for ign2, ldb, idb

Fri Jul 30 15:15:35 CEST 2010 (tk)
----------------------------------
 * freshclam: fix parsing of extended log entries

Fri Jul 30 14:20:50 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: improve extraction of PDF objects (bb #1596, #1994, #2029).

Thu Jul 29 16:56:00 CEST 2010 (acab)
------------------------------------
 * libclamav/matcher.c: make cli_lsig_eval use cached executable metadata rather
			than parsing the file again

Thu Jul 29 14:07:31 EEST 2010 (edwin)
-------------------------------------
 * libclamav: introduce BC_STARTUP bytecode that can turn off JIT (bb #2078, #2101)

Thu Jul 29 03:54:45 CEST 2010 (acab)
------------------------------------
 * libclamav/scanners.c: use fmap in scan_embpe

Thu Jul 29 02:40:16 CEST 2010 (acab)
------------------------------------
 * libclamav: use fmap in autoit

Tue Jul 27 14:16:59 CEST 2010 (acab)
------------------------------------
 * clamav-milter: noisily fallback on default value if MaxFileSize is set
		  to 0 (bb#2081)

Mon Jul 26 13:16:07 EEST 2010 (edwin)
-------------------------------------
 * libclamav/phishcheck.c: don't phishcheck email addresses (bb #2067)

Mon Jul 26 12:55:20 EEST 2010 (edwin)
------------------------------------
 * clamd/session.c: treat MULTISCAN as CONTSCAN on non-directories (bb #1869).

Sat Jul 24 17:43:16 CEST 2010 (acab)
------------------------------------
 * win32: upgrade project files to vs10

Fri Jul 23 22:32:18 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode_vm.c: fix use of uninitialized value (bb #2140).

Thu Jul 22 22:32:08 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: detect PaX and fallback to intepreter if
 needed (bb #2092).
 * libclamav/bytecode.c: selfcheck on startup (bb #2092).

Thu Jul 22 16:36:32 CEST 2010 (tk)
----------------------------------
 * libclamav/mspack.c: fix write error

Wed Jul 21 18:54:13 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: fix build problem (bb#2133)

Mon Jul 19 18:48:08 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: add support for creating cdiffs with arbitrary
		      long lines (bb#2014)

Fri Jul 16 11:11:27 CEST 2010 (tk)
----------------------------------
 * freshclam: remove empty temporary directories on EXIT_n (bb#2116)

Mon Jul 12 12:27:44 CEST 2010 (tk)
----------------------------------
 * libclamunrar/unrar.c: fix error path memory leaks (bb#2100)
			 Thanks to Martin Olsen

Tue Jul  6 19:19:39 CEST 2010 (tk)
----------------------------------
 * clamd: add ExtendedDetectionInfo (bb#1228, #1626)

Mon Jul  5 17:30:11 CEST 2010 (tk)
----------------------------------
 * libclamav: fix some error messages (bb#2083)

Thu Jul  1 18:22:58 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher.c: fix counting of logical subsigs matched at boundaries (bb#2053)

Tue Jun 29 13:51:06 CEST 2010 (tk)
----------------------------------
 * freshclam: fix memleak when testing safebrowsing.cvd (bb#2091)

Tue Jun 29 12:08:42 EEST 2010 (edwin)
-------------------------------------
 * libclamav/mpool.c: reduce memory waste due to alignment (~14% improvement).

Tue Jun 29 12:05:59 EEST 2010 (edwin)
-------------------------------------
 * clamdtop/clamdtop.c: fix display of sizes (off by 1000/1024).

Mon Jun 28 18:42:48 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: drop compatibility limit

Thu Jun 24 20:04:02 CEST 2010 (tk)
----------------------------------
 * libclamav: reduce memory usage for MD5 sigs (bb#2057)

Wed Jun 23 09:39:14 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher.c: fix possible use of uninit value (bb#2084)

Mon Jun 21 20:07:09 CEST 2010 (tk)
----------------------------------
 * libclamav: report correct offset via cli_ac_result (bb#2076)

Fri Jun 18 15:41:08 CEST 2010 (tk)
----------------------------------
 * libclamav: minimize header parsing (bb#2065)

Thu Jun 17 17:11:04 EEST 2010 (edwin)
-------------------------------------
* libclamav/c++/llvm: apply PowerPC workaround from LLVM PR5201.

Wed Jun 16 16:52:46 CEST 2010 (tk)
----------------------------------
 * libclamav/special.c: avoid false MS02-002 detections for corrupted files (bb#2074)

Tue Jun 15 18:07:00 CEST 2010 (tk)
----------------------------------
 * libclamav: avoid scanpe() warnings for corrupted files (bb#2049)

Tue Jun 15 16:13:07 CEST 2010 (tk)
----------------------------------
 * clamd/clamd.c: be more verbose when daemonize() fails (bb#2062)

Thu Jun 10 19:58:01 CEST 2010 (acab)
------------------------------------
 * libclamav/pe*: fix virusnames being hijacked by idb sigs (bb#2064)

Thu Jun 10 16:06:56 CEST 2010 (tk)
----------------------------------
 * libclamav/str.c: fix cli_isnumber() (bb#2070)

Thu Jun 10 12:15:17 CEST 2010 (tk)
----------------------------------
 * sigtool: print match count and offsets in --test-sigs mode (bb#2054)
	    IMPORTANT NOTE: --test-sigs now only works against the final target file
	    (after all processing, normalization, etc. for which the tested
	    signature was directly created)

Wed Jun  9 13:38:11 EEST 2010 (edwin)
-------------------------------------
 * libclamav/{matcher-bm.c, sha256.c}: improve DB load time (bb #1860).

Tue Jun  8 16:32:47 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: add --datadir (bb#2063)

Tue Jun  8 12:47:25 CEST 2010 (tk)
----------------------------------
 * shared/cdiff.c: fix handling of massive XCHGs (bb#2017)

Fri Jun  4 18:04:37 CEST 2010 (tk)
----------------------------------
 * libclamav/cvd.c: load daily.ign[2] files from CVDs (bb#2061)

Wed Jun  2 10:08:00 EEST 2010 (edwin)
-------------------------------------
 * libclamav/others_common.c: fix typo (bb #2060).

Mon May 31 16:57:31 EEST 2010 (edwin)
-------------------------------------
 * libclamav/{bytecode.c, others_common.c}: don't attempt to allocate 0 bytes (bb #2042).

Mon May 31 13:18:45 EEST 2010 (edwin)
-------------------------------------
 * libclamav/readdb.c: fix memory leak in .idb handling

Fri May 28 18:45:46 EEST 2010 (edwin)
-------------------------------------
 * clamd, libclamav: fix some error path leaks (bb #1990)

Fri May 28 13:24:21 CEST 2010 (tk)
----------------------------------
 * freshclam/manager.c: randomize getaddrinfo()'s results (bb#2021)

Tue May 25 14:36:41 CEST 2010 (tk)
----------------------------------
 * clamscan: add support for loading multiple dbs at command line with
	     -d (bb#2033)

Wed May 19 12:21:02 CEST 2010 (acab)
------------------------------------
 * libclamav/7z/Archive/7z/7zIn.c: fix possible(?) null dereference reported
		 		by clang (bb#1909)

Wed May 19 12:19:27 CEST 2010 (acab)
------------------------------------
 * libclamav/pe_icons.c: properly round down when scaling (bb#2031)

Wed May 19 13:15:06 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: bb #2016

Wed May 19 00:03:19 CEST 2010 (tk)
----------------------------------
 * libclamav/readdb.c: properly reject .info files passed on cmdline (bb#2025)

Tue May 18 23:35:43 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher-bm.c: fix offset check (bb#2032)

Tue May 18 20:20:15 EEST 2010 (edwin)
-------------------------------------
 * libclamav/fmap.c: fix bug introduced in clamav-0.96-51-g3e3b587.

Mon May 17 19:03:51 CEST 2010 (acab)
------------------------------------
 * libclamav/pe.c: properly resume stringtable loop (bb#2027)
                   Note: 0.96 is NOT affected as the min VI sig has got FL=53
			3rd parties must avoid VI sigs with FL=51

Sat May 15 22:31:46 CEST 2010 (acab)
------------------------------------
 * fmap: check for anon maps are avail (bb#1940)

Fri May 14 17:16:19 EEST 2010 (edwin)
-------------------------------------
 * unit_tests: add bytecode.cvd load test

Fri May 14 11:28:52 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode.c: handle global gep parameter correctly (bb #1955)

Thu May 13 23:40:11 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/llvm: Update to LLVM 2.7 release.

Thu May 13 23:35:55 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode*, unit_tests: add new unit tests for bytecode API and fix bugs.

Thu May 13 12:41:24 EEST 2010 (edwin)
------------------------------------
 * libclamav/c++: Relax bounds checks. Was rejecting correct code.

Wed May 12 19:10:39 CEST 2010 (acab)
------------------------------------
 * docs/man: add clamav.milter.conf.5

Wed May 12 14:21:23 CEST 2010 (tk)
----------------------------------
 * freshclam: fix handling of temporary files

Tue May 11 22:44:06 CEST 2010 (tk)
----------------------------------
 * freshclam: add new option TestDatabases

Tue May 11 21:33:49 EEST 2010 (edwin)
-------------------------------------
 * libclamav/filtering.c: fix handling of alternates and negated alternates (bb #2004)

Tue May 11 15:31:40 EEST 2010 (edwin)
-------------------------------------
 * libclamav/readdb.c: read the entire .cbc files, fix loading of bytecode.cvd

Tue May 11 11:36:21 EEST 2010 (edwin)
-------------------------------------
 * libclamav/pdf.c: New PDF parser with better javascript support (bb #1596).

Mon May 10 17:00:16 CEST 2010 (tk)
----------------------------------
 * tools: make sure the libclamav version is high enough (bb#2013)

Mon May 10 14:51:24 CEST 2010 (tk)
----------------------------------
 * sigtool/sigtool.c: fix error msg (bb#2002)

Mon May 10 14:11:51 CEST 2010 (acab)
------------------------------------
 * win32: simulate gai_strerror

Mon May 10 03:43:43 CEST 2010 (acab)
------------------------------------
 * libclamav: Use mpool in win32 (well, sort of) as the mighty crt allocator
	      chokes when loading about one milion signatures

Sat May  8 00:18:13 CEST 2010 (acab)
------------------------------------
 * libclamav/fmap.c: make oof need stfu (bb#2000)

Fri May  7 21:12:35 CEST 2010 (tk)
----------------------------------
 * clamdscan: respect ExcludePath in --fdpass mode (bb#1923)

Fri Apr  9 17:01:07 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/llvm/test: Fix make check failure on x86-32 (bb #1942)

Fri May  7 15:45:55 CEST 2010 (tk)
----------------------------------
 * libclamav/readdb.c: add checks to enforce lsig compatibility with 0.95.x (bb#2008)

Fri May  7 16:30:50 EEST 2010 (edwin)
-------------------------------------
 * clamscan/manager.c: don't closedir(NULL) (bb #2010)

Fri May  7 13:06:48 EEST 2010 (edwin)
-------------------------------------
 * configure: darwin* IS thread safe (bb #1534)

Fri May  7 10:48:48 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/configure: add check that correct libstdc++ version is used (bb #1971)

Fri May  7 10:07:24 EEST 2010 (edwin)
-------------------------------------
 * libclamav/cache.c: support building without pthreads (bb #1897).

Fri May  7 09:56:57 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode*: add match_offsets support.

Wed May  5 21:28:04 CEST 2010 (tk)
----------------------------------
 * shared/output.c: workaround FreeBSD's file locking issue (bb#1918)

Wed May  5 14:12:46 CEST 2010 (tk)
----------------------------------
 * freshclam/notify.c: fix warning message (bb#1972)
		       Thanks to Gianluigi Tiesi

Tue May  4 21:58:19 CEST 2010 (tk)
----------------------------------
 * libclamav: make lsigs working in cli_scanscript() (bb#1998)

Tue May  4 19:37:58 CEST 2010 (acab)
------------------------------------
 * libclamav/fmap.c: nicely handle EINTR

Tue May  4 18:47:31 CEST 2010 (acab)
------------------------------------
 * libclamav: no ERROR on void mapping (bb#1968)

Tue May  4 16:47:57 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher-ac.c: fix counting of subsig matches (bb#2001)

Sun May  2 19:13:29 CEST 2010 (acab)
------------------------------------
 * clamav-milter: add VirusAction (bb#1867)

Sat May  1 02:05:17 CEST 2010 (acab)
------------------------------------
 * m4: On solaris 8 bzlib.h uses FILE without including stdio.h (bb#1985)

Fri Apr 30 12:45:47 CEST 2010 (tk)
----------------------------------
 * clamconf: warn about dbdir mismatch in clamd and freshclam (bb#1978)

Thu Apr 29 09:49:10 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/configure: Mac OS X doesn't have -pthread (bb #1995)

Thu Apr 29 09:45:29 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/llvm/include/llvm/ADT/SmallVector.h: Fix crash with -ftree-vectorize/-O3(bb #1984).

Tue Apr 27 16:34:38 CEST 2010 (tk)
----------------------------------
 * libclamav: fix some limit settings (bb#1973)

Mon Apr 26 18:18:47 EEST 2010 (edwin)
-------------------------------------
 * bytecode: min/max functionality level support.

Mon Apr 26 16:12:50 CEST 2010 (tk)
----------------------------------
 * libclamav/others.c: bump f-level

Mon Apr 26 16:06:56 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher-ac.c: fix handling of VI/MACRO special offsets (bb#1957)

Fri Apr 23 21:38:19 EEST 2010 (edwin)
-------------------------------------
 * configure: fix Apple-style universal build (bb #1988).

Thu Apr 22 22:34:52 CEST 2010 (acab)
------------------------------------
 * libclamav/fmap.c: downgrade warning when the kernel doesn't want a map back

Thu Apr 22 18:03:30 CEST 2010 (tk)
----------------------------------
 * libclamav: avoid loading duplicate databases (bb#1962)

Mon Apr 19 17:12:06 EEST 2010 (edwin)
-------------------------------------
 * clamconf: print information about platform and build.

Thu Apr 15 20:04:16 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/configure: disable gcc 3.4.6 by default, you can still use it with --enable-llvm (bb #1935).

Thu Apr 15 16:27:00 CEST 2010 (tk)
----------------------------------
 * docs/man/freshclam.conf.5.in: document LogFileMaxSize (bb#1960)

Wed Apr 14 21:44:18 CEST 2010 (tk)
----------------------------------
 * freshclam/manager.c: add support for X-HostID to allow custom UserAgent
			strings in --submit-stats (bb#1905)
			Thanks to Andreas Schulze

Wed Apr 14 21:14:28 EEST 2010 (edwin)
-------------------------------------
 * libclamav/bytecode.c: fix cli_unlink warnings (bb #1956).

Tue Apr 13 16:17:35 EEST 2010 (edwin)
-------------------------------------
 * clambc, clamd,clamdtop,libclamav,unit_tests: fix compiler warnings (bb #1872,
					        bb #1934, bb #1935)

Tue Apr 13 16:13:05 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++: allow building with gcc 3.4.6 (bb #1934).

Tue Apr 13 13:12:47 EEST 2010 (edwin)
-------------------------------------
 * unit_tests/check_common.sh: fix make check on AIX (bb #1917).

Mon Apr 12 18:02:06 CEST 2010 (tk)
----------------------------------
 * freshclam/manager.c: better handle daylight saving time changes (bb#1920)

Sat Apr 10 16:36:11 CEST 2010 (acab)
------------------------------------
 * libclamav/pe.c: more relaxed vinfo parser - try to mimic winxp's

Wed Apr  7 16:27:42 CEST 2010 (tk)
----------------------------------
 * sigtool: handle .idb files

Wed Apr  7 12:42:19 CEST 2010 (tk)
----------------------------------
 * libclamav/matcher.c: return proper virus name in icon detector (bb#1933)

Mon Apr  5 22:41:40 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Fix load of multiple unsigned bytecodes (bb #1924)

Sat Apr  3 21:05:35 EEST 2010 (edwin)
-------------------------------------
 * contrib/split-tarball.sh: update to work with 0.96

Sat Apr  3 20:30:39 EEST 2010 (edwin)
-------------------------------------
 * libclamav/Makefile.{am,in}: Fix unit test failure with non-English locale (bb #1922)

Fri Apr  2 16:22:26 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/llvm/lib/Support/Allocator.cpp: Fix SpecificBumpPtrAllocator
    destructor iteration. Thanks to Nicolas Capens.

Fri Apr  2 16:19:26 EEST 2010 (edwin)
-------------------------------------
 * libclamav/c++/llvm/lib/ExecutionEngine/JIT/JIT.cpp:
 Fix the previous PowerPC workaround to not crash when not using the JIT.

Fri Apr  2 13:09:54 EEST 2010 (edwin)
------------------------------------
 * libclamav/c++/{bytecode2llvm.cpp,llvm/lib/ExecutionEngine/JIT/JIT.cpp,
     llvm/lib/Target/PowerPC/PPCISelLowering.cpp}: Workaround LLVM JIT PowerPC relocation bug (bb #1921).
    Based on Gary Benson's workaround for OpenJDK Shark / IcedTea.

Fri Apr  2 13:07:50 EEST 2010 (edwin)
-------------------------------------
 * unit_tests: Fix matchwithread.cbc

Wed Mar 31 19:30:59 CEST 2010 (tk)
----------------------------------
 * V 0.96

Wed Mar 31 18:19:23 CEST 2010 (tk)
----------------------------------
 * libclamav/mspack.c: fix Quantum decompressor (bb#1771)

Wed Mar 31 18:13:38 CEST 2010 (tk)
----------------------------------
 * libclamav/mspack.c: improve unpacking of malformed cabinets (bb#1826)

Wed Mar 31 18:07:05 CEST 2010 (acab)
------------------------------------
  * libclamav/7z: add recovery mode to 7z ansi

Wed Mar 31 16:27:18 EEST 2010 (edwin)
-------------------------------------
 * shared/output.c: fix race condition in IDSESSION mode (bb #1838).

Wed Mar 31 15:36:23 2010 +0300 (edwin)
--------------------------------------
 * unit_tests/check_common.sh: Fix print of test log when unit test fails (bb #1838).

Wed Mar 31 15:08:24 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/llvm/lib/System/Win32/Signals.inc: Fix Ctrl-C handler on win32, thanks Sherpya!

Wed Mar 31 12:30:57 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Workaround bb #1898.

Wed Mar 31 11:43:28 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Pull LLVM 2.7 release branch last time.

Wed Mar 31 11:03:31 2010 +0300 (edwin)
--------------------------------------
 * etc/clamd.conf: bb #1890.

Wed Mar 31 10:53:11 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode: jsnorm api.

Tue Mar 30 23:29:27 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/llvm/configure: Do the atomic builtin tests using the C++ compiler,
  since only C++ sources need it (bb #1904).

Tue Mar 30 23:22:23 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++: Update ClamBCRTChecks.cpp from bytecode compiler:
    Check bounds of each pointer passed to/from APIcalls,
    forbid recursion.

Tue Mar 30 18:05:10 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/llvm/test: Remove some unused LLVM test files.

Tue Mar 30 15:18:45 CEST 2010 (tk)
----------------------------------
 * freshclam: fix some issues with --submit-stats (bb#1902)
	      Thanks to Mark Pizzolato

Tue Mar 30 15:33:51 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Merge LLVM SVN r99883, fix double frees.

Tue Mar 30 13:09:10 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Merge LLVM SVN r99881 to fix some more VNInfo leaks.

Tue Mar 30 11:10:58 2010 +0300 (edwin)
--------------------------------------
 * unit_tests/check_bytecode.c: Increase timeout of testcase itself.

Tue Mar 30 11:07:05 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Minor optimization in JIT loader.

Tue Mar 30 10:42:46 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode.c: Fix use-of-uninit memory on zeroinitializer.

Tue Mar 30 00:34:49 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Update SELinux message.

Tue Mar 30 00:04:00 2010 +0300 (edwin)
--------------------------------------
 * unit_tests/check_bytecode.c: Increase bytecode timeout for non-timeout tests.

Mon Mar 29 23:48:18 2010 +0300 (edwin)
--------------------------------------
 * unit_tests/input/pdf.cbc: Update pdf.cbc.

Mon Mar 29 23:47:59 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode*: More interpreter fixes, pdf.cbc seems to be running now.

Mon Mar 29 22:33:20 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode_vm.c: Fix OP_BC_GEPZ/OP_BC_GEP1 in interpreter.

Mon Mar 29 21:06:47 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode*,c++,clambc.h: More fixes for pdf.cbc.

Mon Mar 29 12:09:07 2010 +0300 (edwin)
--------------------------------------
 * unit_tests/check_bytecode.c:  Separate bytecode tests into jit and interpreter.

Mon Mar 29 11:38:52 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode_vm.c, unit_tests: Fix inflate.cbc for the interpreter.

Sun Mar 28 23:46:41 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode_vm.c: Only show all the trace/debug messages in --enable-debug mode.

Sun Mar 28 23:27:05 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode*, unit_tests: Fix bswap.cbc in interpreter mode.

Sun Mar 28 20:15:48 2010 +0300 (edwin)
--------------------------------------
 * libclamav/bytecode*, filtering.c: Fix some possible uninitialized value uses.

Sun Mar 28 13:52:29 2010 +0300 (edwin)
--------------------------------------
 * libclamav/c++: Fallback to interpreter mode when SELinux denies 'execmem' access. (bb #1901).

Fri Mar 26 10:35:27 2010 +0200 (edwin)
--------------------------------------
 * Increase timeout in unit test (bb #1899).

Fri Mar 26 10:35:11 2010 +0200 (edwin)
--------------------------------------
 * configure: Fix linking with gold (bb #1903).

Wed Mar 24 18:29:55 CET 2010 (tk)
---------------------------------
 * V 0.96rc2

Wed Mar 24 19:14:24 2010 +0200 (edwin)
--------------------------------------
 * clamd/clamd.c: Fix typo(thanks Tomasz).

Wed Mar 24 18:34:58 2010 +0200 (edwin)
--------------------------------------
 * libclamav: bytecode timeout 60s.

Wed Mar 24 18:23:01 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: bb #1879, port LLVM commit r98349.

Wed Mar 24 17:55:04 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: Downgrade some messages to debug.

Wed Mar 24 17:37:23 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode_api.c,unit_tests: Fix valgrind warnings.

Wed Mar 24 17:27:14 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Merge latest LLVM 2.7 release branch.

Wed Mar 24 17:22:34 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp:  Disable JITDebugRegisterer, and fix unit_tests rule.

Wed Mar 24 17:07:14 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*, unit_tests: Fix more leaks.

Wed Mar 24 16:47:42 2010 +0200 (edwin)
--------------------------------------
 * win32: update win32 proj.

Wed Mar 24 16:41:29 2010 +0200 (edwin)
--------------------------------------
 * unit_tests/check_unit_vg.sh: Fix unit test script.

Wed Mar 24 16:35:40 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: port LLVM SVN r99160 correctly.

Wed Mar 24 16:25:57 2010 +0200 (edwin)
--------------------------------------
 * unit_tests: Run check_clamav under valgrind too to actually detect the leaks.

Wed Mar 24 16:08:00 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Port LLVM leakfixes from trunk.

Wed Mar 24 15:51:19 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Fix memory leak. LLVM SVN r99400
    .
Wed Mar 24 15:27:15 2010 +0200 (edwin)
--------------------------------------
 * libclamav, unit_tests: Fix bswap.

Wed Mar 24 14:14:33 2010 +0200 (edwin)
--------------------------------------
 * libclamav, unit_tests: Leak testcase.

Wed Mar 24 12:56:27 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvmcheck.sh: bb #1896.

Wed Mar 24 12:46:34 2010 +0200 (edwin)
--------------------------------------
 * unit_tests: Add matchwithread.cbc to unit tests.

Wed Mar 24 11:29:56 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: match_with_read appears to be working!

Wed Mar 24 10:51:05 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*:  OP_BC_COPY again.

Wed Mar 24 10:41:11 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*,pe.h: Fix read of pedata in interpreter.

Wed Mar 24 10:16:41 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode.c: Fix OP_BC_COPY.

Wed Mar 24 00:07:17 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: Fix GEPZ.

Tue Mar 23 23:46:58 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode.c: Making progress on match_with_read.

Tue Mar 23 21:47:57 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*:  Interpreter fixes for accessing 'ctx'.

Tue Mar 23 16:33:41 2010 +0200 (edwin)
--------------------------------------
 * libclamav/:  Use a watchdog thread. Also make timeout be ms instead of us.

Tue Mar 23 15:54:41 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Insert timeout checks directly into the JITed code.

Mon Mar 22 22:57:46 2010 +0200 (edwin)
--------------------------------------
 * configure: Portability fix.

Mon Mar 22 18:36:03 2010 +0200 (edwin)
--------------------------------------
 * libclamav/mpool.c: Need to align the MPMAP field to 64-bit for Sparc.

Mon Mar 22 17:31:38 2010 +0200 (edwin)
--------------------------------------
 * libclamav/others.h: Fix build on non-gcc.

Mon Mar 22 17:28:38 2010 +0200 (edwin)
--------------------------------------
 * configure, libclamav, win32: New configure flag --enable-unsigned-bytecode.

Mon Mar 22 17:16:07 2010 +0200 (edwin)
--------------------------------------
 * clamd,clamscan,libclamav,shared,unit_tests: Introduce BytecodeTimeout.

Mon Mar 22 16:57:27 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Support for timeouts.

Mon Mar 22 15:35:07 2010 +0200 (edwin)
--------------------------------------
 * clambc/bcrun.c: Don't print extra newline.

Mon Mar 22 15:30:28 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Attempt to fix remaining PPC failures.

Mon Mar 22 14:58:58 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: Print location of runtime error.

Mon Mar 22 14:58:51 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp,shared: Fix clambc -p.

Mon Mar 22 14:27:37 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++: Avoid duplicate symbol on Mac OS X.

Mon Mar 22 14:08:56 2010 +0200 (edwin)
--------------------------------------
 * libclamav/mpool.c: Fix sparc sigbus.

Mon Mar 22 13:41:18 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode_api.c: bytecode api fixes.

Mon Mar 22 13:05:20 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Fix valgrind warning.

Mon Mar 22 12:53:48 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: Fix clambc.

Mon Mar 22 12:47:54 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++: Apply LLVM SVN r98508 in an attempt to fix make check fail on PPC.

Mon Mar 22 11:42:27 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Merge LLVM upstream SVN r98997 from 2.7 release branch.

Mon Mar 22 00:01:28 2010 +0200 (edwin)
--------------------------------------
 * libclamav/{bytecode*,c++}: More fixes for global vars in the interpreter.

Sun Mar 21 19:47:25 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: WiP fixing globals in interpreter.

Sun Mar 21 15:44:15 2010 +0200 (edwin)
--------------------------------------
 * unit_tests/input/*.cbc: Update unit tests.

Sun Mar 21 15:44:07 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Print size and location of JITed code.

Sun Mar 21 12:56:05 2010 +0200 (edwin)
--------------------------------------
 * libclamav/{bytecode*,c++/}: zlib/buffer apis.

Sat Mar 20 21:18:54 2010 +0200 (edwin)
--------------------------------------
 * libclamav/{bytecode*,c++/}: minimalistic zlib api.

Fri Mar 19 22:20:55 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*,pe.c: More APIs.

Fri Mar 19 19:59:08 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/configure: Reenable GCC 4.0.1, and 4.1.2 for JIT.

Fri Mar 19 19:55:54 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++: set numthreads to 1 in LLVM's check when running on old Python.

Fri Mar 19 15:47:26 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: More API additions for PDF.

Fri Mar 19 14:37:18 CET 2010 (tk)
---------------------------------
 * freshclam: add support for ExtraDatabase (bb#781)

Fri Mar 19 13:20:59 2010 +0200 (edwin)
--------------------------------------
 * libclamav/{bytecode*,c++/}, unit_tests/: New API for buffer fill.

Wed Mar 17 19:33:54 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode_vm.c: Switch interpreter to debug (safe) mode by default.

Wed Mar 17 15:02:38 2010 +0200 (edwin)
--------------------------------------
 * sigtool/sigtool.c: Fix loading of bytecode.cvd in sigtool

Tue Mar 16 04:11:02 CET 2010 (acab)
-----------------------------------
 * win32: add sigtool upon request from 3rd party sigmakers

Fri Mar 12 13:13:08 2010 +0200 (edwin)
--------------------------------------
 * clamscan, libclamav/c++, shared/: Add clamscan commandline to load bytecode in debug mode.

Fri Mar 12 11:45:46 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++: Fix Solaris/intel build (bb #1878).

Thu Mar 11 23:43:51 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/configure: Solaris needs Solaris.h! (bb #1878).

Thu Mar 11 20:36:35 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvmcheck.sh: Fix bashism (bb #1876).

Wed Mar 10 20:04:46 CET 2010 (tk)
---------------------------------
 * V 0.96rc1

Wed Mar 10 15:58:42 2010 +0200 (edwin)
--------------------------------------
 * libclamav/readdb.c: Only load signed bytecode by default.

Wed Mar 10 14:58:18 2010 +0200 (edwin)
--------------------------------------
 * libclamav/scanners.c: Unit tests don't have fmap.

Wed Mar 10 14:49:22 2010 +0200 (edwin)
--------------------------------------
 * libclamav/cache.c: Better fix for found_possibly_unwanted and caching.

Wed Mar 10 14:34:32 2010 +0200 (edwin)
--------------------------------------
 * configure: Add version suffix when using --enable-debug.

Wed Mar 10 14:30:31 2010 +0200 (edwin)
--------------------------------------
 * clambc,clamd, libclamav, shared: Allow "None" bytecode security setting only in --enable-debug mode.

Wed Mar 10 12:20:06 2010 +0200 (edwin)
--------------------------------------
 * clambc/bcrun.c, libclamav/c++/ClamBCRTChecks.cpp: nullcheck.

Wed Mar 10 11:44:30 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: bb #1800.

Tue Mar  9 02:42:37 CET 2010 (acab)
-----------------------------------
 * win32/platform.h: make sleep() wait seconds rather than ms (bb#1866)

Sun Mar 7 19:46:23 2010 +0200 (edwin)
-------------------------------------
 * libclamav/{filtering.c,matcher-ac.c}: shut up filter debug messages during DB load.

Sat Mar 6 21:19:48 2010 +0200 (edwin)
-------------------------------------
 * libclamav/c++, win32/: Enable LLVM tests if proper python and GNU make version is present.

Sat Mar 6 20:17:15 2010 +0200 (edwin)
-------------------------------------
 * libclamav/c++/llvm: Merge LLVM upstream SVN r97877.

Sat Mar 6 17:38:42 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode_vm.c: missing opcode.

Sat Mar 6 16:28:08 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode.[ch]: compute global offsets.

Sat Mar 6 16:00:54 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode*: prepare for reading globals from ctx

Sat Mar 6 15:58:35 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode_vm.c: READN -> READNfrom

Sat Mar 6 15:54:14 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode_vm.c: READ1,8,16,32,64->READN

Sat Mar  6 03:58:16 CET 2010 (acab)
-----------------------------------
 * clamd/scanner.c: fix logg output, patch from Mark Pizzolato

Fri Mar  5 22:16:45 CET 2010 (acab)
-----------------------------------
 * libclamav: don't cache clean results due to EMAX - final fix for bb#1856

Fri Mar  5 22:01:20 CET 2010 (tk)
---------------------------------
 * libclamav: fix scanning of utf16 data (bb#1853)

Fri Mar  5 21:14:12 CET 2010 (tk)
---------------------------------
 * libclamav/matcher-bm.c: properly handle scan boundaries in
			   offset mode (bb#1840)

Fri Mar  5 19:11:25 CET 2010 (tk)
---------------------------------
 * libclamav: fix cl_cvdparse() leak (bb#1859)

Fri Mar 5 19:56:43 2010 +0200 (edwin)
-------------------------------------
 * libclamav/scanners.c: Don't leak bitset in magicscan.

Thu Mar 4 20:14:22 2010 +0200 (edwin)
-------------------------------------
 * libclamav/c++: FreeBSD needs -lthr not -pthread.

Thu Mar  4 17:33:18 CET 2010 (tk)
---------------------------------
 * libclamav/matcher-bm.c: fix array check (bb#1840)

Thu Mar  4 15:32:40 CET 2010 (tk)
---------------------------------
 * libclamav/scanners.c: set container type in cli_scanraw() (bb#1842)

Thu Mar  4 14:41:39 CET 2010 (tk)
---------------------------------
 * libclamav/matcher-bm.c: only sort correct offsets (bb#1840)

Mon Mar 1 19:48:11 2010 +0200 (edwin)
-------------------------------------
 * libclamunrar_iface/unrar_iface.c: make behavior deterministic.

Mon Mar 1 19:46:58 2010 +0200 (edwin)
-------------------------------------
 * libclamunrar/unrar.c: Fix error path leak in unrar.

Sat Feb 27 15:35:16 2010 +0200 (edwin)
--------------------------------------
 * libclamav/ishield.c: Fix ishield errorpath.

Thu Feb 25 17:20:27 CET 2010 (tk)
---------------------------------
 * docs: update signatures.pdf

Wed Feb 24 13:39:07 2010 +0200 (edwin)
--------------------------------------
 * libclamav/special.c: Tweak swizzor threshold to fix some false positives.

Wed Feb 24 13:10:14 2010 +0200 (edwin)
--------------------------------------
 * libclamav/pe.c: Only detect swizzor in english resources.

Tue Feb 23 23:53:27 2010 +0200 (edwin)
--------------------------------------
 * libclamav/special.c: make debug output for swizz break lines properly.

Mon Feb 22 17:59:32 2010 +0200 (edwin)
--------------------------------------
 * unit_tests/check_matchers.c: Fix unit test: ctx.fmap can't be NULL.

Mon Feb 22 17:21:05 2010 +0200 (edwin)
--------------------------------------
 * libclamav/matcher.c: Be consistent about matcher_run (prefiltering) calls.

Mon Feb 22 17:10:18 2010 +0200 (edwin)
--------------------------------------
 * libclamav/matcher.c: Fix NULL dereference.

Mon Feb 22 15:44:23 2010 +0200 (edwin)
--------------------------------------
 * libclamav/matcher.c: Don't use prefiltering for BM offset mode.

Mon Feb 22 14:12:55 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode{_vm,}.c: Properly calculate numBytes for interpreter, and protect interpreter from null
    derefs.

Tue Feb 16 16:41:30 CET 2010 (tk)
---------------------------------
 * libclamav/cvd.c: enable new dsig check for main db

Tue Feb 16 16:27:13 CET 2010 (tk)
---------------------------------
 * freshclam/manager.c: handle empty cdiffs more gently

Mon Feb 15 21:52:29 2010 +0200 (edwin)
--------------------------------------
 * clambc/bcrun.c, win32/libclamavcxx.vcproj: fix win32 build.

Mon Feb 15 20:58:24 2010 +0200 (edwin)
--------------------------------------
 * libclamav/Makefile.{am,in}: Show version.h creation commands with V=1.

Mon Feb 15 20:54:38 2010 +0200 (edwin)
--------------------------------------
 * build system: fix distclean with --disable-llvm.

Mon Feb 15 18:34:57 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/llvm: Update to LLVM upstream SVN r96221.

Mon Feb 15 17:34:41 2010 +0200 (edwin)
--------------------------------------
 * win32/: update win32 proj.

Mon Feb 15 17:32:00 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode.c: fix loading of bytecode into intepreter.

Mon Feb 15 16:08:38 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode.c: fix globals in interpreter.

Mon Feb 15 15:01:37 2010 +0200 (edwin)
--------------------------------------
 * libclamav: enable prefiltering, and add to dconf.

Mon Feb 15 14:37:09 2010 +0200 (edwin)
--------------------------------------
 * clambc, libclamav, unit_tests: dconf for bytecode.

Mon Feb 15 12:41:53 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++, unit_tests: runtime checks verifier.

Sun Feb 14 12:28:52 CET 2010 (acab)
-----------------------------------
 * libclamav: refactor checkfp logic

Sat Feb 13 19:57:33 2010 +0200 (edwin)
--------------------------------------
 * clambc/bcrun.c, shared/optparser.c: fix clambc's printing of source code, and add separate cmdline for it.

Sat Feb 13 18:21:33 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode.c,readdb.c: Don't fail if bytecode was skipped due to functionality level.

Sat Feb 13 18:13:56 2010 +0200 (edwin)
--------------------------------------
 * unit_tests/input: update unit tests.

Sat Feb 13 18:13:39 2010 +0200 (edwin)
--------------------------------------
 * libclamav/readdb.c: fix memory leak in prefiltering code.

Sat Feb 13 02:55:55 CET 2010 (acab)
-----------------------------------
 * libclamav: refactor binhex processor with one pass decoder (bb#1236)

Fri Feb 12 15:51:19 CET 2010 (tk)
---------------------------------
 * libclamav: add cl_countsigs() (bb#1473)

Fri Feb 12 16:47:44 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*,pe*,unit_tests/input/*: New pointer handling rules.

Wed Feb 10 17:00:30 2010 +0200 (edwin)
--------------------------------------
 * libclamav/scanners.c: fix init of hook_lsig_matches.

Wed Feb 10 11:39:47 2010 +0200 (edwin)
--------------------------------------
 * libclamav/matcher*: Add the rest of the prefiltering glue code.

Wed Feb 10 10:22:07 2010 +0200 (edwin)
--------------------------------------
 * libclamav/filtering.c, win32/: Fix win32 build (bb #1824).

Tue Feb  9 20:44:11 CET 2010 (acab)
-----------------------------------
 * clamav-milter: allow SkipAuthenticated to read names from a file
		(bb#1684)

Tue Feb 9 18:56:08 2010 +0200 (edwin)
-------------------------------------
 * libclamav/matcher.c: move matching code to matcher_run.

Tue Feb 9 18:23:10 2010 +0200 (edwin)
-------------------------------------
 * libclamav/matcher-ac.c: move leaf checks inside IS_FINAL.

Tue Feb  9 16:35:36 CET 2010 (acab)
-----------------------------------
 * libclamav/scanners.c: fix gzip handler

Tue Feb 9 13:40:02 2010 +0200 (edwin)
-------------------------------------
 * libclamav/scanners.c: Show more details about zlib when inflateinit fails.

Tue Feb 9 13:21:14 2010 +0200 (edwin)
-------------------------------------
 * configure: fix empty output for check in configure summary.

Tue Feb 9 12:01:31 2010 +0200 (edwin)
-------------------------------------
 * libclamav: Prepare for prefiltering: add new files.


Mon Feb 8 20:27:59 2010 +0200 (edwin)
-------------------------------------
 * unit_tests/check_common.sh: Update unit tests after Phishing.Heuristics -> Heuristics.Phishing change.

Mon Feb  8 19:17:14 CET 2010 (tk)
---------------------------------
 * libclamav: prefix all engine detections with "Heuristics." (bb#1808)
	      (also change Phishing.Heuristics.* -> Heuristics.Phishing.*)

Mon Feb  8 13:40:06 CET 2010 (acab)
----------------------------------
 * libclamav: drop support for type 8 signatures. disasm matching is now
		done via bytecode

Mon Feb 8 13:45:03 2010 +0200 (edwin)
-------------------------------------
 * libclamav/matcher*,readdb.c: Support for macros in logical subsignatures (bb #164).

Mon Feb  8 10:30:03 CET 2010 (tk)
---------------------------------
 * freshclam, sigtool: use zlib's Z_FILTERED strategy
		       Thanks to Edwin

Sat Feb 6 17:53:17 2010 +0200 (edwin)
-------------------------------------
 * clambc, libclamav: print bytecode source code.

Sat Feb  6 16:02:28 CET 2010 (acab)
-----------------------------------
 * clamd/server-th.c: reset the selfcheck timeout even if we reload
		      by other means (bb#1812)

Thu Feb  4 22:17:49 CET 2010 (acab)
-----------------------------------
 * clamd: new options LocalSocketMode and LocalSocketGroup
 * clamav-milter: new options MilterSocketMode and MilterSocketGroup
   (bb#1789)

Thu Feb  4 21:31:27 CET 2010 (tk)
---------------------------------
 * clamscan: properly report errors from libclamav; simplify
	     error codes

Wed Feb  3 18:23:08 CET 2010 (tk)
---------------------------------
 * clamdscan: fix error logic once again

Wed Feb  3 01:38:50 CET 2010 (acab)
-----------------------------------
 * win32: workaround HUP reset in poll, set stdin to binary mode

Tue Feb 2 15:29:02 2010 +0200 (edwin)
-------------------------------------
 * libclamav: Fix use-after-free on bytecode load/execution.

Tue Feb  2 14:23:18 CET 2010 (tk)
---------------------------------
 * freshclam: new option Bytecode

Tue Feb 2 14:03:32 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode*: s/2009/2010/

Tue Feb 2 14:01:38 2010 +0200 (edwin)
-------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Fix loading of multiple .cbc files.

Tue Feb 2 13:46:37 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode.c: fix loading from .cvd.

Tue Feb 2 13:42:33 2010 +0200 (edwin)
-------------------------------------
 * libclamav/bytecode.c: fix segfault on failed cbc load.


Mon Feb  1 19:25:45 CET 2010 (tk)
---------------------------------
 * sigtool: add support for bytecode.cvd

Mon Feb 1 14:39:37 2010 +0200 (edwin)
-------------------------------------
 * clamdtop/clamdtop.c: increase clamdtop timeout (bb #1732).

Mon Feb 1 14:38:36 2010 +0200 (edwin)
-------------------------------------
 * clamd: make STATS a non-bulk command (bb #1732).

Mon Feb 1 14:06:07 2010 +0200 (edwin)
-------------------------------------
 * clamd/thrmgr.[ch]: Don't allow bulk requests (multiscan, idsession) to fill more than 50% of the queue. (bb #1732)

Sun Jan 31 17:12:48 CET 2010 (acab)
-----------------------------------
 * win32: clamdscan added

Sat Jan 30 18:31:07 2010 +0200 (edwin)
--------------------------------------
 * win32: fix ETIMEDOUT mismatch on win32.

Sat Jan 30 04:19:29 CET 2010 (acab)
-----------------------------------
 * win32: clamd (sort of) works

Fri Jan 29 18:38:43 2010 +0200 (edwin)
--------------------------------------
 * clamdscan: Don't use clamdscan.map, it fails on some versions of Solaris.

Fri Jan 29 14:39:02 2010 +0200 (edwin)
--------------------------------------
 * configure: Print feature summary after configure is finished.

Fri Jan 29 12:31:11 2010 +0200 (edwin)
--------------------------------------
 * libclamav/others.c: Test field offset rather than size.

Fri Jan 29 12:17:07 2010 +0200 (edwin)
--------------------------------------
 * libclamav/others.c: Add sanity check for struct packing (bb #1752).

Thu Jan 28 15:23:55 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/Makefile.{am,in}: Remove -fno-rtti for now.

Thu Jan 28 12:53:45 CET 2010 (tk)
---------------------------------
 * libclamav: provide information about lsig matches to bytecode (bb#1799)

Wed Jan 27 18:33:09 CET 2010 (tk)
---------------------------------
 * libclamav: provide offset in cli_ac_result (bb#1799)

Wed Jan 27 15:56:13 2010 +0200 (edwin)
--------------------------------------
 * clamd/others.c: fix distcheck warnings.

Wed Jan 27 14:42:40 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: _GLIBCXX_PARALLEL is not supported: it creates threads before we fork() causing
    deadlock.

Wed Jan 27 12:07:08 2010 +0200 (edwin)
--------------------------------------
 * clamd, libclamav: Don't use C++ comments in C code.

Wed Jan 27 11:59:51 2010 +0200 (edwin)
--------------------------------------
 * clamd: Fix clamd hang when number of multiscan commands == MaxThreads (bb #1770).

Wed Jan 27 11:04:34 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode_api*: Fix duplicate const qualifier (bb #1798).

Wed Jan 27 10:54:35 2010 +0200 (edwin)
--------------------------------------
 * clamd/others.c: Improve error message when no ancillary data is received (bb #1700).

Tue Jan 26 22:11:31 2010 +0200 (edwin)
--------------------------------------
 * build system:: update files used by make check. add missing file.
    Fix make distclean.

Tue Jan 26 19:39:18 CET 2010 (acab)
-----------------------------------
 * win32: automatically check and regenerate vcprojs,
	  drop support and tblgen from llvm as these are now prebuilt and
	  shipped

Tue Jan 26 15:48:56 2010 +0200 (edwin)
--------------------------------------
 * win32/: modify vcproj files according to win32/update-win32.pl

Tue Jan 26 15:37:14 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/configure: Perl is not required (bb #1781).

Tue Jan 26 15:33:56 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++: Merge LLVM upstream SVN r94539.
    Update autogenerated files after LLVM import.

Tue Jan 26 14:25:54 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: fix compiler warning.

Tue Jan 26 12:40:18 2010 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Support building w/o atomic builtins for i386 (bb #1781).

Tue Jan 26 10:10:56 2010 +0200 (edwin)
--------------------------------------
 * build system: regenerate build files using automake 1.11.1

Tue Jan 26 09:56:11 2010 +0200 (edwin)
--------------------------------------
 * build system: don't link clamdscan with -lz -ldl (bb #1474)


Mon Jan 25 15:17:10 2010 +0200 (edwin)
--------------------------------------
 * win32/libclamav.def: attempt to fix win32 build.

Mon Jan 25 15:15:54 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode.c: fix distcheck warning.

Mon Jan 25 15:06:30 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode_api.c: don't return NULL here.

Mon Jan 25 13:27:44 CET 2010 (tk)
---------------------------------
 * libclamav: handle digitally signed .info files

Fri Jan 22 17:19:11 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecoed.c: fix typo.

Fri Jan 22 16:50:16 2010 +0200 (edwin)
--------------------------------------
 * clambc, libclamav, shared/optparser.c: print bytecode metadata.

Fri Jan 22 14:36:56 2010 +0200 (edwin)
--------------------------------------
 * clambc, clambc, etc/clamd.conf, libclamav, shared/optparser.c: BytecodeSecurity setting.

Fri Jan 22 11:49:07 CET 2010 (acab)
-----------------------------------
 * libclamav: fix shifts >= width (bb#1778)

Thu Jan 21 23:01:34 CET 2010 (tk)
---------------------------------
 * sigtool: create digitally signed .info files

Thu Jan 21 16:48:56 2010 +0200 (edwin)
--------------------------------------
 * libclamav: bytecode ptrdiff32 opcode.


Wed Jan 20 23:53:36 CET 2010 (acab)
-----------------------------------
 * libclamav/pe.c: fix handling of 15h byte skew in upx-lzma (bb#1591)

Wed Jan 20 22:10:12 CET 2010 (tk)
---------------------------------
 * libclamav: check .info files while loading CVD/CLD

Wed Jan 20 20:04:01 2010 +0200 (edwin)
--------------------------------------
 * libclamav, unit_tests: Support for malloc in bytecode. Fix crash with mismatched api/flevel versions.

Wed Jan 20 18:20:53 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode_api.c: longest asm instruction 4096->32.

Wed Jan 20 18:12:10 2010 +0200 (edwin)
--------------------------------------
 * unit_tests/check_clamav.c: Prevent check from hanging/crashing when there is a version mismatch.

Wed Jan 20 17:16:27 2010 +0200 (edwin)
--------------------------------------
 * libclamav/{bytecode_api.c,disasm.[ch]}: disasm_x86 api.

Wed Jan 20 16:59:05 2010 +0200 (edwin)
--------------------------------------
 * libclamav/disasm-common.h: fix struct doxygen docs.

Wed Jan 20 16:19:18 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode_api*: file_find, file_byteat bytecode APIs.


Tue Jan 19 19:58:15 2010 +0200 (edwin)
--------------------------------------
 * libclamav/bytecode*: Fix loading of apicall8 (disasm).

Tue Jan 19 16:38:12 2010 +0200 (edwin)
--------------------------------------
 * libclamav: Support PE hook bytecodes triggered by logical signature.

Tue Jan 19 11:49:12 CET 2010 (acab)
-----------------------------------
  * clamdscan/proto.c: don't stop scanning if a file is not found (bb#1760)

Tue Jan 19 11:26:11 CET 2010 (acab)
-----------------------------------
  * clamscan/manager.c: use unsigned fsize (bb#1788)

Mon Jan 18 19:31:59 2010 +0200 (edwin)
--------------------------------------
 * libclamav/{bytecode*,pe.*,clambc.h}: filesize, and pe_rawaddr API.

Fri Jan 15 18:17:55 2010 +0200 (edwin)
--------------------------------------
 * libclamav/{bytecode,cache,pe_icons}.c: Fix some pointer dereferences, and sizeof.

Fri Jan 15 15:06:33 2010 +0200 (edwin)
--------------------------------------
 * libclamav/pe.c: Fix UPX error handling.

Fri Jan 15 10:23:25 2010 +0200 (edwin)
--------------------------------------
 * libclamav/mpool.[ch]: Fix bus error on Sparc.

Fri Jan 15 03:02:25 CET 2010 (acab)
-----------------------------------
  * libclamav: cache negative matches

Thu Jan 14 23:31:51 CET 2010 (tk)
---------------------------------
 * libclamav: cdb: drop FileType; cover ARJ, CAB, TAR, CPIO and 7Z

Thu Jan 14 19:43:43 CET 2010 (tk)
---------------------------------
 * libclamav/readdb.c: fix compatibility issue with .zmd sigs (bb#1793)

Tue Jan 12 16:57:22 2010 +0200 (edwin)
--------------------------------------
 * libclamav/readdb.c: Fix array size for parsing .ldb tokens.

Tue Jan 12 14:39:55 CET 2010 (tk)
---------------------------------
 * libclamav: allow lsigs be anchored to specific containers (bb#1293),
	      eg. Container:CL_TYPE_ZIP

Tue Jan 12 12:14:08 CET 2010 (tk)
---------------------------------
 * libclamav/readdb.c: when some lsig's attribute is unknown ignore the
		       entire signature and not the attribute itself

Mon Jan 11 12:43:21 2010 +0200 (edwin)
--------------------------------------
 * libclamav/cache.c: Fix infinite loop in lookup.

Fri Jan  8 15:20:10 CET 2010 (tk)
---------------------------------
 * libclamav: handle zmd/rmd with cdb (bb#1579)

Thu Jan  7 18:22:39 CET 2010 (tk)
---------------------------------
 * libclamav: base code for unified container metadata matcher (bb#1579)

Wed Jan 6 19:53:07 2010 +0200 (edwin)
-------------------------------------
 * libclamav/cache.c:  Fix hash impl when replacing values.

Wed Jan 6 19:32:34 2010 +0200 (edwin)
-------------------------------------
 * libclamav/cache.c: a fixed size, LRU hash-based cache.

Tue Jan 5 13:19:33 2010 +0200 (edwin)
-------------------------------------
 * libclamav/readdb.c: Fix logic.

Tue Jan  5 12:04:47 CET 2010 (acab)
-----------------------------------
 * libclamav/readdb.c: force VI anchored sigs into AC

Tue Jan  5 02:08:38 CET 2010 (acab)
-----------------------------------
 * libclamav: merge PE VersionInformation matcher

Mon Jan 4 17:17:22 2010 +0200 (edwin)
-------------------------------------
 * libclamav/hashtab.c: The hashset's bitmap needs only capacity/32 memory, not capacity/8.

Mon Jan 4 17:08:59 2010 +0200 (edwin)
-------------------------------------
 * libclamav/hashtab.[ch]:  add _noalloc hashset functions requested by aCaB.

Mon Jan  4 15:35:16 CET 2010 (tk)
---------------------------------
 * libclamav: fix error reporting for BinHex files (bb#1685)

Wed Dec 30 15:08:35 2009 +0200 (edwin)
--------------------------------------
 * libclamav: fix bswap in JIT

Wed Dec 30 12:13:40 2009 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Fix __*di3 libcalls on x86-32.

Wed Dec 30 00:19:21 CET 2009 (tk)
---------------------------------
 * libclamav: add support for FileSize, EntryPoint and NumberOfSections in
	      lsig's tdb

Tue Dec 29 13:50:01 CET 2009 (tk)
---------------------------------
 * sigtool/sigtool.c: handle lsigs created by the bytecode compiler

Mon Dec 28 23:27:40 CET 2009 (tk)
---------------------------------
 * sigtool/sigtool.c: properly handle anchored sigs (bb#1780)

Mon Dec 28 20:53:46 2009 +0200 (edwin)
--------------------------------------
 * win32/LLVMsupport.vcproj: Update win32 proj.

Mon Dec 28 20:18:59 2009 +0200 (edwin)
--------------------------------------
 * libclamav/c++/bytecode2llvm.cpp: Fix some warnings from clang++ bytecode2llvm.cpp.

Mon Dec 28 20:08:10 2009 +0200 (edwin)
--------------------------------------
 * libclamav/c++: Update to LLVM upstream r92222.

Tue Dec 22 09:32:33 EET 2009 (edwin)
------------------------------------
 * libclamav/fmap.h: fix build on FreeBSD and Mac OS X (bb #1776). Thanks to
    Renato Botelho.

Wed Dec 16 15:33:01 CET 2009 (acab)
-----------------------------------
 * libclamav/unzip.c: do not mark embedded zipfiles as
		       encrypted.zip (bb#1768)

Wed Dec 16 15:22:28 CET 2009 (acab)
-----------------------------------
 * clamd/server-th.c: remove c++ comment (bb#1751)

Wed Dec 16 03:15:30 CET 2009 (acab)
-----------------------------------
 * libclamav/c++, win32: win32 compile system for llvm refactored

Mon Dec 14 17:16:07 CET 2009 (tk)
---------------------------------
 * libclamav: integrate ldb sigs with icon matcher

Mon Dec 14 15:04:45 CET 2009 (tk)
---------------------------------
 * sigtool: fix some messages (bb#1777)

Mon Dec 14 14:31:19 CET 2009 (tk)
---------------------------------
 * man/freshclam.conf.5: describe SafeBrowsing (bb#1772)

Mon Dec 14 14:25:29 CET 2009 (tk)
---------------------------------
 * man/clamd.8: add info about signals

Fri Dec 11 00:54:52 CET 2009 (acab)
---------------------------------
 * libclamav: merge icon extraction and matching branch(exeicons)

Wed Dec  9 23:31:54 CET 2009 (tk)
---------------------------------
 * sigtool: add --test-sigs (basic functionality) (bb#1246)

Fri Dec  4 15:55:51 CET 2009 (tk)
---------------------------------
 * freshclam/manager.c: improve handling of problematic mirrors (bb#1758)

Fri Dec  4 14:19:23 CET 2009 (tk)
---------------------------------
 * clamscan: properly describe --include/exclude (bb#1765)

Wed Dec  2 23:17:27 CET 2009 (tk)
---------------------------------
 * libclamav/qsort.c: fix CMP1 macro (bb#1769)

Tue Dec  1 23:17:53 CET 2009 (tk)
---------------------------------
 * libclamav/readdb.c: make sure static sigs with floating chars go into AC

Mon Nov 30 21:16:35 CET 2009 (tk)
---------------------------------
 * sigtool: --decode-sigs: handle alternatives

Thu Nov 26 19:43:06 CET 2009 (tk)
---------------------------------
 * sigtool: --decode-sigs: handle .ldb sigs

Thu Nov 26 16:06:30 CET 2009 (acab)
-----------------------------------
 * libclamav/scanners.c: print inflateinit2 return code

Wed Nov 25 19:07:51 CET 2009 (tk)
---------------------------------
 * sigtool: --decode-sigs: handle .ndb sigs

Tue Nov 24 10:24:27 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c: enable more than 256 FD support on Solaris (bb #1764).

Mon Nov 23 23:15:38 CET 2009 (tk)
---------------------------------
 * sigtool: --decode-sigs; decode .db entries (bb#1246)

Thu Nov 19 14:10:17 CET 2009 (tk)
---------------------------------
 * sigtool/sigtool.c: handle .ign2 files (bb#1625)

Tue Nov 17 18:02:45 CET 2009 (tk)
---------------------------------
 * libclamav/qsort.c: don't call med3 when using internal cmp

Mon Nov 16 23:15:37 CET 2009 (acab)
-----------------------------------
 * libclamav: add qsort to the win32 build

Mon Nov 16 19:26:53 CET 2009 (tk)
---------------------------------
 * libclamav: replace qsort implementation and optimize its common
	      usage (bb#1721)

Tue Nov 10 19:29:18 CET 2009 (tk)
---------------------------------
 * clamd, clamscan: add support for OfficialDatabaseOnly/--official-db-only
		    (bb#1743)

Tue Nov 10 16:50:56 CET 2009 (tk)
---------------------------------
 * freshclam/notify.c: fix clamd notification in TCP mode (bb#1756)

Tue Nov 10 12:52:43 CET 2009 (acab)
-----------------------------------
 * doc/man/clamav-milter.8.in: fix typo
   reported by Thomas Harold <thomas * betasearch.com>

Fri Nov  6 16:14:09 CET 2009 (acab)
-----------------------------------
 * libclamav/tnef.c: don't use fgetc (bb#1695)

Fri Nov  6 12:22:33 CET 2009 (tk)
---------------------------------
 * freshclam: add support for DetectionStatsHostID (bb#1503)

Tue Nov  3 22:50:30 CET 2009 (tk)
---------------------------------
 * libclamav, freshclam: fix handling of dbs when both daily.cvd and daily.cld
			 are present in the db directory and ScriptedUpdates
			 are turned off (bb#1739)

Tue Nov  3 15:18:14 CET 2009 )tk)
---------------------------------
 * libclamav/readdb.c: return error if lsig contains redundant subsigs

Sun Nov  1 21:26:10 CET 2009 (acab)
-----------------------------------
 * win32: improve build system

Sat Oct 31 19:13:18 CET 2009 (acab)
-----------------------------------
 * win32: add resources

Sat Oct 31 19:12:22 CET 2009 (acab)
-----------------------------------
 * win32: fix warnings

Fri Oct 30 14:04:43 EET 2009 (edwin)
------------------------------------
 * configure, m4/acinclude.m4: Avoid trailing slash in libdir for old gcc (#1738).

Thu Oct 29 23:42:57 CET 2009 (acab)
-----------------------------------
 * win32/3rdparty/pthreads: upgrade to CVS HEAD

Thu Oct 29 17:27:40 CET 2009 (acab)
-----------------------------------
 * win32: don't use . or .. in UNC names

Wed Oct 28 15:15:05 EET 2009 (edwin)
------------------------------------
 * clamd/thrmgr.c: use a double instead of integer to avoid negative time (bb #1731).

Wed Oct 28 12:42:45 CET 2009 (tk)
---------------------------------
 * libclamav/filetypes_int.h: sync with daily.ftm

Tue Oct 27 23:29:09 CET 2009 (tk)
---------------------------------
 * clamdscan: improve error handling (bb#1729)

Tue Oct 27 20:31:36 CET 2009 (tk)
---------------------------------
 * clamdscan, libclamav, clamdtop, freshclam, sigtool: fix some error path
   leaks (bb#1730)

Tue Oct 27 11:59:32 CET 2009 (tk)
---------------------------------
 * libclamav/scanners.c: drop hardcoded offset limits for embedded objs (bb#1664)

Mon Oct 26 16:09:29 CET 2009 (tk)
---------------------------------
 * libclamav/others.c: call srand() already in cli_init() (bb#1728)

Mon Oct 26 13:08:41 CET 2009 (tk)
---------------------------------
 * clamdscan/proto.c: handle recv() == 0 (bb#1717)

Sat Oct 24 15:06:50 CEST 2009 (acab)
------------------------------------
 * libclamav/mpool.c: increase max pool to 8M to allow loading huge custom dbs

Sat Oct 24 14:27:10 EEST 2009 (edwin)
------------------------------------
 * clamd/scanner.c, libclamav/others_common.c: fix error path leak (bb #1711)

Fri Oct 23 20:48:12 CEST 2009 (acab)
------------------------------------
 * libclamav/unarj: fix error path leaks and valgrind warnings

Wed Oct 21 17:50:05 CEST 2009 (acab)
------------------------------------
 * win32: introduce safe_open() (sic!)

Tue Oct 20 17:48:59 CEST 2009 (acab)
------------------------------------
 * shared, win32: make hardcoded paths relocable in win32 builds

Mon Oct 19 14:13:27 CEST 2009 (acab)
------------------------------------
 * win32: add clamconf

Sun Oct 18 16:52:41 CEST 2009 (acab)
------------------------------------
 * win32: glob() complete

Sun Oct 18 02:30:14 CEST 2009 (acab)
------------------------------------
 * win32: glob() before main (WIP)

Fri Oct 16 20:08:51 CEST 2009 (acab)
------------------------------------
 * win32: stat added, dirent updated

Fri Oct 16 14:56:10 CEST 2009 (tk)
----------------------------------
 * clamdscan: fix some output msgs (bb#1716)

Fri Oct 16 10:11:56 CEST 2009 (tk)
----------------------------------
 * sigtool: add support for --find-sigs (part of bb#1246)

Fri Oct 16 01:46:28 CEST 2009 (acab)
------------------------------------
 * win32: res_query compatible interface

Thu Oct 15 13:06:33 CEST 2009 (acab)
------------------------------------
 * win32: add freshclam

Wed Oct 14 19:03:47 CEST 2009 (acab)
------------------------------------
 * win32: remove stale netcode

Wed Oct 14 18:59:13 CEST 2009 (acab)
------------------------------------
 * win32: preliminary winsock support files

Wed Oct 14 01:26:47 CEST 2009 (acab)
------------------------------------
 * win32: unrar support

Tue Oct 13 20:13:53 CEST 2009 (acab)
------------------------------------
 * win32: clamscan builds (and will scan soon...)

Tue Oct 13 00:54:05 CEST 2009 (acab)
------------------------------------
 * win32/compat: add POSIX compatible snprintf

Mon Oct 12 23:39:30 CEST 2009 (acab)
------------------------------------
 * win32: libclamav compiles

Mon Oct 12 23:33:32 CEST 2009 (acab)
------------------------------------
 * /win32: VC project file and 3rd party stuff

Sat Oct 10 20:22:10 CEST 2009 (acab)
------------------------------------
 * libclamav: completed merge of fmap4all

Thu Oct  8 19:03:57 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-bm.c: don't use mpool (bb#1710, #1715)

Tue Oct  6 22:51:00 CEST 2009 (tk)
----------------------------------
 * shared/misc.h: #include <sys/types.h>

Fri Oct  2 21:01:51 CEST 2009 (tk)
----------------------------------
 * libclamav: check file sizes for MD5 sigs in all cases
	      Reported by Edwin

Fri Oct  2 14:35:42 CEST 2009 (tk)
----------------------------------
 * libclamav: unify fp checking; output fp signatures in debug mode

Fri Oct  2 14:33:09 CEST 2009 (tk)
----------------------------------
 * libclamav/scanners.c: fix whitelisting of scripts (bb#1706)

Fri Oct 30 14:04:43 EET 2009 (edwin)
------------------------------------
 * configure, m4/acinclude.m4: Avoid trailing slash in libdir for old gcc (#1738).

Wed Sep 30 19:41:43 EEST 2009 (edwin)
-------------------------------------
 * configure{.in,}: Only use -fno-strict-aliasing for gcc-4.3+ to avoid bugs
    with older compilers (bb #1581)

Wed Sep 30 17:15:05 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-bm.c: fix cli_bm_freeoff() (bb#1710)

Wed Sep 30 12:40:50 CEST 2009 (acab)
------------------------------------
 * clamdscan/clamdscan.c: properly init variable (bb#1708)

Wed Sep 30 00:51:19 CEST 2009 (acab)
------------------------------------
 * clamd, shared: merge a set of win32 patches from
		Gianluigi Tiesi <sherpya*netfarm.it>

Tue Sep 29 21:40:29 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-ac.c: fix matching of logical sigs (bb#1707)
			   Reported by Thiyaga <mthiyaga*corp.untd.com>

Mon Sep 28 21:41:47 CEST 2009 (tk)
----------------------------------
 * libclamav/readdb.c: fix handling of broken .ldb sigs (bb#1701)
		       Thanks Luca&Edwin

Mon Sep 28 19:29:32 CEST 2009 (tk)
----------------------------------
 * libclamav: new signature blacklisting format (bb#1625)
 * libclamav: allow arbitrary names for .ign/.ign2 files (bb#1683)

Fri Sep 25 15:13:25 CEST 2009 (acab)
------------------------------------
 * sigtool/vba.c: s/cli_errmsg/logg/
 * shared/misc.h: in_addr_t is now already declared
 * libclamav/special.c: do not include netinet/in.h on win32
 All the patches from Gianluigi Tiesi <sherpya*netfarm.it>

Fri Sep 25 15:09:02 CEST 2009 (acab)
------------------------------------
 * clamav-milter/clamav.milter.c: remove debug printf

Fri Sep 25 10:36:48 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-ac.c: add support for line marker (L) (matches CR,
			   CRLF and boundaries)

Fri Sep 25 00:35:56 CEST 2009 (acab)
------------------------------------
 * libclamav/sis.c: size check fix, thanks Tomasz

Fri Sep 25 00:31:29 CEST 2009 (acab)
------------------------------------
 * fix several problems introduced by the win32 commits
   many thanks edwin and sherpya

Thu Sep 24 19:43:50 CEST 2009 (acab)
------------------------------------
 * libclamav/others_common.c: Accept "/" as an absolute path

Thu Sep 24 19:22:24 CEST 2009 (acab)
------------------------------------
 * merge a set of win32 patches from Gianluigi Tiesi <sherpya*netfarm.it>

Thu Sep 24 19:09:38 CEST 2009 (acab)
------------------------------------
 * drop OS/2 "support"

Thu Sep 24 19:07:59 CEST 2009 (acab)
------------------------------------
 * clamd, libclamav: drop INTERIX "support"

Thu Sep 24 19:05:06 CEST 2009 (acab)
------------------------------------
 * win32 paths handling

Thu Sep 24 16:22:25 CEST 2009 (acab)
------------------------------------
 * merge initial set of win32 patches from Gianluigi Tiesi <sherpya*netfarm.it>

Thu Sep 24 01:14:50 CEST 2009 (acab)
------------------------------------
 * clamav-milter: Add option ReportHostname to mangle the host name in X headers

Wed Sep 23 03:19:53 CEST 2009 (acab)
------------------------------------
 * libclamav/mpool.c: update frag sizes, small cleanup

Mon Sep 21 22:05:38 CEST 2009 (tk)
----------------------------------
 * clamd: add support for DazukoFS (bb#1691)
	  Patch from John Ogness <dazukocode*ogness.net>

Fri Sep 18 20:02:06 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-bm.c: use mpool in BM's offset mode

Thu Sep 17 22:36:30 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-ac.c: implement word delimiter (B) as requested in bb#1631

Mon Sep 14 19:52:01 CEST 2009 (tk)
----------------------------------
 * freshclam: return 0 instead of 1 when database is up-to-date (bb#1312)

Mon Sep 14 13:56:42 CEST 2009 (tk)
----------------------------------
 * clamd/server-th.c: fix possible race condition when restarting clamuko
		      (bb#1692), patch from John Ogness

Fri Sep 11 16:05:00 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-ac.c: initial limited support for word boundary (bb#1631)

Thu Sep 10 20:16:45 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-ac.c: alternatives can now be negated: !(aa|bb|cc)

Mon Sep  7 15:03:11 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-bm.c: fix uninitialized value warning

Mon Sep  7 03:45:18 CEST 2009 (acab)
------------------------------------
 * libclamav/scanners.c: properly scan text files with a mail container

Thu Sep  3 15:09:57 CEST 2009 (tk)
----------------------------------
 * freshclam/mirman.c: make backoff time proportional to FLEVEL (bb#1687)

Tue Sep  1 20:50:12 CEST 2009 (tk)
----------------------------------
 * libclamav: use BM matcher in offset mode for PE files larger than 256kB
	      (10% speedup on average; 30-40% for large executables)

Tue Sep  1 11:11:43 CEST 2009 (tk)
----------------------------------
 * libclamav: in bm_offmode only load sigs with non-floating absolute and
	      relative offsets into BM matcher (load other ones into AC)
	      and use per-file computed offset table to pick up best shifts
	      (not enabled by default, bb#1300)

Sun Aug 30 23:56:49 CEST 2009 (acab)
------------------------------------
 * libclamav: unify CL_TYPE_MAIL scanning

Wed Aug 26 23:37:04 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-ac.c: improve handling of signature offsets

Mon Aug 24 22:09:12 CEST 2009 (tk)
----------------------------------
 * libclamav: improve handling of PDF files (bb#1682)

Fri Aug 21 15:53:35 CEST 2009 (tk)
----------------------------------
 * libclamav: handle relative offsets with cli_ac_data; fix offset logic

Fri Aug 21 02:17:11 CEST 2009 (acab)
------------------------------------
 * libclamav/ishield.c: properly free() header

Fri Aug 21 00:56:03 CEST 2009 (acab)
------------------------------------
 * build system: upgrade to autoconf 2.64 and automake 1.11 (bb#1528)

Thu Aug 20 00:34:39 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-bm.c: micro-optimization

Tue Aug 18 23:52:20 CEST 2009 (tk)
----------------------------------
 * libclamav/cpio.c: wrap unistd.h, reported by Nigel Horne

Mon Aug 17 13:54:09 CEST 2009 (acab)
------------------------------------
 * libclamav/7z: convert EOL to unix for compat with suncc

Fri Aug 14 14:37:21 CEST 2009 (tk)
----------------------------------
 * libclamav: improve handling of signature offsets

Tue Aug 11 02:04:54 CEST 2009 (acab)
------------------------------------
 * libclamav/7z/Types.h: workaround "Byte" clash in lzma/7z (bb#805 - regression)

Mon Aug 10 22:36:19 CEST 2009 (acab)
------------------------------------
 * libclamav/7z*: cosmetic fixes

Mon Aug 10 22:06:23 CEST 2009 (acab)
------------------------------------
 * contrib/test: sync test files

Mon Aug 10 15:26:26 CEST 2009 (acab)
------------------------------------
 * libclamav: add preliminary 7z support

Thu Aug  6 22:26:30 CEST 2009 (tk)
----------------------------------
 * clamd, clamscan, libclamav: drop support for MailFollowURLs (bb#1677)

Wed Aug  5 18:33:11 CEST 2009 (tk)
----------------------------------
 * clamd/clamd.c: ignore SIGHUP and SIGUSR2 during initial setup (bb#1671)

Wed Aug  5 16:27:06 CEST 2009 (tk)
----------------------------------
 * clamd, clamscan: add support for CrossFilesystems/--cross-fs (bb#1607)

Tue Aug  4 23:15:26 CEST 2009 (tk)
----------------------------------
 * configure, libclamav: fix compile issues on IRIX (bb#1532)

Tue Aug  4 20:24:06 CEST 2009 (tk)
----------------------------------
 * libclamav/macho.c: wrap unistd.h, reported by Nigel Horne

Tue Aug  4 20:06:51 CEST 2009 (tk)
----------------------------------
 * libclamav/readdb.c: make the parser more sensitive to errors in
		       numerical fields

Tue Aug  4 15:10:12 CEST 2009 (tk)
----------------------------------
 * freshclam, libclamav: work around possible race condition during
			 db updates (bb#1624)

Mon Aug  3 15:22:42 CEST 2009 (tk)
----------------------------------
 * freshclam/manager.c: fix confusing error message (bb#1648)

Mon Aug  3 14:48:27 CEST 2009 (tk)
----------------------------------
 * libclamav/unzip.c: fix detection of encrypted zip files embedded into
		      other files (bb#1660)

Sun Aug  2 14:46:40 EEST 2009 (edwin)
-------------------------------------
 * libclamav/bytecode_vm.c: fix SIGBUS on sparc.

Fri Jul 31 21:28:18 CEST 2009 (tk)
----------------------------------
 * libclamav, clamd: handle file exclusion in cli_ftw() (bb#1656)

Fri Jul 31 15:29:36 EEST 2009 (edwin)
-------------------------------------
 * unit_tests/check_regex.c: fix unit-test failure on Solaris

Fri Jul 31 12:52:08 CEST 2009 (acab)
------------------------------------
 * libclamav/pe.c: fix check for pe32+

Tue Jul 28 20:34:13 CEST 2009 (tk)
----------------------------------
 * clamscan, clamd, libclamav: load cvd files on-the-fly (without unpacking them
			       to /tmp) by default

Tue Jul 28 20:19:08 CEST 2009 (tk)
----------------------------------
 * libclamav: improve loading speed of compressed databases (bb#1105)

Mon Jul 27 13:53:15 CEST 2009 (tk)
----------------------------------
 * libclamav/macho.c: improve detection of Universal Binaries

Mon Jul 27 12:28:08 CEST 2009 (tk)
----------------------------------
 * libclamav/macho.c: fix section alignment (bb#1667)

Sun Jul 26 18:55:37 CEST 2009 (acab)
------------------------------------
 * shared/actions.c: wrap unistd - reported by njh

Sun Jul 19 16:19:49 CEST 2009 (acab)
------------------------------------
 * libclamav/pe.c: check IS-cab scan result
 * test/: add IS test files

Fri Jul 17 12:48:24 EEST 2009 (edwin)
-------------------------------------
 * libclamav/regex_list.[ch]: improve safebrowsing.cvd load speed (20s -> 3s)

Fri Jul 17 02:28:50 CEST 2009 (acab)
------------------------------------
 * libclamav/others.h, libclamav/ishield.c: fix typo,
			 workaround crappy preprocessors (bb#1658)

Thu Jul 16 23:01:34 CEST 2009 (tk)
----------------------------------
 * libclamav/cab.c: downgrade warning message (bb#1659)

Thu Jul 16 14:20:01 CEST 2009 (acab)
------------------------------------
 * libclamav, build system: fix portability issues for fseeko, sysconf(_SC_PAGESIZE),
			    getpagesize() (bb#1658)

Wed Jul 15 23:36:09 EEST 2009 (edwin)
-------------------------------------
 * libclamav/pe.c, yc.c: Make yC able to handle more samples and variants.

Wed Jul 15 19:36:35 CEST 2009 (tk)
----------------------------------
 * clamd: honour value of 0 in Max* options

Wed Jul 15 19:24:03 CEST 2009 (tk)
----------------------------------
 * clamscan: honour value of 0 in --max-* options (bb#1650)

Wed Jul 15 16:25:00 EEST 2009 (edwin)
-------------------------------------
 * unit_tests/check_clamd.c: fix unit tests when run as root (bb #1635).

Wed Jul 15 12:50:50 CEST 2009 (acab)
------------------------------------
 * libclamav/ishield.c: fix distcheck, patch from edwin

Wed Jul 15 12:20:04 CEST 2009 (tk)
----------------------------------
 * clamd, clamav-milter: make pid files globally readable (bb#1642)

Wed Jul 15 12:33:22 CEST 2009 (acab)
------------------------------------
 * libclamav/ishield.c: use mmap for big files, fix some leaks,
			 some portability fixes

Wed Jul 15 11:20:56 CEST 2009 (tk)
----------------------------------
 * libclamav/filetypes.c: fix off-by-one error (bb#1639)

Wed Jul 15 08:46:35 CEST 2009 (tk)
----------------------------------
 * libclamav/mspack.c: fix valgrind warnings about use of uninitialized
		       values (bb#1655)

Tue Jul 14 23:41:37 CEST 2009 (acab)
------------------------------------
 * libclamav: add preliminary support for IS executables (IS-cab and IS-msi)
		part of bb#1571

Tue Jul 14 18:17:59 CEST 2009 (tk)
----------------------------------
 * libclamav: add support for Universal Binaries (archives with Mach-O files for
	      different architectures, bb#1592)

Mon Jul 13 21:40:51 CEST 2009 (tk)
----------------------------------
 * docs/signatures.pdf: cover Mach-O files

Mon Jul 13 21:24:05 CEST 2009 (tk)
----------------------------------
 * libclamav: handle Mach-O files with type-9 signatures; all special offsets are
	      supported for PPC32/64 and x86 executables; for ARM and other archs
	      only section based extensions (Sx[+-]n, SL[+-]n) are supported atm

Mon Jul 13 19:34:36 EEST 2009 (edwin)
-------------------------------------
 * clambc/, libclamav/, unit_tests/: Initial draft of bytecode interpreter (bb #1243).

Mon Jul 13 16:06:31 CEST 2009 (tk)
----------------------------------
 * libclamav/macho.c: handle LC_THREAD; calculate EP

Fri Jul 10 10:10:35 CEST 2009 (tk)
----------------------------------
 * libclamav/filetypes_int.h: sync with daily.ftm

Wed Jul  8 14:59:14 CEST 2009 (tk)
----------------------------------
 * libclamav: initial support for Mach-O executables (part of bb#1592)

Mon Jul  6 16:56:06 CEST 2009 (tk)
----------------------------------
 * test: add cpio test files

Thu Jul  2 17:05:12 CEST 2009 (tk)
----------------------------------
 * libclamav: add support for cpio archives (bb#1649)

Mon Jun 29 15:40:42 CEST 2009 (acab)
------------------------------------
 * clamav-milter: use s/STREAM/INSTREAM/ (bb#1548)

Mon Jun 29 11:25:46 CEST 2009 (acab)
------------------------------------
 * clamav-milter/netcode.c: Properly handle clamd disconnection (bb#1643)

Mon Jun 22 17:19:45 CEST 2009 (acab)
------------------------------------
 * clamav-milter/whitelist.c: print failed whitelist filename

Fri Jun 12 12:30:15 CEST 2009 (tk)
----------------------------------
 * libclamav/elf.[ch]: add support for 64-bit ELF files (bb#1593)

Wed Jun 10 19:01:11 CEST 2009 (tk)
----------------------------------
 * V 0.95.2

Wed Jun 10 18:04:53 CEST 2009 (tk)
----------------------------------
 * libclamav: detect and handle archives hidden inside other files (eg. images),
	      which can be unpacked by WinZip, WinRAR and other tools (bb#1554)
	      Reported by ROGER Mickael and Thierry Zoller

Wed Jun 10 18:02:31 CEST 2009 (tk)
----------------------------------
 * libclamav/mspack.c, cab.c: don't rely on file sizes stored in CAB headers (bb#1562)
			      Reported by Thierry*Zoller <Thierry*Zoller.lu>

Wed Jun 10 17:58:47 CEST 2009 (acab)
------------------------------------
 * libclamunrar/unrarvm.c: fix handling of some broken rar files

Wed Jun 10 17:58:30 CEST 2009 (edwin)
-------------------------------------
 * libclamav/mbox.c: handle malformed emails with embedded \0s (bb #1573)

Fri May 29 14:37:08 EEST 2009 (edwin)
-------------------------------------
 * clamdtop/clamdtop.c: Add missing #include, fixed bb #1619.

Wed May 27 18:32:33 CEST 2009 (tk)
----------------------------------
 * libclamav/scanners.c: don't call cli_scanembpe() for files larger than 10MB
			 (bb#1604)

Fri May 22 14:09:23 CEST 2009 (tk)
----------------------------------
 * libclamav/readdb.c: add offset checks (bb#1615)

Thu May 21 15:41:36 CEST 2009 (tk)
----------------------------------
 * clamscan, clamdscan: add support for --file-list/-f

Fri May 15 15:10:59 EEST 2009 (edwin)
-------------------------------------
 * libclamav/others.h, libclamav/regex/regex.h: fix compiler warning

Fri May 15 14:29:19 EEST 2009 (edwin)
-------------------------------------
 * libclamav/others.h, libclamav/others_common.c,
 libclamav/regex/regcomp.c, libclamav/regex/regex.h,
 unit_tests/check_regex.c: add support for (?i). Now regular
 expressions that begin with (?i) will be case insensitive. (bb
 #1584).

Wed May  6 15:43:27 CEST 2009 (tk)
----------------------------------
 * docs/signatures.pdf: describe logical signatures;
			other minor improvements (bb#1582)

Wed May  6 14:30:51 EEST 2009 (edwin)
-------------------------------------
 * configure, configure.in: add -fno-strict-aliasing, so that
 gcc-4.4.0 works correctly. Code will be fixed for 0.96. (bb #1581).

Wed May  6 10:37:51 CEST 2009 (tk)
----------------------------------
 * shared/getopt.[ch]: fix type conflict on Solaris (introduced in r5060)

Wed May  6 10:55:25 EEST 2009 (edwin)
-------------------------------------
 * unit_tests/efence_tests.sh: set EF_ALIGNMENT=8 for non-x86
 platforms.

Wed May  6 10:45:55 EEST 2009 (edwin)
-------------------------------------
 * configure, configure.in: Fix Solaris memory usage: don't link with
 -lmalloc on Solaris (bb #1595, thanks to David Schweikert
 <david*schweikert.ch> for tracking down the problem).

Wed May  6 10:40:19 EEST 2009 (edwin)
-------------------------------------
 * clamd/others.c, clamd/others.h, clamd/server-th.c,
 clamd/session.c, clamd/thrmgr.c: Fix 60 byte/STREAM command memory
 leak on FreeBSD. (bb #1567, thanks to Jay Deiman
 <jay*splitstreams.com> and Chris Mikkelson <cmikk*qwest.net> for
 tracking down the leak!).

Tue May  5 16:31:14 CEST 2009 (tk)
----------------------------------
 * shared: fix compiler warnings

Tue May  5 15:30:26 CEST 2009 (tk)
----------------------------------
 * shared/optparser.[ch]: properly handle large size values (bb#1583)

Mon May  4 10:47:10 CEST 2009 (tk)
----------------------------------
 * freshclam/freshclam.c: handle --debug (bb#1590)

Mon Apr 27 17:41:08 CEST 2009 (tk)
----------------------------------
 * clamconf: display info on software & dbs (bb#1461)

Fri Apr 24 15:20:48 CEST 2009 (acab)
....................................
 * clamav-milter: drop support for QuarantineReject: it's a bad idea and
		  doesn't work anyway.

Thu Apr 23 16:54:54 EEST 2009 (edwin)
-------------------------------------
 * clamav-config.h.in, clamd/thrmgr.c, configure, configure.in: errno
 is not thread-safe on AIX by default, ask for thread-safe version.
 (bb #1480) Default stack size on AIX is too small, define BIGSTACK
 by default. (bb #1481).

Thu Apr 23 15:23:02 CEST 2009 (tk)
----------------------------------
 * libclamav: call cli_checkfp() whenever possible/makes sense (bb#1558)

Wed Apr 22 14:24:03 EEST 2009 (edwin)
-------------------------------------
 * libclamav/special.c: tune sensitivity of Trojan.Swizzor.Gen
 detection.

Mon Apr 20 17:41:14 EEST 2009 (edwin)
-------------------------------------
 * clamd/session.c: fix STATS for INSTREAM commands (bb #1565).

Mon Apr 20 17:26:41 EEST 2009 (edwin)
-------------------------------------
 * unit_tests/check_clamd.c: fix some warning

Mon Apr 20 17:20:27 EEST 2009 (edwin)
-------------------------------------
 * clamd/server-th.c, unit_tests/check_clamd.c: Fix clamd INSTREAM
 handling inside IDSESSION (bb #1564).

Fri Apr 17 18:23:44 CEST 2009 (acab)
------------------------------------
 * clamav-milter/clamav-milter.c: spam syslog with start events (bb#1557)

Fri Apr 17 16:47:44 EEST 2009 (edwin)
-------------------------------------
 * contrib/mpoolparse/mpoolparse.pl, contrib/mpoolparse/process.pl: 
 add new mpool debug output parsing

Fri Apr 17 16:44:50 EEST 2009 (edwin)
-------------------------------------
 * libclamav/mpool.c: update mpool frag sizes.

Fri Apr 17 16:44:33 EEST 2009 (edwin)
-------------------------------------
 * libclamav/mpool.c: fix mpool_realloc to work with shrinked sizes.
 This is not yet used anywhere.

Fri Apr 17 00:59:48 CEST 2009 (acab)
------------------------------------
 * clamav-milter/clamfi.c: try harder not to break DKIM when AddHeader=Add
			   Many thanks to Dick St.Peters

Thu Apr 16 16:17:23 CEST 2009 (acab)
------------------------------------
 * shared/optparser.c, etc/clamav-milter.conf: document how to make
   macroes available in oem for LogInfected to work properly
   Many thanks to Dick St.Peters <stpeters*netheaven.com>

Tue Apr 15 18:47:22 CEST 2009 (acab)
------------------------------------
 * clamav-milter: add support for action QuarantineReject (bb#1549)

Tue Apr 15 17:03:30 CEST 2009 (acab)
------------------------------------
 * clamav-milter: add support for AddHeader=Add, properly remove
		  existing headers (bb#1549)

Mon Apr 13 11:48:33 EEST 2009 (edwin)
-------------------------------------
 * contrib/split-tarball.sh: Apply modifications by Michael
 Tautschnig <mt*debian.org>, with some minor fixes to show location
 of prepared tarballs.

Sun Apr 12 12:07:36 CEST 2009 (tk)
----------------------------------
 * shared/optparser.c: regexes are now case insensitive by default (this can
		       be changed with FLAG_REG_CASE)

Sat Apr 11 11:40:38 CEST 2009 (tk)
----------------------------------
 * freshclam: fix calls to execute() (bb#1560)

Fri Apr 10 18:20:12 EEST 2009 (edwin)
-------------------------------------
 * libclamav/vba_extract.c: avoid size 1 reads for performance
 reasons (bb #1542).

Fri Apr 10 16:23:00 EEST 2009 (edwin)
-------------------------------------
 * libclamav/pe.c, libclamav/special.c, libclamav/special.h: Fix some
 Trojan.Swizzor.Gen false positives (bb #1558).

Fri Apr 10 15:06:43 EEST 2009 (edwin)
-------------------------------------
 * shared/output.c: logg flags documentation

Fri Apr 10 14:01:01 CEST 2009 (tk)
----------------------------------
 * libclamav/matcher-bm.c: minor performance improvement (bb#1539)
			   Thanks to Edwin

Wed Apr  8 16:49:32 CEST 2009 (tk)
----------------------------------
 * V 0.95.1

Wed Apr  8 16:40:19 CEST 2009 (tk)
----------------------------------
 * libclamav/phishcheck.c: fix possible crash in cli_url_canon() (bb#1553)
			   Patch by Edwin, reported by Nigel Horne
			    <njh*bandsman.co.uk>

Wed Apr  8 16:35:23 CEST 2009 (tk)
----------------------------------
 * libclamav/others.h: harden CLI_ISCONTAINED macro (bb#1552)
		       Patch by aCaB, reported by Martin Olsen
		       <marty*lightspeedsystems.com> 

Tue Apr  7 16:53:18 CEST 2009 (acab)
------------------------------------
 * clamav-milter/netcode.c: honour ReadTimeout=0

Tue Apr  7 12:32:14 CEST 2009 (tk)
----------------------------------
 * etc/clamd.conf: remove deprecated ArchiveLimitMemoryUsage (bb#1551)

Mon Apr  6 21:58:45 CEST 2009 (tk)
----------------------------------
 * libclamav: fix handling of signature offsets in cli_scanbuff() (bb#1546)
	      Reported by Christoph

Mon Apr  6 12:32:44 EEST 2009 (edwin)
-------------------------------------
 * docs/man/clamd.conf.5.in, etc/clamd.conf, shared/optparser.c: fix
 documentation of formula to reflect reality.

Mon Apr  6 12:26:04 EEST 2009 (edwin)
-------------------------------------
 * clamconf/clamconf.c, docs/man/clamd.conf.5.in, etc/clamd.conf,
 shared/optparser.c: add documentation for MaxQueue (and other
 missing options) to clamd.conf (bb #1521).  Make clamconf generated
 config file a bit more like the one in etc/clamd.conf.

Mon Apr  6 12:02:38 EEST 2009 (edwin)
-------------------------------------
 * clamd/server-th.c, shared/optparser.c: set timeout to readtimeout
 after receiving a chunk (bb #1540).  better checks and documentation
 for MaxQueue (bb #1521).

Fri Apr  3 15:30:34 CEST 2009 (tk)
----------------------------------
 * freshclam: short-term blacklisting of faulty mirrors;
	      better handling of 404 errors (bb#1516)

Fri Apr  3 13:05:44 CEST 2009 (acab)
------------------------------------
 * shared/optparser.c, docs: limit options expressing sizes to
			     32bit (bb#1508)

Fri Apr  3 11:32:33 EEST 2009 (edwin)
-------------------------------------
 * unit_tests/check_clamd.sh: properly remove old logfiles during
 make check.

Fri Apr  3 11:25:08 EEST 2009 (edwin)
-------------------------------------
 * configure, configure.in, libclamav/others.c,
 libclamunrar_iface/libclamunrar_iface.map,
 libclamunrar_iface/unrar_iface.h: use same symbols as 0.95 for
 libclamunrar_iface (bb #1535).

Thu Apr  2 23:53:47 EEST 2009 (edwin)
-------------------------------------
 * libclamav/jsparse/js-norm.c: fix possible signedness issue (thanks
 Nigel).

Thu Apr  2 23:50:36 EEST 2009 (edwin)
-------------------------------------
 * contrib/phishing/gdbwhitelist.sh, libclamav/phishcheck.c: add
 script to whitelist gdb entries (bb #1482).

Thu Apr  2 23:35:36 EEST 2009 (edwin)
-------------------------------------
 * docs/phishsigs_howto.tex, libclamav/phishcheck.c,
 libclamav/readdb.c, libclamav/regex_list.c: local.gdb whitelisting
 of safebrowsing entries (bb #1482).

Thu Apr  2 22:59:30 EEST 2009 (edwin)
-------------------------------------
 * libclamav/htmlnorm.c, libclamav/htmlnorm.h, libclamav/mbox.c,
 libclamav/phishcheck.c: extract URLs from mail body (bb #1482).

Thu Apr  2 19:30:19 CEST 2009 (tk)
----------------------------------
 * libclamav/cab.c: fix compiler warnings (bb#1494)

Thu Apr  2 18:48:58 CEST 2009 (tk)
----------------------------------
 * shared/optparser.c: handle deprecated freshclam's option --log-verbose

Thu Apr  2 18:36:58 CEST 2009 (tk)
----------------------------------
 * shared/optparser.c: make the parser even more tolerant to whitespace

Thu Apr  2 04:09:06 CEST 2009 (acab)
------------------------------------
 * clamav-milter/clamfi.c: properly separate body from headers (bb#1531),
			   minor optimizations and hardening

Thu Apr  2 03:24:21 CEST 2009 (acab)
------------------------------------
 * clamav-milter/netcode.c:: fix logic bug in nc_recv (bb#1524)

Thu Apr  2 14:02:33 CEST 2009 (tk)
----------------------------------
 * shared/optparser.c: remove surrounding whitespace in non-quoted strings
		       (bb#1518)

Thu Apr  2 12:45:52 CEST 2009 (tk)
----------------------------------
 * clamscan/manager.c: check rlim_cur instead of rlim_max

Wed Apr  1 23:02:59 CEST 2009 (tk)
----------------------------------
 * freshclam/freshclam.c: fix verbose mode (bb#1510)

Wed Apr  1 21:59:56 CEST 2009 (tk)
----------------------------------
 * clamscan/manager.c: freshdbdir() was never called (bb#1511)

Wed Apr  1 21:05:59 CEST 2009 (tk)
----------------------------------
 * shared/optparser.c: fix some descriptions (bb#1526)

Wed Apr  1 21:36:13 EEST 2009 (edwin)
-------------------------------------
 * m4/lib-ld.m4: add missing file

Wed Apr  1 20:51:37 EEST 2009 (edwin)
-------------------------------------
 * Makefile.in, aclocal.m4, clamav-config.h.in, clamav-milter/,
 clamconf/, clamd/, clamdscan/, clamdtop/, clamscan/, configure,
 configure.in, database/, docs/, etc/, freshclam/, libclamav/,
 libltdl/, sigtool/, test/, unit_tests/: check for mallinfo
 availability (bb #1445).

Wed Apr  1 20:19:00 EEST 2009 (edwin)
-------------------------------------
 * clamd/server-th.c, clamd/thrmgr.c: Automatically fix MaxQueue
 settings (bb #1521).  Also use rlim_cur instead of rlim_max, because
 that is what the kernel enforces.

Wed Apr  1 19:39:12 EEST 2009 (edwin)
-------------------------------------
 * libclamav/pe.c: cli_parseres_special: check size before attempting
 to allocate. (bb #1506)

Wed Apr  1 14:00:35 CEST 2009 (tk)
----------------------------------
 * clamd/session.c: respect TemporaryDirectory in cli_gentempfd()

Wed Apr  1 13:14:32 EEST 2009 (edwin)
-------------------------------------
 * libclamav/Makefile.am, libclamav/Makefile.in: fix dependency bug
 introduced in r4992 (bb #1530)

Wed Apr  1 11:51:28 EEST 2009 (edwin)
-------------------------------------
 * libltdl/Makefile.am, libltdl/Makefile.in: fix -Werror filtering
 (bb #1500).

Tue Mar 31 15:42:47 EEST 2009 (edwin)
-------------------------------------
 * configure, configure.in, contrib/split-tarball.sh: fix warning

Tue Mar 31 15:28:11 EEST 2009 (edwin)
-------------------------------------
 * Makefile.am, Makefile.in, configure, configure.in, contrib/,
 libclamav/, libclamunrar_iface/: provide script for package
 maintainers to split tarball (bb #1515) disable preloading, it
 doesn't work properly yet.

Tue Mar 31 12:41:32 EEST 2009 (edwin)
-------------------------------------
 * clamav-config.h.in, configure, configure.in, libclamav/,
 libclamunrar_iface/: Prefer libclamunrar_iface that matches version
 (bb #1491).  Add  to ltdl searchpath (bb #1476).

Mon Mar 30 14:02:03 CEST 2009 (acab)
------------------------------------
 * clamav-milter/clamfi.c: fix null dereference when LogInfected=Full (bb#1522)

Sun Mar 29 13:38:43 CEST 2009 (acab)
------------------------------------
 * shared/actions.c: fix logic in --move (bb#1517)

Fri Mar 27 13:19:05 CET 2009 (acab)
-----------------------------------
 * clamav-milter/clamfi.c: Make sure connect/gentemp is called even
			   if the message has not got headers (bb#1499)

Tue Mar 24 19:41:25 CET 2009 (tk)
---------------------------------
 * configure: don't define HAVE_ZLIB_H

Tue Mar 24 12:43:14 CET 2009 (acab)
-----------------------------------
 * clamav-milter: allow whitelisting based on the smtpauth login,
		  use cli_regXXX functions

Mon Mar 23 18:15:21 CET 2009 (tk)
---------------------------------
 * V 0.95

Mon Mar 23 17:53:50 CET 2009 (tk)
---------------------------------
 * libclamav/others.h, configure: bump f-level and LC_REVISION

Mon Mar 23 15:14:30 CET 2009 (acab)
-----------------------------------
 * libclamav/untar.c: infloop in tar.c (bb#1462)

Mon Mar 23 15:12:30 CET 2009 (acab)
-----------------------------------
 * libclamav/pe.c: division by zero with --detect-broken (bb#1335)

Mon Mar 23 13:59:28 CET 2009 (tk)
---------------------------------
 * libclamav/cab.c: handle MSZIP compressed files with large block sizes
		    (bb#1085)

Mon Mar 23 13:52:31 CET 2009 (tk)
---------------------------------
 * libclamunrar, libclamav: don't depend on the uncompressed size field
			    in RAR headers (bb#1467)
			    Reported by Thierry Zoller

Mon Mar 23 13:12:08 EET 2009 (edwin)
------------------------------------
 * libclamav/mbox.c: fix extraction of embedded images (bb #1384).

Sun Mar 22 19:18:53 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_str.c: fix warning

Sun Mar 22 18:15:01 EET 2009 (edwin)
------------------------------------
 * libclamav/libclamav.map, libclamav/message.c,
 unit_tests/check_str.c: fix trailing bytes in base64 decoding (bb #1388,
			 thanks Thiyaga <mthiyaga*corp.untd.com>).

Sun Mar 22 17:35:31 CET 2009 (acab)
-----------------------------------
 * contrib/init: removed

Sun Mar 22 17:30:03 CET 2009 (tk)
---------------------------------
 * contrib/DJGPP: add DJGPP patch from Blair <Blairdude*gmail.com> (bb#1317)

Sun Mar 22 17:19:10 CET 2009 (tk)
---------------------------------
 * libclamav/special.c: fix possible false positive MS04-028 for files with
			corrupted headers (bb#1422)

Sun Mar 22 15:15:22 CET 2009 (tk)
---------------------------------
 * libclamav/readdb.c: return error instead of crashing when cl_load() gets
		       called for already compiled engine (bb#1488);
		       don't overwrite dboptions with new calls to cl_load()

Sun Mar 22 15:01:24 CET 2009 (acab)
-----------------------------------
 * libclamav: add cl_engine_get_num(CL_ENGINE_DB_OPTIONS)

Sun Mar 22 15:25:13 EET 2009 (edwin)
------------------------------------
 * clamd/others.c: fix build when poll is not available.

Fri Mar 20 20:10:26 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: fix warning

Thu Mar 19 19:25:08 CET 2009 (acab)
-----------------------------------
 * clamav-milter: add option LogInfected

Mon Mar 16 20:12:47 CET 2009 (tk)
---------------------------------
 * V 0.95rc2

Mon Mar 16 19:01:50 CET 2009 (tk)
---------------------------------
 * libclamav/filetypes_int.h: sync with daily.ftm

Mon Mar 16 17:23:07 CET 2009 (tk)
---------------------------------
 * freshclam/manager.c: automatically remove safebrowsing.cvd when SafeBrowsing
			gets turned off

Mon Mar 16 15:53:52 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c: add comments, no functionality change.

Mon Mar 16 15:41:17 EET 2009 (edwin)
------------------------------------
 * docs/phishsigs_howto.tex, libclamav/phishcheck.c: document URL
 blacklisting, and whitelisting (bb #1458).

Mon Mar 16 14:44:25 EET 2009 (edwin)
------------------------------------
 * clamdtop/clamdtop.c: fix warning

Mon Mar 16 14:29:19 EET 2009 (edwin)
------------------------------------
 * clamd/thrmgr.c, clamdtop/clamdtop.c: print N/A if libc memory
 usage is not available (bb #1445).

Sat Mar 14 22:45:28 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: put back ifndef C_BSD in unit test

Sat Mar 14 21:22:55 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c, unit_tests/test-clamd.conf: have to set
 conn queue length in test.

Sat Mar 14 18:43:42 EET 2009 (edwin)
------------------------------------
 * clamd/others.c: better detect half-shut vs. full-shutdown sockets
 (bb #1441)

Sat Mar 14 17:03:08 EET 2009 (edwin)
------------------------------------
 * clamd/scanner.c, unit_tests/check_clamd.c: better fix for bb
 #1446, try not to get confused by half-shut sockets (bb #1441).

Sat Mar 14 16:18:00 EET 2009 (edwin)
------------------------------------
 * clamconf/, clamdscan/, clamdtop/, libclamav/: fix build on
 platforms where pthread in not part of libc (bb #1470).

Fri Mar 13 20:10:39 EET 2009 (edwin)
------------------------------------
 * clamd/scanner.c: typo

Fri Mar 13 19:52:07 EET 2009 (edwin)
------------------------------------
 * clamd/scanner.c: fix handling of multiple ExcludePath entries.

Fri Mar 13 17:44:48 EET 2009 (edwin)
------------------------------------
 * docs/man/clamdscan.1.in, docs/man/clamdtop.1.in: escape some more
 hyphens.

Fri Mar 13 17:36:23 EET 2009 (edwin)
------------------------------------
 * docs/man/clamdscan.1.in, docs/man/freshclam.1.in: fix
 hyphen-used-as-minus-sign (bb #1471, thanks Michael Tautschnig
 <mt*debian.org>)

Fri Mar 13 15:59:42 EET 2009 (edwin)
------------------------------------
 * libclamav/Makefile.am, libclamav/Makefile.in: DEPENDENCIES should
 use LTDLDEPS (bb #1469).

Fri Mar 13 15:50:51 EET 2009 (edwin)
------------------------------------
 * clamd/scanner.c, clamd/session.c: stop scanning when client
 disconnects (bb #1446).

Fri Mar 13 13:21:36 CET 2009 (tk)
---------------------------------
 * sigtool/sigtool.c: fix quirks with .cdiff generation (bb#1395)

Fri Mar 13 11:58:38 CET 2009 (tk)
---------------------------------
 * libclamav/others.c: move cli_gentemp*() to others_common.c
 * clamav-milter: don't link to libclamav (bb#1463)

Thu Mar 12 18:00:35 EET 2009 (edwin)
------------------------------------
 * libclamav/others_common.c: add missing ifdefs

Thu Mar 12 17:55:13 EET 2009 (edwin)
------------------------------------
 * libclamav/others_common.c: fix

Thu Mar 12 17:52:31 EET 2009 (edwin)
------------------------------------
 * libclamav/others_common.c: use just mutex+strerror

Thu Mar 12 16:22:36 CET 2009 (tk)
---------------------------------
 * libclamav, clamd, clamscan: replace cl_engine_(set|get) with
   cl_engine_set_(num|str) and cl_engine_get_(num|str)

Thu Mar 12 16:57:45 EET 2009 (edwin)
------------------------------------
 * libclamav/others_common.c: typo

Thu Mar 12 16:24:48 EET 2009 (edwin)
------------------------------------
 * libclamav/others_common.c: make sure XSI strerror_r is used.

Wed Mar 11 22:10:22 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c: fix warnings

Wed Mar 11 22:06:30 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c, libclamav/regex_list.c,
 libclamav/regex_list.h, unit_tests/check_regex.c,
 unit_tests/input/daily.gdb: make use of hostkey prefix entries

Wed Mar 11 21:27:32 EET 2009 (edwin)
------------------------------------
 * clamd/others.c, sigtool/Makefile.in: fix previous commit

Wed Mar 11 21:11:03 EET 2009 (edwin)
------------------------------------
 * clamav-milter/, clamd/, libclamav/, sigtool/, unit_tests/: 
 strerror/strerror_r->cli_strerror which is always thread safe.

Wed Mar 11 19:18:15 CET 2009 (acab)
-----------------------------------
 * libclamav: changed some warning texts (bb#1456)

Wed Mar 11 19:02:27 CET 2009 (acab)
-----------------------------------
 * libclamav: downgrade some error messages (bb#1456)

Tue Mar 10 20:53:28 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_regex.c: add more ifdefs for old check version.

Tue Mar 10 19:59:29 EET 2009 (edwin)
------------------------------------
 * docs/man/clamd.8.in: add VERSIONCOMMANDS to manpage.

Tue Mar 10 19:50:59 EET 2009 (edwin)
------------------------------------
 * clamd/session.c, clamd/session.h, unit_tests/check_clamd.c: new
 clamd command: nVERSIONCOMMANDS (bb #1437).

Tue Mar 10 16:14:30 EET 2009 (edwin)
------------------------------------
 * libclamav/mpool.c, shared/output.c: fix uninitialized value
 warning.

Tue Mar 10 11:51:15 CET 2009 (tk)
---------------------------------
 * sigtool/sigtool.c: add missing entry for safebrowsing.info

Mon Mar  9 20:23:48 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c: micro-optimization. (thanks Nigel!)

Mon Mar  9 13:40:32 EET 2009 (edwin)
------------------------------------
 * libclamav/mpool.c, libclamav/str.c: fix distcheck

Mon Mar  9 13:22:35 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c, libclamav/regex_list.c,
 unit_tests/input/daily.gdb: allow for hash prefixes.

Fri Mar  6 19:22:27 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c: update name

Fri Mar  6 18:42:50 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_regex.c, unit_tests/input/daily.gdb,
 unit_tests/input/daily.pdb2: fix unit-test

Fri Mar  6 18:40:03 EET 2009 (edwin)
------------------------------------
 * docs/man/clamdtop.1.in: F1->H

Fri Mar  6 16:33:49 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c: comply with safebrowsing naming
 guidelines.

Fri Mar  6 16:15:19 EET 2009 (edwin)
------------------------------------
 * libclamav/mpool.c, libclamav/str.c, libclamav/str.h: avoid
 unneeded calloc + memcpy.

Sat Mar  7 19:15:14 CET 2009 (acab)
-----------------------------------
 * clamscan: extend clamscan summary (bb#1206)

Sat Mar  7 16:31:17 CET 2009 (acab)
-----------------------------------
 * clamdscan: unify error messages

Sat Mar  7 02:52:32 CET 2009 (acab)
-----------------------------------
 * clamdscan: refactor error handling

Fri Mar  6 17:41:15 CET 2009 (tk)
---------------------------------
 * libclamav, sigtool: use .gdb extension for safebrowsing dbs

Fri Mar  6 17:19:53 EET 2009 (edwin)
------------------------------------
 * clamd/others.c, unit_tests/check_clamd.c: fix FILDES and make
 check on NetBSD. (bb #1411).

Fri Mar  6 14:21:52 EET 2009 (edwin)
------------------------------------
 * clamd/others.c, clamd/server-th.c: wake recvloopth after SelfCheck
 (if set), to avoid reloading the DB just before next scan request.

Fri Mar  6 11:19:32 EET 2009 (edwin)
------------------------------------
 * clamav-milter/Makefile.am, clamav-milter/Makefile.in: fix make
 distcheck

Fri Mar  6 11:09:01 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_regex.c: fix make check. Buildbot didn't detect
 compile failure in make check.

Thu Mar  5 20:10:00 CET 2009 (tk)
---------------------------------
 * libclamav: count .pdb entries as signatures
 * freshclam, sigtool: add support for safebrowsing.cvd (bb#1056)

Thu Mar  5 16:43:46 CET 2009 (acab)
-----------------------------------
 * libclamav/mpool.c: enable mmap poisoning (compile with --enable-debug)

Wed Mar  4 21:05:57 EET 2009 (edwin)
------------------------------------
 * configure, configure.in: LDFLAGS is LDFLAGS, not LIBS. This fixes
 build with mudflap.

Wed Mar  4 17:51:16 EET 2009 (edwin)
------------------------------------
 * configure, m4/fdpassing.m4, shared/fdpassing.h: 
 CMSG_SPACE/CMSG_LEN compat macros for Solaris 8 (bb #1439).

Wed Mar  4 16:42:57 CET 2009 (acab)
-----------------------------------
 * clamav-milter: fix the logic for RejectMsg

Wed Mar  4 15:20:47 CET 2009 (acab)
-----------------------------------
 * clamav-milter: fix few typoes - thx Jakub Jankowski <shasta*toxcorp.com>
	and Peter Bonivart <bonivart*opencsw.org> for the testing

Wed Mar  4 09:12:59 CET 2009 (tk)
---------------------------------
 * shared/cdiff.c: add missing gzclose() (bb#1450)

Wed Mar  4 02:54:39 CET 2009 (acab)
-----------------------------------
 * shared/actions.c: fix inverted logic
	Reported by Gianluigi Tiesi <sherpya*netfarm.it>

Wed Mar  4 01:59:31 CET 2009 (acab)
-----------------------------------
 * shared/cdiff.c: remove spurious fclose (bb#1450)

Tue Mar  3 20:40:07 CET 2009 (acab)
-----------------------------------
 * clamav-milter: Allow custom rejection messages, workaround ancient
	systems without strerror_r (bb#1439), remove double syslog include

Tue Mar  3 18:58:06 CET 2009 (tk)
---------------------------------
 * libclamav/unarj.c: downgrade error message (bb#1444)

Tue Mar  3 03:26:08 CET 2009 (acab)
-----------------------------------
 * clamav-milter/clamav-milter.c: Fix syslog ident typo and include wrapage.
	Reported by Jakub Jankowski <shasta * toxcorp.com>
	
Mon Mar  2 22:38:05 EET 2009 (edwin)
------------------------------------
 * configure, configure.in: fix previous commit

Mon Mar  2 22:11:48 EET 2009 (edwin)
------------------------------------
 * clamav-config.h.in, config/ltmain.sh, configure, configure.in,
 m4/libtool.m4, m4/ltdl.m4: attempt to fix AC_C_BIGENDIAN
 action-if-universal, regenerate files.

Mon Mar  2 17:57:50 EET 2009 (edwin)
------------------------------------
 * clamdtop/clamdtop.c: fix use-after-free.

Mon Mar  2 19:54:41 CET 2009 (tk)
---------------------------------
 * libclamav: introduce cl_engine_settings_* API calls for copying settings
	      between engines
 * clamd/server-th.c: respect original engine settings after db reload (bb#1380)

Mon Mar  2 17:37:15 CET 2009 (acab)
-----------------------------------
 * build system: update to autoconf 2.63 (bb#1443)

Mon Mar  2 17:41:12 CET 2009 (tk)
---------------------------------
 * clamscan/manager.c: make error reporting compatible with clamd and previous
		       versions of clamscan

Mon Mar  2 17:37:50 CET 2009 (tk)
---------------------------------
 * libclamav: report error instead of crashing when engine is not compiled
	      (bb#1416)

Mon Mar  2 17:09:33 CET 2009 (tk)
---------------------------------
 * shared/optparser.c: fix handling of options which are enabled by default
		       (bb#1442)

Sun Mar  1 17:21:15 CET 2009 (tk)
---------------------------------
 * COPYING.BSD -> COPYING.regex; add COPYING.sha256

Sun Mar  1 12:39:52 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: Fix make check when run as root. (bb
 #1431).

Sun Mar  1 12:33:44 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c: downgrade warning message (bb #1433).

Sun Mar  1 12:15:17 EET 2009 (edwin)
------------------------------------
 * clamdtop/clamdtop.c, shared/optparser.c: Fix colors when terminal
 background color is not black.  (bb #1438, reported by Dennis
 Peterson <dennispe*inetnw.com>)

Sun Mar  1 11:29:32 EET 2009 (edwin)
------------------------------------
 * clamdtop/clamdtop.c: Use 'H' instead of 'F1', add support for
 older clamds (bb #1429, thanks for the suggestion to Fabrio Pedretti
 <pedretti*eco.unibs.it>).

Sun Mar  1 11:03:40 EET 2009 (edwin)
------------------------------------
 * clamdtop/clamdtop.c: Fix gccism, thanks Ed <lunytun*gmail.com>.
 (bb #1428)

Sun Mar  1 10:54:56 EET 2009 (edwin)
------------------------------------
 * config/ltmain.sh: Apply upstream libtool patch (thanks Ralf Wildenhues), fixes build under
 zsh. (bb #1434).

Sat Feb 28 10:47:44 EET 2009 (edwin)
------------------------------------
 * clamdtop/clamdtop.c: remove unneeded include (bb #1436).

Sat Feb 28 09:04:22 CET 2009 (acab)
-----------------------------------
 * clamdscan/proto.c: bail out if the command is rejected (bb#1429)

Thu Feb 26 10:09:21 CET 2009 (acab)
-----------------------------------
 * shared/misc.h: check for in_addr_t (bb#1426)

Wed Feb 25 22:29:41 CET 2009 (tk)
---------------------------------
 * V 0.95rc1

Wed Feb 25 23:14:33 EET 2009 (edwin)
------------------------------------
 * unit_tests/duma_tests.sh: disable duma tests by default, they time
 out even on fast machines.

Wed Feb 25 22:01:53 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: fix build with old versions of check

Wed Feb 25 18:17:03 CET 2009 (acab)
-----------------------------------
 * clamd, clamav-milter: unify default max stream sizes

Wed Feb 25 14:08:14 CET 2009 (acab)
-----------------------------------
 * docs/man/clamav-milter.8.in: update documentation

Wed Feb 25 00:00:25 EET 2009 (edwin)
------------------------------------
 * unit_tests/duma_tests.sh: fix duma timeouts (thanks Nigel!).

Tue Feb 24 22:50:21 EET 2009 (edwin)
------------------------------------
 * clamd/others.c: force alignment of ancillary data buffer (bb
 #1425).

Tue Feb 24 22:48:48 EET 2009 (edwin)
------------------------------------
 * configure, m4/acinclude.m4: add missing AC_RESULT.

Tue Feb 24 15:57:43 EET 2009 (edwin)
------------------------------------
 * libclamav/others_common.c: only when there are at least 2 chars in
 pathname.

Tue Feb 24 15:54:17 EET 2009 (edwin)
------------------------------------
 * clamdscan/client.c, clamdscan/proto.c, clamdscan/proto.h,
 libclamav/others.h, libclamav/others_common.c: trim extra leading
 and trailing slashes (bb #1423).

Tue Feb 24 12:32:03 EET 2009 (edwin)
------------------------------------
 * unit_tests/efence_tests.sh: fix electric-fence return code
 checking (bb #1385).

Mon Feb 23 20:32:43 CET 2009 (tk)
---------------------------------
 * docs/clamdoc.(tex|pdf): update documentation

Mon Feb 23 19:58:08 CET 2009 (acab)
-----------------------------------
 * clamdscan/proto.c: handle warning_skipped_link in switch

Mon Feb 23 14:53:39 EET 2009 (edwin)
------------------------------------
 * libclamav/regex_list.c, libclamav/regex_list.h,
 unit_tests/check_regex.c, unit_tests/input/daily.wdb: fix match with
 root regex (bb #1421).

Mon Feb 23 14:10:01 EET 2009 (edwin)
------------------------------------
 * clamd/session.c: stop scanning when client disconnects in
 multiscan mode (bb #1417).

Sat Feb 21 21:48:43 EET 2009 (edwin)
------------------------------------
 * Makefile.in, clamav-config.h.in, clamav-milter/, clamconf/,
 clamd/, clamdscan/, clamdtop/, clamscan/, configure, configure.in,
 contrib/, database/, docs/, etc/, freshclam/, libclamav/, libltdl/,
 m4/, shared/, sigtool/, test/, unit_tests/: clamdtop moved to
 toplevel

Sat Feb 21 11:22:15 CET 2009 (acab)
-----------------------------------
 * libclamav/nsis: fix race introduced in r4379

Sat Feb 21 10:55:30 CET 2009 (acab)
-----------------------------------
 * build system: Allow to link to system libtommath.
		 Based on an idea from Steve Gran.

Fri Feb 20 15:57:11 CET 2009 (tk)
---------------------------------
 * examples/ex1.c: use new API

Fri Feb 20 15:53:18 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c, unit_tests/check_clamd.sh: Fix
 timeout/run-out-of-fd bug in unit-tests (bb #1412)

Fri Feb 20 13:54:53 EET 2009 (edwin)
------------------------------------
 * docs/man/clamd.8.in: more documentation on IDSESSION/INSTREEAM (bb
 #1401).

Thu Feb 19 13:28:04 CET 2009 (tk)
---------------------------------
 * shared/cdiff.c: scripts can now control size of input buffer (bb#1395)

Thu Feb 19 11:20:58 EET 2009 (edwin)
------------------------------------
 * clamd/, etc/, libclamav/, unit_tests/: fix distcheck.

Wed Feb 18 23:12:36 CET 2009 (tk)
---------------------------------
 * libclamav/textdet.c: improve UTF-16 detection (bb#1209)

Thu Feb 19 00:05:28 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c: move the command parsing, and stream handling
 code into their own functions.  No functionality change.

Thu Feb 19 00:05:03 EET 2009 (edwin)
------------------------------------
 * libclamav/regex_suffix.c: n->type has to be first field (revert
 bug introduced in field reorder commit).

Wed Feb 18 23:25:15 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c: fix NetBSD build

Wed Feb 18 22:58:14 EET 2009 (edwin)
------------------------------------
 * libclamav/phishcheck.c, unit_tests/check_regex.c: improve URL
 handling

Wed Feb 18 22:24:22 EET 2009 (edwin)
------------------------------------
 * libclamav/: reorder fields (bb #1144)

Wed Feb 18 21:57:22 EET 2009 (edwin)
------------------------------------
 * clamd/session.c: real fix for BB #1403.

Wed Feb 18 21:08:50 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c, unit_tests/check_clamd.c,
 unit_tests/test-clamd.conf: In single INSTREAM mode, remove FD from
 polled set (BB #1410) Fix testcase, INSTREAM should say UNKNOWN
 COMMAND in old mode and close conn, sending anything after it will
 likely result in a broken pipe.(BB #1407)

Wed Feb 18 20:35:16 EET 2009 (edwin)
------------------------------------
 * libclamav/bignum.h: disable __mode__(TI) code (bb #1409)

Wed Feb 18 19:10:38 CET 2009 (acab)
-----------------------------------
 * Build system: work around mpool check for openbsd

Wed Feb 18 17:20:26 CET 2009 (acab)
-----------------------------------
 * Build system: check BZ2_ prefix instead of checking for non BZ2
		 prefix (bb#1389)

Wed Feb 18 17:24:48 EET 2009 (edwin)
------------------------------------
 * freshclam/, libclamav/, shared/, sigtool/, unit_tests/: use sha256
 instead of md5 in phishcheck.  move sha256 to libclamav.  add more
 tests.

Wed Feb 18 12:41:17 CET 2009 (tk)
---------------------------------
 * etc/clamav-milter.conf: fix PidFile example (bb#1408)

Wed Feb 18 03:12:12 CET 2009 (acab)
-----------------------------------
 * clamav-milter: die on TERM (bb#1400)
		  install conf file on make install

Tue Feb 17 23:12:19 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: disable test on BSD

Tue Feb 17 22:35:53 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c, unit_tests/check_clamd.sh: signals may not wake
 a poll(), so make sure thread wakes up (BB #1400).

Tue Feb 17 22:10:48 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: add missing header

Tue Feb 17 22:10:10 EET 2009 (edwin)
------------------------------------
 * libclamav/Makefile.am, libclamav/Makefile.in,
 unit_tests/check_clamd.c: git-* commands are gone, use 'git svn'.
 correct include position for fdpassing.h

Tue Feb 17 21:09:23 CET 2009 (acab)
-----------------------------------
 * clamav-milter/clamav-milter.c: compile cleanly with 4+ year old
	 libmilter still being shipped (bb#1402)
  
Tue Feb 17 20:35:21 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c, clamd/session.c, clamd/session.h,
 unit_tests/check_clamd.c: Reject new commands sent as new-style
 commands to avoid confusion.  This means that IDSESSION/INSTREAM
 must be sent as nIDSESSION\n or zIDSESSION\0, ditto for INSTREAM.
 Adjust testcases accordingly.  Old commands are still accepted when
 sent without delimiter.

Tue Feb 17 20:06:02 EET 2009 (edwin)
------------------------------------
 * clamd/others.c, libclamunrar_iface/unrar_iface.h, shared/misc.c,
 unit_tests/check_clamd.c, unit_tests/check_clamd.sh: fix use of
 uninitialized value.  add test for STREAM.  fix missing closing
 pragmas.

Tue Feb 17 18:38:30 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: another warning

Tue Feb 17 18:36:22 EET 2009 (edwin)
------------------------------------
 * clamd/others.c: fix compiler warning

Tue Feb 17 18:32:59 EET 2009 (edwin)
------------------------------------
 * clamd/others.c: add missing parameter

Tue Feb 17 18:29:27 EET 2009 (edwin)
------------------------------------
 * clamd/, shared/, unit_tests/: Introduce '$' in logg, it is active
 when logg_verbose=2, i.e. when Debug yes.  Fix leak reported by
 valgrind.

Tue Feb 17 17:33:06 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c, unit_tests/check_clamd.c: make sending
 ancillary data at wrong time a protocol error.  change testcase
 accordingly.

Tue Feb 17 17:11:17 EET 2009 (edwin)
------------------------------------
 * clamd/clamd.c, shared/optparser.c, shared/output.h: sendtimeout

Tue Feb 17 17:08:18 EET 2009 (edwin)
------------------------------------
 * clamd/others.c, clamd/others.h, clamd/scanner.c,
 clamd/server-th.c, shared/optparser.c, unit_tests/check_clamd.c,
 unit_tests/test-clamd.conf: ReadTimeout handling, and introduce
 CommandReadTimeout.

Tue Feb 17 12:07:37 CET 2009 (tk)
---------------------------------
 * sigtool/sigtool.c: better error messages (bb#1396)

Tue Feb 17 01:36:36 CET 2009 (acab)
-----------------------------------
 * clamd: add --stream option to force streaming even to the localhost
	  via unix socket

Mon Feb 16 23:56:34 EET 2009 (edwin)
------------------------------------
 * clamd/clamd.c, clamd/server-th.c, unit_tests/check_clamd.c,
 unit_tests/check_clamd.sh: fix typo.  add another stress test.
 Don't leak file descriptors.  Fix IDSESSION delimiter handling.

Mon Feb 16 20:53:45 EET 2009 (edwin)
------------------------------------
 * clamd/thrmgr.c: fix valgrind warning about locking order

Mon Feb 16 20:36:01 EET 2009 (edwin)
------------------------------------
 * clamd/, libclamav/, shared/, unit_tests/: introduce timeouts for
 send(), this is needed for IDSESSION to work reliably, since a buggy
 client implementation may get stuck in send(), and then clamd gets
 stuck in send() -> deadlock. To avoid this we need nonblocking
 sockets, and (low) timeouts on send.  Add more tests for clamd protocol,
 including a stress test for IDSESSION.

Mon Feb 16 16:15:21 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: test for FILDES

Mon Feb 16 14:08:50 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c, clamd/session.c, unit_tests/check_clamd.c: add
 more unit tests.  Make handling of old-style commands compatible
 with old clamd: if they have a \n that will delimit the command.

Mon Feb 16 17:59:57 CET 2009 (tk)
---------------------------------
 * libclamav, sigtool: fix handling of long signatures (bb#1395)

Mon Feb 16 13:16:53 CET 2009 (tk)
---------------------------------
 * libclamav/clamd: fix double-slash when scanning the root dir (bb#1394)

Sun Feb 15 19:14:00 CET 2009 (acab)
-----------------------------------
 * clamav-milter/clamav-milter.c: don't umask()

Sun Feb 15 19:10:59 CET 2009 (acab)
-----------------------------------
 * clamav-milter/clamav-milter.c: create threads after forking

Sun Feb 15 18:20:40 CET 2009 (acab)
-----------------------------------
 * clamav-milter:clamav-milter/netcode.c: fix leaks

Sun Feb 15 16:24:07 CET 2009 (acab)
-----------------------------------
 * clamav-milter: handle aborts

Sat Feb 14 18:43:10 EET 2009 (edwin)
------------------------------------
 * clamd/session.c, contrib/clamdtop/Makefile,
 contrib/clamdtop/clamdtop.c: make clamdtop use IDSESSION, and enable
 VERSION/STATS inside IDSESSION.

Sat Feb 14 18:04:55 EET 2009 (edwin)
------------------------------------
 * libclamav/scanners.c: fix type 7 signature matching (bb #1368).

Sat Feb 14 11:43:10 EET 2009 (edwin)
------------------------------------
 * clamd/others.c, clamd/others.h, clamd/server-th.c: Initialize
 mutex.  Fix poll_fd to properly lock/unlock mutex.

Sat Feb 14 10:17:37 CET 2009 (acab)
-----------------------------------
 * clamav-milter/clamfi.c: Revert previous and add a better fix

Sat Feb 14 09:34:18 CET 2009 (acab)
-----------------------------------
 * clamav-milter/clamfi.c: Correctly scan in FILDES mode

Fri Feb 13 19:21:24 EET 2009 (edwin)
------------------------------------
 * shared/output.c, unit_tests/check_clamd.c: mdprintf was also
 taking %f and %l, and they have different size than int.  Make the
 ARGLEN get the correct vaarg types, otherwise it was popping off the
 stack an item of the wrong size!

Fri Feb 13 16:48:01 EET 2009 (edwin)
------------------------------------
 * clamd/server-th.c: fix nFILDES command

Fri Feb 13 15:54:44 EET 2009 (edwin)
------------------------------------
 * shared/fdpassing.h: add copyright header

Fri Feb 13 14:12:30 CET 2009 (tk)
---------------------------------
 * libclamav/matcher.c: cli_scanbuff: add support for external acdata

Fri Feb 13 14:21:54 EET 2009 (edwin)
------------------------------------
 * unit_tests/preload_run.sh, unit_tests/valgrind_tests.sh: increase
 timeout when run under valgrind/efence/duma

Fri Feb 13 14:05:21 EET 2009 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: more suppressions

Fri Feb 13 13:49:55 EET 2009 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: add suppression for progexit set in
 signal handler

Fri Feb 13 13:48:54 EET 2009 (edwin)
------------------------------------
 * clamav-milter/netcode.c: Solaris build fix

Fri Feb 13 13:34:21 EET 2009 (edwin)
------------------------------------
 * clamav-milter/, clamd/, clamdscan/, shared/: fix Solaris build

Fri Feb 13 11:11:03 EET 2009 (edwin)
------------------------------------
 * clamd/others.c, clamd/session.c: fdpassing is now in others.c
 instead of session.c, move the defines.

Fri Feb 13 10:30:16 EET 2009 (edwin)
------------------------------------
 * clamd/session.c: add missing include

Thu Feb 12 23:58:14 EET 2009 (edwin)
------------------------------------
 * shared/misc.h: add missing include

Thu Feb 12 23:56:36 EET 2009 (edwin)
------------------------------------
 * clamd/tcpserver.c: fix distcheck

Thu Feb 12 23:43:32 EET 2009 (edwin)
------------------------------------
 * libclamav/libclamav.map: remove nonexistent symbol to make Solaris
 linker happy.

Thu Feb 12 23:07:51 EET 2009 (edwin)
------------------------------------
 * clamd/clamd.c, clamd/tcpserver.c, clamdscan/client.c,
 shared/misc.c, shared/misc.h: move TCP socket creation to shared/

Thu Feb 12 22:33:30 EET 2009 (edwin)
------------------------------------
 * clamd/clamd.c, clamd/server-th.c: Unify error paths.  Remove unix
 socket we created if startup fails due to invalid config.

Thu Feb 12 21:47:27 EET 2009 (edwin)
------------------------------------
 * shared/getopt.c: fix

Thu Feb 12 21:35:15 EET 2009 (edwin)
------------------------------------
 * shared/getopt.c, shared/getopt.h: make prototype compatible with
 that declared in system headers. (bb #1383)

Thu Feb 12 21:34:54 EET 2009 (edwin)
------------------------------------
 * libclamav/scanners.c: fix valgrind warning (bb #1371)

Thu Feb 12 20:54:09 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: fix distcheck errors

Thu Feb 12 20:51:04 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamd.c: add another missing file

Thu Feb 12 19:22:23 CET 2009 (acab)
-----------------------------------
 * shared/actions.c: fix message

Thu Feb 12 20:16:25 EET 2009 (edwin)
------------------------------------
 * clamd/others.c: add check for msg.controllen, apparently Mac OS X
     sets it to 0, but CMSG_FIRSTHDR is not NULL!

Thu Feb 12 20:09:17 EET 2009 (edwin)
------------------------------------
 * unit_tests/checks_common.h: add missing file

Thu Feb 12 20:00:01 EET 2009 (edwin)
------------------------------------
 * clamdscan/client.c: fix merge mistake

Thu Feb 12 19:55:31 EET 2009 (edwin)
------------------------------------
 * Makefile.in: revert accidental makefile change

Thu Feb 12 19:49:06 EET 2009 (edwin)
------------------------------------
 * unit_tests/Makefile.am, unit_tests/Makefile.in,
 unit_tests/check_clamd.sh, unit_tests/checks.h: add some unit tests
 for the new clamd protocol

Thu Feb 12 18:30:29 CET 2009 (acab)
-----------------------------------
 * shared, clamdscan, clamscan, doc, build system:
	merge "new clamd protocol"
	merge "unify action handlers"
	merge "doc updates"
	from branches/clamd-proto

Thu Feb 12 19:19:42 EET 2009 (edwin)
------------------------------------
 * clamd/, shared/: merge from clamd-proto branch:     handle multiple %v parameters     introduce poll_fds that also does the read into a buffer     introduce thrmgr_group* commands for keeping track of groups of
     commands (multiscan, IDSESSION)     introduce 2 queues in thrmgr, multiscan queues get lower
     priority. Commands are processed from both queues in a 4:1 ratio
     to avoid starvation.  unify reply code: conn_reply*     unify scanner code into scan_callback that is called from
     cli_ftw multiscan doesn't need stat() now if readdir() provides
     dt_type redesign clamd main loop: there is now an accept thread, and
     a recv()/dispatch thread, +MaxThreads worker (scanner) threads.      introduce limiting on commands when worker threads are
     contended.  introduce IDSESSION, a replacement for the old
     SESSION command, that allows asyncronous (scan) commands and scan
     replies introduce INSTREAM that allows sending the data to scan on
     same connection (vs STREAM that requires another port)     introduce zCOMMANDS

Thu Feb 12 19:19:42 EET 2009 (edwin)
------------------------------------
 * clamd/, shared/: merge from clamd-proto branch:     handle multiple %v parameters     introduce poll_fds that also does the read into a buffer     introduce thrmgr_group* commands for keeping track of groups of
     commands (multiscan, IDSESSION)     introduce 2 queues in thrmgr, multiscan queues get lower
     priority. Commands are processed from both queues in a 4:1 ratio
     to avoid starvation.  unify reply code: conn_reply*     unify scanner code into scan_callback that is called from
     cli_ftw multiscan doesn't need stat() now if readdir() provides
     dt_type redesign clamd main loop: there is now an accept thread, and
     a recv()/dispatch thread, +MaxThreads worker (scanner) threads.      introduce limiting on commands when worker threads are
     contended.  introduce IDSESSION, a replacement for the old
     SESSION command, that allows asyncronous (scan) commands and scan
     replies introduce INSTREAM that allows sending the data to scan on
     same connection (vs STREAM that requires another port)     introduce zCOMMANDS

Thu Feb 12 19:08:28 EET 2009 (edwin)
------------------------------------
 * libclamav/libclamav.map, libclamav/others.h,
 libclamav/others_common.c: merge from clamd-proto branch: introduce
 cli_ftw

Thu Feb 12 12:20:05 EET 2009 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: add some more suppressions

Thu Feb 12 15:22:17 CET 2009 (tk)
---------------------------------
 * libclamav: return codes cleanup (bb#1159)

Wed Feb 11 11:08:55 CET 2009 (tk)
---------------------------------
 * libclamav/cvd.c: fix warning when cvd timestamp is in the future (bb#1381)

Wed Feb 11 09:38:19 CET 2009 (tk)
---------------------------------
 * libclamav/filetypes_int.h: sync with daily.ftm

Fri Feb  6 16:10:27 CET 2009 (tk)
---------------------------------
 * shared/optparser.c, clamconf: handle clamav-milter.conf in --generate-config

Fri Feb  6 15:38:21 CET 2009 (tk)
---------------------------------
 * etc/clamav-milter.conf: fix typos

Tue Feb  3 20:11:07 CET 2009 (tk)
---------------------------------
 * libclamav, shared: minor cleanups; fix handling of long file names (bb#1349)

Fri Jan 30 09:13:15 CET 2009 (tk)
---------------------------------
 * shared/optparser.c: improve handling of short switches (bb#1374)

Thu Jan 29 20:27:45 CET 2009 (tk)
---------------------------------
 * shared/optparser.c, clamconf/clamconf.c: add --generate-config

Thu Jan 29 18:36:51 EET 2009 (edwin)
------------------------------------
 * libclamav/scanners.c: raise scanscript limit

Tue Jan 27 14:55:46 EET 2009 (edwin)
------------------------------------
 * unit_tests/check_clamav.c: add missing include

Tue Jan 27 13:12:50 EET 2009 (edwin)
------------------------------------
 * libclamav/libclamav.map, unit_tests/check_clamav.c: add dsig unit
 test

Tue Jan 27 11:46:17 CET 2009 (tk)
---------------------------------
 * clamscan/manager.c: fix use of uninitialized value in exclude-pua (bb#1373)

Mon Jan 26 21:06:36 CET 2009 (tk)
---------------------------------
 * libclamav: use LibTomMath by Tom St Denis instead of libgmp for multiple
	      precision integer arithmetic (bb#1366); the library is bundled
	      with ClamAV what means that the digital signature support is
	      now available out-of-box

Fri Jan 23 13:33:18 EET 2009 (edwin)
------------------------------------
 * libclamav/clamav.h, libclamav/others.c, libclamav/others.h: fix
 CL_ENGINE_DB_TIME, time_t may well be 64-bits, so writing only
 32-bits will leave upper 32-bits undefined and lead to funny
 results, such as VERSION command working first time, but 2nd time
 not showing the DB timestamp.

Thu Jan 22 15:59:43 CET 2009 (tk)
---------------------------------
 * clamconf: handle --version/-V

Thu Jan 22 15:52:14 CET 2009 (tk)
---------------------------------
 * libclamav/dlp.c: disable the test for ssn_max_group (bb#1355)

Thu Jan 22 15:39:06 CET 2009 (tk)
---------------------------------
 * shared/optparser.c, clamconf: new clamconf (bb#1215, bb#1316)

Mon Jan 19 21:01:33 CET 2009 (tk)
---------------------------------
 * shared/optparser.c: improve cmdline args handling

Mon Jan 19 15:38:39 CET 2009 (tk)
---------------------------------
 * libclamav/dlp.c: fix CC detection and chksumming (bb#1264)

Fri Jan 16 15:26:50 CET 2009 (tk)
---------------------------------
 * libclamav/dlp.c: fix detection of single stripped SSNs (bb#1354)

Mon Jan  5 20:33:04 CET 2009 (tk)
---------------------------------
 * libclamav/str.c: return token count in cli_strtokenize()
 * libclamav/readdb.c: use tokens_count (bb#1331); make the parser more
		       strict

Mon Jan  5 19:54:13 CET 2009 (tk)
---------------------------------
 * libclamav/mpool.c: fix old free() call in cli_mp_hex2ui()

Mon Jan  5 12:56:59 EET 2009 (edwin)
------------------------------------
 * libclamav/regex_list.c: fix malformed .pdb handling (bb #1338)

Fri Jan  2 23:00:52 CET 2009 (tk)
---------------------------------
 * shared/misc.c: re-enable freshdbdir()

Fri Jan  2 18:16:45 CET 2009 (tk)
---------------------------------
 * shared, clamconf: drop old stuff; replace getopt.[ch] with my_getopt

Fri Jan  2 13:08:09 CET 2009 (tk)
---------------------------------
 * shared/optparser.c, clamav-milter: use the new option parser (bb#1215)

Fri Jan  2 13:08:09 CET 2009 (tk)
---------------------------------
 * shared/optparser.c, sigtool: use the new option parser (bb#1215)

Thu Jan  1 22:56:40 EET 2009 (edwin)
------------------------------------
 * Makefile.am, Makefile.in: add -Wformat-security to 'make
 distcheck'

Thu Jan  1 21:17:47 CET 2009 (acab)
-----------------------------------
 * libclamav/disasm.c: table fixup

Wed Dec 31 15:42:21 CET 2008 (tk)
---------------------------------
 * shared/optparser.c: fix typo (bb#1336)

Wed Dec 31 13:40:30 CET 2008 (tk)
---------------------------------
 * shared/optparser.c: cosmetics; add FLAG_REQUIRED

Tue Dec 30 22:29:50 CET 2008 (tk)
---------------------------------
 * shared/optparser.c, clamdscan: use the new option parser (bb#1215)

Tue Dec 30 11:43:10 CET 2008 (tk)
---------------------------------
 * shared/optparser.c, clamscan: use the new option parser; changes in switches:
   --no-mail -> --scan-mail, --no-phishing-sigs -> --phishing-sigs,
   --no-phishing-scan-urls -> --phishing-scan-urls,
   --no-algorithmic -> --algorithmic-detection, --no-pe -> --scan-pe,
   --no-elf -> --scan-elf, --no-ole2 -> --scan-ole2, --no-pdf -> --scan-pdf,
   --no-html -> --scan-html, --no-archive -> --scan-archive
   See clamscan(1) for more information

Mon Dec 29 19:08:25 CET 2008 (tk)
---------------------------------
 * libclamav: add default.h

Tue Dec 23 13:03:42 EET 2008 (edwin)
------------------------------------
 * libclamav/pe.c, libclamav/special.c: reset resource type,
 otherwise we parse all resources after a string resource as string
 (including images), which is wrong, because  it feeds wrong
 statistics to cli_detect_swizz.

Mon Dec 22 22:32:59 CET 2008 (tk)
---------------------------------
 * shared/optparser.c: extend MATCH_BOOL regex (bb#1324)

Mon Dec 22 22:16:40 CET 2008 (tk)
---------------------------------
 * shared/optparser.c: handle --user/-u in freshclam (bb#1323)

Mon Dec 22 16:12:27 CET 2008 (tk)
---------------------------------
 * shared/optparser.c: fix small memleak

Thu Dec 18 20:52:00 CET 2008 (tk)
---------------------------------
 * shared/optparser.c, freshclam: use the new option parser (bb#1215)

Wed Dec 17 22:43:54 CET 2008 (tk)
---------------------------------
 * shared/optparser.[ch]: initial version of the unified option parser (bb#1215)
 * clamd: use the new option parser
 * more to come

Tue Dec 16 15:18:28 EET 2008 (edwin)
------------------------------------
 * libclamav/special.c: fix Swizzor detection: if no individual
 string is suspicious, the result must be clean.

Mon Dec 15 20:25:48 EET 2008 (edwin)
------------------------------------
 * Makefile.am: remove -Wpacked

Mon Dec 15 16:16:40 EET 2008 (edwin)
------------------------------------
 * clamav-milter/Makefile.am, clamav-milter/Makefile.in: filter
 -Wwrite-strings in milter

Fri Dec 12 17:04:33 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind_tests.sh: disable valgrind tests by default
 due to false positives from system libraries.  They can be activated
 by using make check VG=1. (bb #1307, bb #1308, bb #1311).

Fri Dec 12 10:49:37 EET 2008 (edwin)
------------------------------------
 * libclamav/Makefile.am, libclamav/Makefile.in: fix last commit

Fri Dec 12 10:28:04 EET 2008 (edwin)
------------------------------------
 * libclamav/Makefile.am, libclamav/Makefile.in, libclamav/others.c,
 libclamav/others_common.c: make regex available in
 libclamav_internal_utils.la, split others.c instead of using #ifdef
 CLI_MEMFUNS_ONLY.

Thu Dec 11 19:09:36 CET 2008 (acab)
-----------------------------------
 * freshclam/dns.c: small fix to previous commit (bb#1303)

Thu Dec 11 13:08:20 CET 2008 (acab)
-----------------------------------
 * freshclam/dns.c: add support for TXT aliases

Wed Dec 10 20:09:00 CET 2008 (tk)
---------------------------------
 * libclamav: add CL_FLEVEL_DCONF (bb#1313)

Tue Dec  9 03:32:08 CET 2008 (acab)
-----------------------------------
 * clamconf: skip milter's directives

Sun Dec  7 16:17:33 CET 2008 (acab)
-----------------------------------
 * configure, m4/resolv.m4: remove stale checks

Sun Dec  7 15:28:42 CET 2008 (acab)
-----------------------------------
 * clamav-milter: enable building on OpenBSD...

Sun Dec  7 14:53:17 CET 2008 (acab)
-----------------------------------
 * clamav-milter: enable building on FreeBSD

Sun Dec  7 13:46:07 CET 2008 (acab)
-----------------------------------
 * clamav-milter: work around stupid milter protoes

Sun Dec  7 13:38:49 CET 2008 (acab)
-----------------------------------
 * clamav-milter: get rid of some warnings

Sun Dec  7 12:01:10 EET 2008 (edwin)
------------------------------------
 * libclamav/special.c: add missing type

Sat Dec  6 16:54:43 EET 2008 (edwin)
------------------------------------
 * libclamav/pe.c, libclamav/special.c, libclamav/special.h: Improve
 Trojan.Swizzor.Gen detection: do per file statistics in addition to
 per string. It is amazing how a much simpler rule can do the same
 job better.

Thu Dec  4 17:43:01 CET 2008 (acab)
-----------------------------------
 * clamav-milter: r4519:r4536 merge new clamav milter
		  TODO:
		  - present the news on the user ML
		  - update manpage and documentation

Wed Dec  3 10:27:17 CET 2008 (tk)
---------------------------------
 * docs/man/freshclam.1.in: document EXIT_n

Wed Dec  3 00:21:43 EET 2008 (edwin)
------------------------------------
 * libclamav/special.c: use a more precise J48 tree (built from more
 input data), and lower threshold for detection. This detects ~14%
 more samples.

Tue Dec  2 22:00:10 EET 2008 (edwin)
------------------------------------
 * libclamav/dconf.c, libclamav/dconf.h, libclamav/pe.c,
 libclamav/special.c, libclamav/special.h: Heuristic detection of
 Trojan.Swizzor.Gen (bb #1310)

Mon Dec  1 19:51:52 CET 2008 (tk)
---------------------------------
 * libclamav/matcher-ac.c: fix parsing of lsig modifiers

Fri Nov 28 18:13:40 CET 2008 (acab)
-----------------------------------
 * shared/cfgparser.c: reenable -Werror builds

Fri Nov 28 17:42:20 CET 2008 (acab)
-----------------------------------
 * cfgparser: backport modifications from branches/milter-v2.0

Wed Nov 26 14:04:33 CET 2008 (tk)
---------------------------------
 * libclamav/special.c: respect recursion limits in cli_check_jpeg_exploit()
			(bb#1266)

Tue Nov 25 21:51:30 CET 2008 (tk)
---------------------------------
 * freshclam/manager.c: in non-dns mode use date from cvd header instead of
			file's timestamp for If-Modified-Since (bb#1305)

Tue Nov 25 21:06:55 CET 2008 (tk)
---------------------------------
 * clamd: LogFileUnlock was not working correctly (bb#1304)

Mon Nov 24 15:17:03 EET 2008 (edwin)
------------------------------------
 * libclamav/Makefile.am, libclamav/Makefile.in, libclamav/others.c: 
 fix disable-unrar build: don't refer to libclamunrar_iface.la with
 enable-unrar builds (default) warn if can't dlopen.  if unrar is
 disabled, don't warn, just show a debug message.

Thu Nov 20 21:53:39 EET 2008 (edwin)
------------------------------------
 * configure, m4/lib-link.m4: more multiarch dir fixes (bb #1277)

Thu Nov 20 18:50:12 CET 2008 (tk)
---------------------------------
 * freshclam/manager.c: add support for http proxy in SubmitDetectionStats
			(bb#1284)

Thu Nov 20 15:55:12 EET 2008 (edwin)
------------------------------------
 * configure, m4/lib-link.m4: search in non-multiarch dir (bb #1277)

Wed Nov 19 17:31:50 CET 2008 (acab)
-----------------------------------
 * clamav-milter: typo

Tue Nov 18 23:39:09 EET 2008 (edwin)
------------------------------------
 * unit_tests/check_clamd.sh: run reload test twice

Tue Nov 18 20:20:14 CET 2008 (tk)
---------------------------------
 * libclamav/readdb.c: fix handling of malformed ldb sigs (bb#1292)

Tue Nov 18 19:33:07 CET 2008 (acab)
-----------------------------------
 * libclamav/mpool.c: a(void*) arithmetic

Tue Nov 18 18:40:32 CET 2008 (acab)
-----------------------------------
 * configure: enable mempool by default (where available)

Tue Nov 18 14:06:04 EET 2008 (edwin)
------------------------------------
 * libclamav/libclamav.map, libclamav/mpool.c: remove nonexistent
 symbols from .map file, add dummy functions.

Tue Nov 18 13:54:09 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: add more valgrind suppressions (bb
 #1283)

Mon Nov 17 16:24:29 EET 2008 (edwin)
------------------------------------
 * unit_tests/efence_tests.sh: search in /usr/local/lib for efence

Mon Nov 17 15:45:39 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: add more valgrind suppressions (bb
 #1283, #1286, #1294)

Mon Nov 17 13:54:24 CET 2008 (acab)
-----------------------------------
 * etc/clamd.conf: update description of local vs network mode

Sun Nov 16 20:43:15 EET 2008 (edwin)
------------------------------------
 * unit_tests/efence_tests.sh: use dlsearch instead of search, should
 improve search for electric-fence

Sun Nov 16 17:44:39 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/clamdtop.c: Instead of showing all threads show
 multiscan threads, it is less confusing.

Sun Nov 16 17:35:23 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/Makefile, contrib/clamdtop/clamdtop.c: fix queue
 length parsing

Fri Nov 14 22:24:44 CET 2008 (tk)
---------------------------------
 * libclamav: drop cl_settempdir(); use cl_engine_set() with CL_ENGINE_TMPDIR
	      and CL_ENGINE_KEEPTMP instead

Fri Nov 14 18:40:50 EET 2008 (edwin)
------------------------------------
 * libclamunrar/unrar.c: avoid rar_malloc warnings on damaged files
 (bb #1290)

Fri Nov 14 10:21:22 EET 2008 (edwin)
------------------------------------
 * Makefile.am, contrib/clamdtop/TODO, libclamav/Makefile.am,
 libclamav/Makefile.in: fix distcheck

Thu Nov 13 23:00:39 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/clamdtop.c: fix reconnect logic

Thu Nov 13 19:06:47 CET 2008 (tk)
---------------------------------
 * libclamav, clamd, clamscan: use cl_engine_set() to control AC settings

Thu Nov 13 16:54:24 CET 2008 (acab)
-----------------------------------
 * clamav-milter: prevent races

Thu Nov 13 17:12:40 EET 2008 (edwin)
------------------------------------
 * clamd/clamd.c: fix leak. It was a valgrind false-positive because
 it couldn't see the pointer.

Thu Nov 13 16:59:47 EET 2008 (edwin)
------------------------------------
 * unit_tests/Makefile.am, unit_tests/Makefile.in: fix paths

Thu Nov 13 16:46:46 EET 2008 (edwin)
------------------------------------
 * libclamav/others.c: move cli_rarload.  TODO: MEMFUNSONLY should be
 a separate file!

Thu Nov 13 16:27:57 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/Makefile, contrib/clamdtop/clamdtop.c: select a
 clamd

Thu Nov 13 15:55:20 CET 2008 (tk)
---------------------------------
 * libclamav: drop options parameter in cl_engine_new(); replace cl_engine_dup()
	      with cl_engine_addref()

Thu Nov 13 14:59:39 CET 2008 (tk)
---------------------------------
 * libclamav/readdb.c: phishing_done() no longer needs to be called outside
		       cl_engine_free()

Thu Nov 13 11:05:20 EET 2008 (edwin)
------------------------------------
 * libclamav/htmlnorm.c: fix memory leak (bb #1291)

Thu Nov 13 02:11:41 CET 2008 (acab)
-----------------------------------
 * libclamav: dlinit in cl_init

Thu Nov 13 01:23:39 CET 2008 (acab)
-----------------------------------
 * clamav-milter/clamav-milter.c: upgrade to new API

Wed Nov 12 21:33:50 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/TODO, contrib/clamdtop/clamdtop.c: some docs

Wed Nov 12 20:12:09 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/clamdtop.c: fix some leaks and crashes

Wed Nov 12 19:32:17 EET 2008 (edwin)
------------------------------------
 * libclamav/readdb.c, libltdl/Makefile.am, libltdl/Makefile.in: Fix
 -Werror build: there is no libltdl directory when building with
 VPATH,  $(srcdir)/libltdl is enough. Filter -Werror in libltdl.

Wed Nov 12 19:03:36 EET 2008 (edwin)
------------------------------------
 * clamd/thrmgr.c, unit_tests/check_clamav.c,
 unit_tests/check_regex.c: update unit tests to new API.
 Initialization order changed, make sure stats_tls_key is
 initialized.

Wed Nov 12 17:52:12 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/TODO, contrib/clamdtop/clamdtop.c: refactor, minor fixes

Wed Nov 12 16:31:34 CET 2008 (tk)
---------------------------------
 * libclamav: introduce new API calls for engine management (THIS REVISION IS
	      NOT BACKWARD COMPATIBLE): cl_init(), cl_engine_new(),
	      cl_engine_set/get(), cl_engine_compile(), cl_engine_dup(),
	      cl_engine_free(); make minor modifications to other calls;
	      move cl_engine to others.h; integrate limits into cl_engine
 * clamd, clamscan: use new API; drop hardcoded default limits and depend on
		    those set by libclamav
 * clamav-milter, unit_tests: TODO, **don't compile in this rev**

Wed Nov 12 13:06:33 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/Makefile, contrib/clamdtop/TODO,
 contrib/clamdtop/clamdtop.c: refactor, multiple clamd support.
 documentation, and detailview to come later.

Wed Nov 12 11:21:45 CET 2008 (acab)
-----------------------------------
 * docs/man/clamav-milter.8.in: avoid hyphen-used-as-minus-sign warnings

Wed Nov 12 00:34:20 CET 2008 (acab)
-----------------------------------
 * build system: build-all into /libclamav to workaround inconsistent
	local search paths - many thanks Willy and Sherpya for the OSX
	testing and debugging.

Tue Nov 11 20:42:28 CET 2008 (acab)
-----------------------------------
 * libclamav/nsis: improve lateny (bb#1180)

Mon Nov 10 20:12:47 EET 2008 (edwin)
------------------------------------
 * configure, libltdl/: regenerate libltdl/ to get rid of bunch of
 leftover files.

Mon Nov 10 18:58:08 CET 2008 (acab)
-----------------------------------
 * m4: fix typo in anonmap detection

Mon Nov 10 17:45:09 CET 2008 (acab)
-----------------------------------
 * libclamav, libclamunrar, libclamunrar_iface:
   interface via libltdl (dlopen) - bb#1153

Mon Nov 10 15:09:19 EET 2008 (edwin)
------------------------------------
 * Makefile.in, configure, m4/acinclude.m4: fix build on AIX: for
 some odd reason `echo target.h` was producing 'x', so don't use `echo
 ifelse(...`, since ifelse is expanded by aclocal anyway

Mon Nov 10 11:46:14 EET 2008 (edwin)
------------------------------------
 * libclamav/matcher-ac.c, libclamav/matcher-ac.h: reduce memory
 usage of AC nodes

Sun Nov  9 22:37:29 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/Makefile, contrib/clamdtop/clamdtop.c: clamdtop:
 Apply mingw32 patches from Gianluigi Tiesi <sherpya*netfarm.it>

Sat Nov  8 17:24:59 EET 2008 (edwin)
------------------------------------
 * libclamav/blob.h, libclamav/cab.h, libclamav/jsparse/js-norm.c: 
 reorder some struct fields to avoid holes

Sat Nov  8 05:27:43 CET 2008 (acab)
-----------------------------------
 * libclamav/mpool.c: slightly optimized (we're now faster and more compact
		      than malloc() - it's just because we cheat more :)

Fri Nov  7 19:37:38 EET 2008 (edwin)
------------------------------------
 * clamd/, libclamav/, libclamunrar/, unit_tests/: fix more compiler
 warnings (bb #273)

Fri Nov  7 13:28:49 CET 2008 (tk)
---------------------------------
 * freshclam/manager.c: remove unused parameter (bb#1280)

Fri Nov  7 13:20:08 CET 2008 (tk)
---------------------------------
 * freshclam/manager.c: improve reporting of server failures (bb#777)

Fri Nov  7 13:28:03 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/clamdtop.c: fix wrong free (thanks Nigel!)

Thu Nov  6 23:46:07 EET 2008 (edwin)
------------------------------------
 * clamav-milter/clamav-milter.c, clamd/thrmgr.c, freshclam/dns.c,
 libclamav/mspack.c, libclamav/pe.c: fix more compiler warnings (bb
 #273).

Thu Nov  6 21:46:47 CET 2008 (tk)
---------------------------------
  * docs/clamdoc.tex, docs/man/clamd.8.in: document nCOMMANDS (bb#1278)

Thu Nov  6 15:24:34 EET 2008 (edwin)
------------------------------------
  * Makefile.am, clamd/, libclamav/, libclamunrar/,
  libclamunrar_iface/: fix compiler warnings, more to come (bb #273)

Thu Nov  6 12:29:26 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/clamdtop.c: reconnect if connection is broken use
  recv/send instead of fdopen on socket

Thu Nov  6 11:37:08 EET 2008 (edwin)
------------------------------------
 * clamd/, contrib/, libclamav/: mempool statistics support

Wed Nov  5 21:49:49 EET 2008 (edwin)
------------------------------------
 * aclocal.m4, clamav-config.h.in, clamav-milter/, configure,
  configure.in, libclamav/: have configure define NDEBUG unless we use
  --enable-debug, instead of having to #ifndef CL_DEBUG #define NDEBUG
  #endif in each .c file that uses assert.  If you want assertions
  enabled you'll need to use --enable-debug to configure, as until
  now, no change there.

Wed Nov  5 21:20:56 CET 2008 (tk)
---------------------------------
 * clamscan/manager.c: fix double-slash when scanning the root dir (bb#1263)

Wed Nov  5 19:54:42 CET 2008 (tk)
---------------------------------
 * unit_tests/virusaction-test.sh: ignore pathnames (bb#1274)

Wed Nov  5 13:17:51 EET 2008 (edwin)
------------------------------------
 * libclamav/mpool.c, libclamav/mpool.h, libclamav/readdb.c: use
 ANONYMOUS_MAP from clamav-config.h instead of MAP_ANONYMOUS, fix
 mp_flush call mp_flush from readdb

Wed Nov  5 10:56:28 EET 2008 (edwin)
------------------------------------
 * libclamav/mpool.c (mp_destroy): need to use sizeof(*mp) because mp is a pointer here!!

Tue Nov  4 23:15:43 CET 2008 (acab)
-----------------------------------
 * libclamav: mempool de-uglify last ugly bit
	please build with ./configure --enable-mempool and report memory usage

Tue Nov  4 23:02:27 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/TODO: add more TODO notes, thanks nitrox for the
 feedback!

Tue Nov  4 22:44:20 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/TODO: add TODO note about reconnecting

Tue Nov  4 20:50:45 CET 2008 (tk)
---------------------------------
 * libclamav/matcher-ac.c: micro-optimization (bb#843), thanks to Edwin

Tue Nov  4 20:47:14 CET 2008 (acab)
-----------------------------------
 * libclamav: mempool de-uglify

Tue Nov  4 20:15:55 CET 2008 (tk)
---------------------------------
 * libclamav, clamd: always return correct db version in VERSION (bb#1168)

Tue Nov  4 13:11:24 EET 2008 (edwin)
------------------------------------
 * contrib/clamdtop/TODO, contrib/clamdtop/clamdtop.c: fix bar
 calculation: releasable is part of free mention mempool in TODO

Tue Nov  4 12:56:46 EET 2008 (edwin)
------------------------------------
 * libclamav/matcher-ac.c (cli_ac_addsig): need to use mpool allocated memory for ->str
 * libclamav/mpool.c (mp_malloc, cli_mp_hex2str, check_all): introduce hex2str wrapper
 * libclamav/mpool.h (mp_t, cli_mp_hex2str): introduce hex2str wrapper
 * libclamav/regex_list.c (add_hash): need to use mpool allocated memory for arg to bm_addpatt

Tue Nov  4 12:36:29 EET 2008 (edwin)
------------------------------------
 * libclamav/mpool.c, unit_tests/check_clamav.c,
 unit_tests/check_matchers.c, unit_tests/check_regex.c: mpool
 debugging s/USE_MEMPOOL/USE_MPOOL/

Tue Nov  4 11:36:38 EET 2008 (edwin)
------------------------------------
 * clamd/thrmgr.c (thrmgr_printstats, IDLE_TASK): add comments
 * contrib/clamdtop/TODO: more TODO items

Tue Nov  4 11:32:16 EET 2008 (edwin)
------------------------------------
 * clamd/thrmgr.c: fix whitespace

Tue Nov  4 11:29:23 EET 2008 (edwin)
------------------------------------
 * clamd/session.c: fix mixed statements (bb #1269)

Tue Nov  4 11:28:09 EET 2008 (edwin)
------------------------------------
 * clamd/thrmgr.c: use mdprintf instead of fdopen on socket (bb
 #1270) (thanks to Gianluigi Tiesi <sherpya*netfarm.it>)

Mon Nov  3 21:05:54 EET 2008 (edwin)
------------------------------------
 * contrib/, libclamav/, unit_tests/: fix unit tests when mpool is
  activated

Sat Nov  1 03:51:58 CET 2008 (acab)
-----------------------------------
 * mempool: New configure option --enable-mempool (requires mmap)
	To overcome the memory fragmentation issue (bb#1063, bb#1028)
	in clamd this option allows the databases to be loaded in
	different memory "pools".
	As soon as a database is no longer needed its pool is destroyed
	and the memory is *really* returned to the system.
	The performace is comparable to that of the glibc allocator,
	when not better, however there is a small overhead (a few MB)
	in the initial memory usage (but at least it no longer grows).
	Thanks a lot sgran for the idea and nitrox for the extensive
	testing. Please test and report any problem (expecially on
	non-x86 and non-Linux setups).
	Make check doesn't currently work with --enable-mempool; this
	will be fixed soon.

Thu Oct 30 17:18:28 CET 2008 (tk)
---------------------------------
 * V 0.94.1

Thu Oct 30 16:47:17 CET 2008 (tk)
---------------------------------
 * libclamav/readdb.c: daily.ign was overwriting local.ign (bb#1265)

Thu Oct 30 13:52:42 CET 2008 (acab)
-----------------------------------
 * libclamav/vba_extract.c: get_unicode_name off-by-one - bb#1239
 			    reported by Moritz Jodeit <moritz*jodeit.org>

Thu Oct 30 13:07:53 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: suppress more valgrind race warnings

Thu Oct 30 11:18:24 EET 2008 (edwin)
------------------------------------
 * Makefile.am, Makefile.in: fix flags

Thu Oct 30 11:04:19 EET 2008 (edwin)
------------------------------------
 * configure, configure.in: fix test

Wed Oct 29 22:53:21 EET 2008 (edwin)
------------------------------------
 * configure, configure.in: be nice to non-GNU compilers, and use
 memcmp/abort instead of __builtin_*

Wed Oct 29 21:48:03 EET 2008 (edwin)
------------------------------------
 * configure, configure.in, m4/acinclude.m4: Try to make a difference
 between failing to link the bzip2 testcase and the testcase failing
 (bb #1240)

Wed Oct 29 21:40:20 EET 2008 (edwin)
------------------------------------
 * configure, configure.in: fix message: it is enough to use a lower
 optimization level

Wed Oct 29 21:34:01 EET 2008 (edwin)
------------------------------------
 * unit_tests/test-freshclam.conf: we need a config file for
 freshclam just to test -V, use a minimal one.

Wed Oct 29 21:22:15 EET 2008 (edwin)
------------------------------------
 * Makefile.am, Makefile.in, configure, configure.in: fix make
 distcheck on gcc < 4.3  (bb #1259)

Wed Oct 29 20:52:07 EET 2008 (edwin)
------------------------------------
 * configure, configure.in: add testcase for gcc bug 37573, affecting
 gcc 4.1.2 at -O3 too (bb #1258)

Tue Oct 28 22:08:19 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: fix more valgrind warnings

Tue Oct 28 21:47:34 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: suppress another valgrind warning on
 Fedora

Tue Oct 28 20:37:35 CET 2008 (tk)
---------------------------------
  * freshclam: add new config option DetectionStatsCountry

Tue Oct 28 10:52:41 CET 2008 (tk)
---------------------------------
  * freshclam: re-enable --submit-stats (bb#1235)

Mon Oct 27 18:07:08 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: suppress valgrind warnings for old libc.
 The warning is in __strcpy_chk, but I don't want to suppress a
 useful warnings in recent libcs, and there is no way to specify both
 a function and object in a suppression, so I suppressed all warnings
 from libc-2.5 when called from mbox/message.c

Mon Oct 27 16:20:02 EET 2008 (edwin)
------------------------------------
 * unit_tests/duma_tests.sh: fix typo in test script

Mon Oct 27 16:15:36 EET 2008 (edwin)
------------------------------------
 * unit_tests/valgrind.supp: fix valgrind warnings on Fedora

Mon Oct 27 14:54:34 CET 2008 (tk)
---------------------------------
 * freshclam/execute.c: don't execute special events twice in interactive
			mode (bb#1256)

Fri Oct 24 11:45:41 CEST 2008 (tk)
----------------------------------
 * libclamav: fix detection of Worm.Mydoom.M.log and control it with
	      CL_SCAN_ALGORITHMIC and dconf (bb#1241)

Thu Oct 23 23:01:10 EEST 2008 (edwin)
-------------------------------------
 * clamd/scanner.c: fix leak on rare error path (bb #1254)

Wed Oct 22 20:52:37 EEST 2008 (edwin)
-------------------------------------
 * unit_tests/check_clamav.c, unit_tests/check_disasm.c,
 unit_tests/check_jsnorm.c, unit_tests/check_matchers.c,
 unit_tests/check_regex.c, unit_tests/check_uniq.c,
 unit_tests/checks.h: support building with older versions of check

Wed Oct 22 17:45:11 EEST 2008 (edwin)
-------------------------------------
 * configure, m4/acinclude.m4: fix typo in previous commit

Wed Oct 22 17:43:38 EEST 2008 (edwin)
-------------------------------------
 * configure, m4/acinclude.m4: When user has overriden --libdir, we
 still need to find out the correct acl_libdirstem

Mon Oct 20 17:23:12 EEST 2008 (edwin)
-------------------------------------
 * aclocal.m4, configure, configure.in, m4/acinclude.m4,
 m4/lib-prefix.m4: use -print-multi-os-directory to set default
 libdir (bb #1240) 
 * WARNING: On a 64-bit multiarch OS, this will by
 default install libclamav into /usr/local/lib64, if your system uses
 /usr/local/lib for 32bit apps.  If the system uses /usr/local/lib
 for 64-bit apps and lib32 for 32bit apps, there is no change (unless
 you use -m32).

Sun Oct 19 15:58:23 EEST 2008 (edwin)
-------------------------------------
 * unit_tests/check_clamd.sh: the 2nd clamd process might already be
 gone, wait returns 127.  This fixed a silent make check failure on
 NetBSD.

Sun Oct 19 14:57:26 EEST 2008 (edwin)
-------------------------------------
 * unit_tests/duma_tests.sh, unit_tests/efence_tests.sh: locate
 efence/duma using libtool's search path so that it works with
 /usr/lib64 (bb #1250)

Thu Oct 16 11:02:38 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: fix compilation error on systems without IPv6 (bb#1237)

Wed Oct 15 12:47:53 CEST 2008 (tk)
----------------------------------
  * 0.94.1rc1

Wed Oct 15 12:30:57 CEST 2008 (tk)
----------------------------------
  * freshclam: drop --submit-stats; please use SubmitDetectionStats instead
	       (bb#1235)

Tue Oct 14 23:46:45 CEST 2008 (acab)
------------------------------------
  * docs/man/clamscan.1.in: drop reference to non-exsistent option --max-space
                     (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502165)

Tue Oct 14 21:08:10 EEST 2008 (edwin)
-------------------------------------
 * freshclam/manager.c: fix build on Solaris, fix compiler warning (bb #1234)

Mon Oct 13 12:22:02 CEST 2008 (tk)
----------------------------------
  * clamd/server.h: drop dead code (bb#1231)

Mon Oct 13 12:09:28 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: use HAVE_STRINGS_H (bb#1230)

Fri Oct 10 18:34:04 EEST 2008 (edwin)
-------------------------------------
 * libclamav/htmlnorm.c, libclamav/libclamav.map,
 unit_tests/check_htmlnorm.c, unit_tests/efence_tests.sh,
 unit_tests/input/screnc_test: properly null-terminate buffer (bb
 #1223)

Sat Oct 11 14:37:57 CEST 2008 (tk)
----------------------------------
  * docs: document bb#1185

Sat Oct 11 13:50:12 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: improve the log parser (bb#1225)

Sat Oct 11 13:17:29 EEST 2008 (edwin)
-------------------------------------
 * libclamav/phishcheck.c, unit_tests/check_clamscan.sh,
 unit_tests/input/phish-test-ssl: fix URL parsing, since we now parse
 the full URL

Sat Oct 11 11:16:02 EEST 2008 (edwin)
-------------------------------------
 * Makefile.am, Makefile.in, libclamav/jsparse/js-norm.c,
 unit_tests/Makefile.am, unit_tests/Makefile.in,
 unit_tests/check_jsnorm.c: handle unfinishes string tokens in JS
 parser

Sat Oct 11 13:01:36 EEST 2008 (edwin)
-------------------------------------
 * libclamav/scanners.c: scan javascript with type 7 (and implicitly
 with type 0) too

Sat Oct 11 12:20:10 CEST 2008 (acab)
  * freshclama/manager.c: bump _XOPEN_SOURCE

Sat Oct 11 11:56:10 CEST 2008 (acab)
------------------------------------
  * Make use of address family instead of protocol family as the
    latter gets broken by _XOPEN_SOURCE

Fri Oct 10 16:38:45 CEST 2008 (tk)
----------------------------------
  * freshclam: add support for submitting detection statistics (bb#777)
	       New options: SubmitDetectionStats and --submit-stats

Thu Oct  9 12:17:45 EEST 2008 (edwin)
-------------------------------------
 * ChangeLog, clamav-config.h.in, configure, configure.in,
 freshclam/manager.c, libclamav/readdb.c, libclamav/version.c,
 shared/misc.c, unit_tests/check_clamav.c: when --disable-gcc-vcheck
 is set, set CFLAGS to O0 and append -broken-compiler to the VERSION
 (bb #684) introduce VERSION_SUFFIX for easier handling, and convert
 -exp to use it

Thu Oct  9 12:07:03 EEST 2008 (edwin)
-------------------------------------
 * clamav-config.h.in, configure, configure.in, freshclam/manager.c,
 libclamav/readdb.c, libclamav/version.c, shared/misc.c,
 unit_tests/check_clamav.c: when --disable-gcc-vcheck is set, set
 CFLAGS to O0 and append -broken-compiler to the VERSION (bb #684)
 introduce VERSION_SUFFIX for easier handling, and convert -exp to
 use it

Wed Oct  8 11:16:34 CEST 2008 (acab)
------------------------------------
  * doc/signatures.*: make a note about using regexes in [zr]md's

Tue Oct  7 23:47:02 CEST 2008 (tk)
----------------------------------
  * clamdscan: properly handle --infected (bb#1221)

Tue Oct  7 22:35:22 CEST 2008 (tk)
----------------------------------
  * shared/options.c: handle obsolete options in cmdline parser (bb#1213)

Tue Oct  7 23:21:35 EEST 2008 (edwin)
-------------------------------------
 * libclamav/regex_list.c: fix whitespace

Tue Oct  7 22:52:59 EEST 2008 (edwin)
-------------------------------------
 * unit_tests/valgrind.supp: suppress a false positive race

Tue Oct  7 22:52:06 EEST 2008 (edwin)
-------------------------------------
 * unit_tests/Makefile.am, unit_tests/Makefile.in,
 unit_tests/check_clamd.sh, unit_tests/check_clamscan.sh: When RAR is
 disabled, allow make check to succeed, and print only a warning (bb
 #1212)

Tue Oct  7 19:18:16 CEST 2008 (tk)
----------------------------------
  * shared/cfgparser.c, clamconf: gently deprecate obsolete options (bb#1213)

Tue Oct  7 15:52:06 CEST 2008 (acab)
------------------------------------
  * misc: add missing EOL to dbg/warn messages - bb#1219

Tue Oct  7 13:21:04 CEST 2008 (acab)
------------------------------------
  * libclamav/unzip.c: error path fixes, handle bzip2's deflate in a special manner - bb#1220
  * test: add clam.bz2.zip

Fri Oct  3 19:28:18 CEST 2008 (acab)
------------------------------------
  * clamav-milter/clamav-milter.c: properly close descriptors before
				   forking (bb#1137)

Fri Oct  3 20:22:58 EEST 2008 (edwin)
-------------------------------------
  * configure.in, */Makefile.am:  link to libclamunrar_iface explicitly to allow non-rpath builds to work. (bb #1203)
				  thanks to James Ralston <ralston*pobox.com>

Fri Oct  3 18:55:37 EEST 2008 (edwin)
-------------------------------------
  * configure.in: fix build failure when using LDFLAGS="-Wl,--as-needed" (bb  #1204)
		  thanks to Nathan Brink <ohnobinki*ohnopublishing.net>

Fri Oct  3 15:49:17 CEST 2008 (acab)
------------------------------------
  * clamav-milter/clamav-milter.c: reopen log files on USR1 instead of HUP
  - bb#1194. Note that this is an interim solution, as the milter should not
  abuse other daemons' logfiles. This also doesn't need a fair amount of
  documentantion as this feature never worked before.

Wed Oct  1 19:11:30 CEST 2008 (acab)
------------------------------------
  * clamav-milter/clamav-milter.c: fix error path segfault

Tue Sep 30 18:28:28 CEST 2008 (acab)
------------------------------------
  * clamav-milter/clamav-milter.c: do not access _res when linking to a MT
                                   lresolv - segfaults on netbsd?

Tue Sep 30 18:32:50 EEST 2008 (edwin)
-------------------------------------
  * libclamav/mbox.c: Scan textpart attachments on the fly,
	don't wait till we concatenate all textparts. (bb #1205)

Mon Sep 29 15:20:06 CEST 2008 (tk)
----------------------------------
  * sigtool/vba.c: fix possible use of uninitialized value (bb#1201)

Thu Sep 25 13:16:15 CEST 2008 (tk)
----------------------------------
  * libclamav/matcher-ac.c: improve detection and reordering of zero-only
			    subpatterns (bb#1188)

Wed Sep 24 15:17:12 CEST 2008 (tk)
----------------------------------
  * libclamav/ole2_extract.c: handle files with unusual parameters (bb#954)

Mon Sep 22 23:38:16 CEST 2008 (tk)
----------------------------------
  * configure: use AF_UNSPEC when testing getaddrinfo()/IPv6 support (bb#1196)

Thu Sep 18 12:13:56 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: fix version check for builds compiled with
			 --enable-experimental (bb#1174)

Thu Sep 18 11:52:11 CEST 2008 (tk)
----------------------------------
  * clamd: enable ScanPDF by default (bb#1179)
  * libclamav/clamav.h: add CL_SCAN_PDF to CL_SCAN_STDOPT

Thu Sep 18 10:25:07 CEST 2008 (tk)
----------------------------------
  * clamdscan: add support for --reload (bb#1098)
	       Thanks to Jeffrey Thomas Peckham

Wed Sep 17 10:59:48 CEST 2008 (tk)
----------------------------------
  * libclamav/mbox.c: mail-follow-urls was not RFC compliant (bb#1192)

Sun Sep 14 17:20:14 EEST 2008 (edwin)
-------------------------------------
  * clamd/thrmgr.c: fix valgrind warning (bb #1184)
  * unit_tests: add more valgrind tests, add a reload and a multiscan test (bb #1092)

Thu Sep 11 21:46:48 CEST 2008 (tk)
----------------------------------
  * libclamav/pdf.c: fix write error with specific files (bb#1181)

Thu Sep 11 13:16:22 EEST 2008 (edwin)
-------------------------------------
  * build system: allow 'make check' to work even if check is not installed
		  by skipping checks that require it. (bb #1157)
		  if configure is not able to find check, you can use
		  --with-libcheck-prefix, instead of CHECK_CFLAGS and
		  CHECK_LIBS.

Wed Sep 10 20:05:27 CEST 2008 (tk)
----------------------------------
  * configure: use getaddrinfo() whenever available (can be disabled
	       with --disable-getaddrinfo); --disable-ipv6 now only
	       disables support for IPv6 addresses in getaddrinfo() (bb#1165)

Wed Sep 10 18:10:47 CEST 2008 (acab)
------------------------------------
  * build system: libtool updated to 2.2.6 
		  re-enable building on Mac OS X 10.4.11 - bb#1162

Mon Sep  8 16:10:48 CEST 2008 (tk)
----------------------------------
  * clamd/server-th.c: fix handling of pthread_attr_init/pthread_create in
		       ClamukoScanOnAccess (bb#1169)

Thu Sep  4 12:53:44 EEST 2008 (edwin)
-------------------------------------
 * configure: fix bzip2 cve test link problems (bb #1158)

Tue Sep  2 15:11:53 CEST 2008 (tk)
----------------------------------
  * V 0.94

Mon Sep  1 20:24:43 CEST 2008 (tk)
----------------------------------
  * libclamav/others.c: bump f-level

Mon Sep  1 20:19:57 CEST 2008 (tk)
----------------------------------
  * docs: update

Mon Sep  1 19:31:08 CEST 2008 (tk)
----------------------------------
  * libclamav/message.c, mbox.c: fix out-of-memory null dereference in
  mbox/message (bb#1141)
  Patch from Edwin

Mon Sep  1 19:27:55 CEST 2008 (tk)
----------------------------------
  * libclamav/chmunpack.c: fix possible invalid memory access (bb#1089)
			   Patch from Trog

Mon Sep  1 10:57:56 EEST 2008 (edwin)
------------------------------------ 
  * libclamav/scanners.c: enable scanscript for UTF* types too

Sun Aug 31 15:31:04 CEST 2008 (acab)
------------------------------------
  * libclamav/disasm, unit_tests: more endianess issues fixed (that should eb all)

Sun Aug 31 04:23:12 CEST 2008 (acab)
------------------------------------
  * libclamunrar/unrarvm.c: big-endian fixes

Sat Aug 30 01:29:51 CEST 2008 (tk)
----------------------------------
  * libclamav/dlp.c: limit number of false positive alerts
  * clamd, clamscan: don't scan for stripped SSNs by default

Fri Aug 29 12:29:32 CEST 2008 (tk)
----------------------------------
  * libclamav/dlp.c: credit card detection fixes
  * clamd, clamscan: minCC and minSSN counts now set by default to 3

Fri Aug 29 02:46:19 CEST 2008 (acab)
------------------------------------
  * clamav-milter: Add option "--no-check-cf" to bypass sendmail.cf sanity
		   checks. For use by package maintainers on fresh installs,
		   when sendmail.cf is present for any reason although it's
		   not used or when the milter is configured via an m4 file
		   included in sendmail.cf. This option is intentionally
		   not extensively documented (bb#726)

Thu Aug 28 15:13:07 CEST 2008 (acab)
------------------------------------
  * unit_tests/check_disasm: add the remaining test cases (fpu, prefixes and more)

Thu Aug 28 12:55:19 CEST 2008 (acab)
------------------------------------
  * unit_tests/check_disasm: test cases for most mrm (and others)

Tue Aug 26 02:52:10 CEST 2008 (acab)
------------------------------------
  * libclamav/disasm*; unit_tests/check_disasm: some fixes, work in progress

Mon Aug 25 23:52:04 CEST 2008 (tk)
----------------------------------
  * drop support for Cygwin (due to broken ClamAV builds)

Mon Aug 25 22:17:03 CEST 2008 (tk)
----------------------------------
  * man/freshclam.1.in: fix typo (bb#1147)

Mon Aug 25 16:03:44 CEST 2008 (tk)
----------------------------------
  * libclamav: drop obsolete code in matcher-ac

Sun Aug 24 23:51:48 CEST 2008 (tk)
----------------------------------
  * libclamav/unrar.c: improve handling of currupted archives and downgrade
		       some error messages

Sat Aug 23 22:18:47 CEST 2008 (tk)
----------------------------------
  * shared/misc.c: fix double "-exp"

Fri Aug 22 15:20:08 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: fix warnings - bb#1142

Fri Aug 22 12:33:58 CEST 2008 (acab)
------------------------------------
  * clamav-milter/clamav-milter.c: missing proto

Thu Aug 21 13:29:22 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: fix error path memleaks - bb#1141

Thu Aug 21 13:24:17 CEST 2008 (tk)
----------------------------------
  * shared/tar.c: fix invalid close on error path - bb#1141

Thu Aug 21 13:22:29 CEST 2008 (tk)
----------------------------------
  * libclamav/others.c: fix fd feak on error path - bb#1141

Wed Aug 20 20:09:11 CEST 2008 (acab)
------------------------------------
  * libclamav/sis.c: fix fd feak on error path - bb#1141

Wed Aug 20 10:54:24 CEST 2008 (tk)
----------------------------------
  * clamd/clamd.c: return an error (instead of a warning) if
    AllowSupplementaryGroups is enabled but initgroups() not available

Mon Aug 18 12:01:10 CEST 2008 (tk)
----------------------------------
  * libclamunrar_iface, libclamav: improve detection of encrypted RAR archives
  (bb#1134)

Sun Aug 17 19:30:25 CEST 2008 (tk)
----------------------------------
  * clamd/server-th.c: add missing proto for cli_initengine() (bb#1136)

Sat Aug 16 19:58:30 CEST 2008 (tk)
----------------------------------
  * V 0.94rc1

Thu Aug 14 18:19:54 CEST 2008 (acab)
------------------------------------
  * libclamav/str.c: fix for cli_hex2str - bb#1133

Tue Aug 12 13:16:00 CEST 2008 (acab)
------------------------------------
  * clamscan/manager.c: add missing proto

Tue Aug 12 00:08:05 CEST 2008 (acab)
------------------------------------
  * m4/resolv.m4: fix logic in -lresolv checks

Mon Aug 11 17:53:03 CEST 2008 (acab)
------------------------------------
  * libclamav/pdf.c: count skipped files too - bb#1128

Sun Aug 10 18:07:43 CEST 2008 (acab)
------------------------------------
  * unit_tests: check for check version

Sun Aug 10 17:46:12 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: add machine/OS info to the default user agent string

Thu Aug  7 14:27:44 CEST 2008 (tk)
----------------------------------
  * unit_tests/check_matchers.c: add tests for cli_(ac|bm)_scanbuff

Wed Aug  6 02:15:39 CEST 2008 (acab)
------------------------------------
  * libclamav/unzip.c: fix incorrect debug spam which misleaded poor sigmakers

Wed Aug  6 02:11:12 CEST 2008 (acab)
------------------------------------
  * build system, clamav-milter: work around for non MT lresolv (bb#1125)

Tue Aug  5 13:14:31 CEST 2008 (acab)
------------------------------------
  * clamav-milter: properly wrap dns stuff (again) - bb#1125

Tue Aug  5 12:43:27 CEST 2008 (acab)
------------------------------------
  * clamav-milter: properly wrap dns stuff - bb#1125

Mon Aug  4 22:07:54 CEST 2008 (tk)
----------------------------------
  * libclamav/ole2_extract: don't return CL_BREAK in cli_ole2_extract()
  (bb#1123)

Mon Aug  4 16:46:46 EEST 2008 (edwin)
-------------------------------------
  * clamdscan: add support for file descriptor passing (from
  contrib/clamd_fdscan) (bb #1117)

Mon Aug  4 02:40:33 CEST 2008 (acab)
------------------------------------
  * test: add clam.impl.zip

Mon Aug  4 01:46:54 CEST 2008 (acab)
------------------------------------
  * unit_tests: add uniq checks

Mon Aug  4 00:20:28 CEST 2008 (acab)
------------------------------------
  * test: add clam.ole.doc

Sun Aug  3 23:09:44 CEST 2008 (acab)
------------------------------------
  * libclamav/uniq: faster md5 lookup
  * sigtool: sync

Sun Aug  3 16:12:17 CEST 2008 (acab)
------------------------------------
  * libclamav: use md5 based lookup for ole2/vba instead of hashtab (bb#1071)

Fri Aug  1 21:29:33 CEST 2008 (tk)
----------------------------------
  * clamconf: handle multiple select options

Fri Aug  1 02:15:20 CEST 2008 (acab)
------------------------------------
  * libclamav: enable support for UPX/LZMA (bb#910)

Fri Aug  1 00:07:30 CEST 2008 (tk)
----------------------------------
  * libclamav: scan disasm data with type-8 sigs (bb#895)

Thu Jul 31 18:09:58 CEST 2008 (tk)
----------------------------------
  * libclamav: add support for loading specific PUA categories (bb#939)
  * clamd: new options ExcludePUA and IncludePUA
  * clamscan: new switches --exclude-pua and --include-pua

Thu Jul 31 13:35:11 EEST 2008 (edwin)
-------------------------------------
  * clamd, clamscan, libclamav: new option HeuristicScanPrecedence (bb #649)
  * docs/: update docs for HeuristicScanPrecedence and ScanPartialMessages
  * unit_tests/: add test for HeuristicScanPrecedence

Thu Jul 31 04:01:02 CEST 2008 (acab)
------------------------------------
  * libclamav/upx: add preliminar support for upx/lzma (disabled)

Wed Jul 30 20:09:03 EEST 2008 (edwin)
-------------------------------------
  * clamd/others.c: avoid calling non-async-signal-safe functions between fork()
  and exec() (bb #889)
  * unit_tests: add unit-test for virusaction

Wed Jul 30 17:02:40 CEST 2008 (tk)
----------------------------------
  * clamscan, clamav-milter: catch and ignore SIGXFSZ; display warning if
			     system limits are too restrictive (bb#994)

Wed Jul 30 16:38:26 EEST 2008 (edwin)
-------------------------------------
  * clamd, libclamav, shared: (bb #913, #916)
	* fix scan of partial messages
	* allow for tempfiles to be cleaned up based on age
	* new clamd.conf option ScanPartialMessages
  * contrib/cleanup-partial.pl: sample cleanup script
  * clamd/thrmgr.c: fix item_count

Tue Jul 29 23:18:23 CEST 2008 (tk)
----------------------------------
  * clamd: revert patch from bb#1028 (bb#1113)

Tue Jul 29 13:18:24 EEST 2008 (edwin)
------------------------------------
  * libclamav/regex_*.[ch]: handle multiple matches (bb #1110)
  * unit_tests: update tests for regex, reenable test 

Tue Jul 29 10:47:23 CEST 2008 (tk)
----------------------------------
  * libclamav/matcher-ac.c: add support for returning multiple matches in
			    cli_ac_scanbuff()

Tue Jul 29 10:29:54 EEST 2008 (edwin)
-------------------------------------
  * configure.in: check for <sys/select.h> before <sys/types.h> (bb #452)

Tue Jul 29 03:53:31 CEST 2008 (acab)
------------------------------------
  * libclamav/disasm.c: change output struct
  * unit_tests/check_disasm.c: actually check something (more to come)

Tue Jul 29 02:44:53 CEST 2008 (acab)
------------------------------------
  * test: add clam.d64.zip

Tue Jul 29 02:18:11 CEST 2008 (acab)
------------------------------------
  * libclamav/autoit.c: rely on generic text normalization for
  			unicode scripts
  * test: add clam.ea05.exe, clam.ea06.exe

Mon Jul 28 21:04:53 CEST 2008 (acab)
------------------------------------
  * unit_tests: preliminary disasm tests

Mon Jul 28 15:05:01 CEST 2008 (acab)
------------------------------------
  * libclamav/pe.c: fix fd leak - thx sherpya

Mon Jul 28 12:50:54 CEST 2008 (tk)
----------------------------------
  * database/Makefile.am: add check for .cld files (bb#1088)

Sun Jul 27 23:18:47 CEST 2008 (acab)
------------------------------------
  * misc fixes: add some missing checks for pthread api calls (bb#384)

Sun Jul 27 21:35:04 CEST 2008 (acab)
------------------------------------
  * libclamav/unzip: workaround for non-mmap builds (bb#900)

Sun Jul 27 18:09:23 CEST 2008 (acab)
------------------------------------
  * libclamav: preliminary x86 disassembler support

Sat Jul 26 18:41:40 CEST 2008 (tk)
----------------------------------
  * sigtool/sigtool.c: handle .ldb/.ldu files (bb#896)

Sat Jul 26 17:30:02 CEST 2008 (tk)
----------------------------------
  * libclamav: lsigs: handle extended block modifiers (bb#896)

Fri Jul 25 20:41:21 CEST 2008 (tk)
----------------------------------
  * libclamav: add initial support for logical signatures (bb#896)

Fri Jul 25 02:24:53 CEST 2008 (acab)
------------------------------------
  * libclamav/scanners.c: warn if no bzip2 support - bb#1060

Wed Jul 23 23:44:59 CEST 2008 (tk)
----------------------------------
  * freshclam/mirman.c: fix handling of IPv6 addresses

Wed Jul 23 21:53:10 CEST 2008 (acab)
------------------------------------
  * clamav-milter: use thread safe resolv calls - bb#668 

Wed Jul 23 16:32:32 EEST 2008 (edwin)
------------------------------------
  * libclamav: performance improvements for URL matching (bb #725, bb #650):
	* use a suffix AC-trie and a shift-or FSM to filter
	* rewrite the URL regex in C
	* use a perfect hash to lookup TLD and ccTLD, instead of a regex
	* TODO: suffixes having a common prefix: loop over all of them
		cli_ac_free: multiple virname pointing to same location

Mon Jul 21 12:16:44 CEST 2008 (tk)
----------------------------------
  * sigtool/vba.c: fix crash on error in vba code (bb#1106)

Fri Jul 18 19:33:41 CEST 2008 (tk)
----------------------------------
  * libclamav: use a regex for the filename field in .zmd/.rmd (bb#193)

Fri Jul 18 18:25:32 CEST 2008 (tk)
----------------------------------
  * freshclam/freshclam.c: improve some msgs (bb#1066)

Fri Jul 18 18:09:11 CEST 2008 (tk)
----------------------------------
  * clamd: add support for ExcludePath (bb#675)

Wed Jul 16 17:52:12 CEST 2008 (tk)
----------------------------------
  * clamconf: handle .cld databases (bb#1101)

Wed Jul 16 16:33:08 CEST 2008 (tk)
----------------------------------
  * clamd: improve handling of memory errors

Wed Jul 16 13:56:21 CEST 2008 (tk)
----------------------------------
  * freshclam: if all mirrors get blacklisted internally and freshclam is
	       recent enough then attempt to whitelist them (bb#965)

Tue Jul 15 17:30:01 CEST 2008 (tk)
----------------------------------
  * libclamav, clamd: prune old lockdb code

Tue Jul 15 18:25:53 EEST 2008 (edwin)
-------------------------------------
  * configure.in:
	* use pkg-config to locate check, if available (bb #1093)
	* make --enable-coverage depends on unit tests being activated
	* fix a typo in bzip2 configure check
  * unit_tests/Makefile.am: remove temporary log files on make clean

Mon Jul 14 22:09:22 EEST 2008 (edwin)
-------------------------------------
  * libclamav/htmlnorm.c: fix crash in js parser (bb #1096)
  * configure.in: fix configure test for check: if it is not available, and we didn't pass
		  --enable-check, do not complain
  * unit_tests/check_jsnorm.c: add unit test for jsnorm bug

Mon Jul 14 18:54:01 CEST 2008 (tk)
----------------------------------
  * freshclam: try load balance update sessions between available mirrors
	       (only in IPv6-aware block)

Mon Jul 14 17:26:03 EEST 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.c: improve normalization of screnc encoded files(bb #1022)

Mon Jul 14 13:57:15 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: fix rename() problem on w32 (bb#1084)

Mon Jul 14 10:47:22 CEST 2008 (tk)
----------------------------------
  * freshclam/mirman.c: fix compilation error on w32 (bb#1095)

Mon Jul 14 10:32:26 CEST 2008 (tk)
----------------------------------
  * freshclam/manager.c: respect HTTPProxyPort in new code (bb#1094)

Fri Jul 11 20:14:14 CEST 2008 (tk)
----------------------------------
  * freshclam: IPv6 support (bb#715)
  * configure: --disable-ipv6

Thu Jul 10 19:41:37 EEST 2008 (edwin)
-------------------------------------
 * unit_tests/: add unit tests for binaries
 * build system: enable unit tests by default (if check is available)
		 add --enable-coverage to run gcov/lcov
		 add --enable-tests-install to install test files 

Thu Jul 10 16:02:50 EEST 2008 (edwin)
------------------------------------
 * unit_tests/:
	avoid misleading message when unit tests are disabled (bb #1090)
	fix some compiler warnings

Tue Jul  8 21:33:32 EEST 2008 (edwin)
-------------------------------------
  * libclamav/Makefile.am, libclamav/jsparse, unit_test/:
	add all needed files to EXTRA_DIST (to fix make distcheck)
	create unit tests for js normalizer
	cleanups

Tue Jul  8 17:54:19 CEST 2008
-----------------------------
  * libclamav/petite.c: fix another out of bounds memory read (bb#1000)
			Reported by Secunia (CVE-2008-2713)

Tue Jul  8 17:54:12 CEST 2008
-----------------------------
  * clamd/others.c: add missing checks for recv() failures (bb#1079)

Tue Jul  8 14:06:05 EEST 2008 (edwin)
-------------------------------------
  * libclamav/dconf.[ch], htmlnorm.c, jsparse/js-norm.[ch], scanners.c:
	  enable JS normalizer 

Mon Jul  7 21:42:18 EEST 2008 (edwin)
-------------------------------------
  * build system, libclamav/jsparse: add Javascript normalizer (not yet enabled)

Mon Jul  7 15:41:02 CEST 2008 (tk)
----------------------------------
  * libclamav/ole2_extract.c, sigtool: make sigtool compatible with the new
				       OLE2 scan scheme (bb#1086)

Fri Jul  4 18:04:40 CEST 2008 (tk)
----------------------------------
  * configure, clamd: fix compilation error on systems without
		      pthread_yield() (bb#1058)

Fri Jul  4 14:21:12 CEST 2008 (tk)
----------------------------------
  * libclamav/dlp.c: improve detection of credit card numbers (bb#941)

Thu Jul  3 16:02:03 EEST 2008 (edwin)
-------------------------------------
  * libclamav/scanners.c: add missing check for file open failure (bb #1083).

Thu Jul  3 12:47:38 CEST 2008 (tk)
----------------------------------
  * libclamav: add ".UNOFFICIAL" suffix to 3rd party signatures (bb#1061)

Wed Jul  2 13:24:25 CEST 2008 (tk)
----------------------------------
  * sigtool/sigtool.c: make use of the UNLINK command in cdiffs (bb#1080)

Wed Jul  2 12:43:46 CEST 2008 (tk)
----------------------------------
  * sigtool/sigtool.c: verify MD5's in --run-cdiff

Mon Jun 30 21:14:03 EEST 2008 (edwin)
------------------------------------
  * freshclam/manager.c: add missing closesocket on error path (bb #1073).

Mon Jun 16 23:43:31 EEST 2008 (edwin)
-------------------------------------
  * libclamav/hashtab.[ch]: hashtab_insert should return pointer to newly
  inserted element. Fix grow bug.

Fri Jun 13 13:10:15 CEST 2008 (tk)
----------------------------------
  * libclamav/matcher-ac.c: fix handling of nodes which also match single
			    bytes (bb#1054)

Fri Jun 13 02:01:15 CEST 2008 (tk)
----------------------------------
  * shared/cfgparser.c: handle memory errors in OPT_COMPSIZE

Tue Jun 10 18:18:42 CEST 2008 (tk)
----------------------------------
  * clamscan: drop support for external unpackers (bb#1052)

Mon Jun  9 20:31:50 CEST 2008 (tk)
----------------------------------
  * sync with 0.93.1

Tue Jun  3 23:37:50 CEST 2008 (tk)
----------------------------------
  * test: add clam.mail, clam.ppt and clam.tnef (bb#902)

Tue Jun  3 19:41:34 CEST 2008 (tk)
----------------------------------
  * clamd/thrmgr.c: move some msgs to debug (bb#1028)

Mon Jun  2 20:50:10 CEST 2008 (acab)
------------------------------------
  * libclamav/ole2_extract.c: comment removed

Mon Jun  2 18:31:53 CEST 2008 (tk)
----------------------------------
  * clamd/scanner.c: log IP addresses of remote clients (bb#966)
		     Patch from Jorge Valdes <jvaldes*intercom.com.sv>

Mon Jun  2 17:49:50 CEST 2008 (tk)
----------------------------------
  * clamdscan/clamdscan.c: don't show scan summary when clamd cannot be
			   contacted (bb#1041)

Mon Jun  2 17:59:15 EEST 2008 (edwin)
-------------------------------------
  * libclamav/hashtab.[ch], scanners.c: avoid using C99 flexible array members
  (bb #1039)

Mon Jun  2 14:57:31 CEST 2008 (tk)
----------------------------------
  * freshclam: in interactive mode EXIT_n can be passed to --on-*-execute
	       to overwrite the default return code values (bb#465)

Mon Jun  2 13:09:57 CEST 2008 (tk)
----------------------------------
  * clamd: minimize memory fragmentation after db reload (bb#1028,
	   OPTIMIZE_MEMORY_FOOTPRINT currently defined by default)
	   Patch from LEE, Kok-Seng <kokseng*88pobox.com>

Fri May 30 11:40:56 CEST 2008 (tk)
----------------------------------
  * libclamunrar_iface, clamd, freshclam: merge win32 patches from NJH (bb#802)

Wed May 28 03:49:55 CEST 2008 (acab)
------------------------------------
  * docs/man: typo

Tue May 27 21:43:04 CEST 2008 (acab)
------------------------------------
  * libclamav/ole2_extract.c: allow (partial) scan of broken ole files

Tue May 27 17:39:06 CEST 2008
-----------------------------
  * improve handling of PDF, CAB, RTF, OLE2 and HTML files (sync with
    branch/0.93)

Sat May 24 21:38:47 EEST 2008 (edwin)
-------------------------------------
  * clamd/others.c, session.c, m4/fdpassing.m4:
	remove duplicate code, and fix build error (bb #1034)

Wed May 21 15:51:32 CEST 2008 (tk)
----------------------------------
  * freshclam/fresclam.c: don't call daemonize() under w32 (bb#1002)

Wed May 21 14:54:04 CEST 2008 (tk)
----------------------------------
  * test/Makefile.am: compatibility with pmake (bb#1018)

Mon May 19 17:44:32 CEST 2008 (tk)
----------------------------------
  * libclamav/cvd.c: fix initialization of dbio

Sun May 18 22:39:00 CEST 2008 (tk)
----------------------------------
  * libclamav: faster loading of uncompressed .cld files

Fri May 16 10:23:01 EEST 2008 (edwin)
------------------------------------
  * libclamav/readdb.c, str.c: improve DB load time

Mon May 12 15:31:13 CEST 2008 (acab)
------------------------------------
  * clamd/server-th.c: minor fixes (bb#384)

Sat May 10 10:18:41 EEST 2008 (edwin)
-------------------------------------
  * clamd/session.c: fix dummy prototype (bb #1019)

Fri May  9 23:11:51 EEST 2008 (edwin)
-------------------------------------
  * build system: add configure checks for FD passing
  * m4/fdpassing.m4: move all FD passing checks here
  * clamd/session.[ch], scanner.[ch]:
  * contrib/clamd_fdscan:
	add rfc2292/bsd4.4 style file descriptor passing support
	this code is from Marc Balmer <marc*msys.ch>, with some portability
	fixes applied

Fri May  9 14:46:57 EEST 2008 (edwin)
-------------------------------------
  * contrib/init/RedHat: check for already running clamav-milter (bb #823)

Fri May  9 13:58:27 EEST 2008 (edwin)
-------------------------------------
  * libclamav/regex: avoid name collisions on AIX (bb #947)
                     sync with libc: minor cleanups 

Wed May  7 11:51:54 CEST 2008 (tk)
----------------------------------
  * clamscan: new switches --structured-ssn-format, --structured-ssn-count,
	      --structured-cc-count (bb#959)

Tue May  6 19:10:56 CEST 2008 (tk)
----------------------------------
  * test: add more test files: clam-mew.exe, clam-nsis.exe, clam-petite.exe,
	  clam-upack.exe, clam-wwpack.exe, clam.pdf (bb#902)

Mon May  5 20:28:22 CEST 2008 (acab)
------------------------------------
  * build system: revert r3808 to allow building on *BSD - bb#1010

Mon May  5 15:32:42 CEST 2008 (tk)
----------------------------------
  * doc/clamdoc.tex: add a note about forking daemons (bb#906)

Sun May  4 21:57:33 EEST 2008 (edwin)
------------------------------------
  * libclamav/Makefile.am: link .la files first, this
	should avoid linking to old libclamav as in bb #931

Sat May  3 14:46:41 CEST 2008 (tk)
----------------------------------
  * libclamav/readdb.h: read daily.cfg stored inside .cld containers (bb#1006)

Fri May  2 20:09:56 EEST 2008 (edwin)
------------------------------------
  * libclamav/mbox.c, shared/network.c: prevent uninitialized use of hostent
  structure (bb #1003).

Wed Apr 30 14:44:18 CEST 2008 (tk)
----------------------------------
  * libclamav/chmunpack.c: fix unlink failure on win32 (bb#951)

Wed Apr 30 14:15:53 CEST 2008 (tk)
----------------------------------
  * libclamav/mspack.c: downgrade some error messages (bb#911)

Wed Apr 30 12:35:29 CEST 2008 (tk)
----------------------------------
  * clamav-milter: retrieve db version from daily.cld (bb#942)

Tue Apr 29 18:53:51 CEST 2008 (acab)
------------------------------------
  * libclamav/unzip.c: check for unprefixed bz2 - bb#990

Tue Apr 29 15:04:11 CEST 2008 (acab)
------------------------------------
  * doc/man/freshclam.1.in: english typo - thanks Stephen Gran

Tue Apr 29 13:37:11 CEST 2008 (acab)
------------------------------------
  * clamav-milter: doc update

Tue Apr 29 13:31:03 CEST 2008 (acab)
------------------------------------
  * clamav-milter: add an option to avoid sanitising email addresses - bb#953

Tue Apr 29 13:08:43 CEST 2008 (acab)
------------------------------------
  * clamav-milter: fix iana reserved localnet masks - bb#958

Mon Apr 28 16:25:08 CEST 2008 (acab)
------------------------------------
  * libclamav/unzip.c: check for unprefixed bz2 - bb#995

Mon Apr 28 16:14:39 CEST 2008 (acab)
------------------------------------
  * libclamav/inflate64: avoid collisions on AIX - bb#947

Mon Apr 28 16:13:33 CEST 2008 (tk)
----------------------------------
  * libclamav/scanners.c: don't return CL_EMAX* error codes to
			  applications (bb#1001)

Mon Apr 28 13:48:36 CEST 2008 (tk)
----------------------------------
  * clamscan/manager.c: print information about clean files when the RAR
			code is not compiled-in (bb#999)

Mon Apr 28 12:37:31 CEST 2008 (tk)
----------------------------------
  * libclamav/unzip.c: remove detection of Suspect.Zip and
		       Exploit.Zip.ModifiedHeaders (bb#997)

Thu Apr 24 20:02:50 CEST 2008 (acab)
------------------------------------
  * clamav-milter: accept -i for --pidfile as advertised - bb#988

Wed Apr 23 03:44:28 CEST 2008 (acab)
------------------------------------
  * build system: do not lint pthreads where it's not needed (thanks sgran)

Mon Apr 21 17:25:41 EEST 2008 (edwin)
-------------------------------------
  * configure: explicitly link freshclam with zlib, better zlib checks (bb
  #935)

Mon Apr 21 16:21:56 CEST 2008 (tk)
----------------------------------
  * libclamav/cvd.c: add work-around for zlib issues with mixed data (bb#932)

Mon Apr 21 11:28:38 CEST 2008 (tk)
----------------------------------
  * libclamav/others.h: explicitely cast some constants (bb#936)

Sun Apr 20 19:09:00 CEST 2008 (tk)
----------------------------------
  * sigtool/sigtool.c: bb#938 (sigtool --list-sigs not working with .cld files)

Fri Apr 18 18:33:59 CEST 2008 (tk)
----------------------------------
  * libclamav: DLP: dconf support; pass flags through scan options
  * clamd: new options: StructuredDataDetection, StructuredMinCreditCardCount,
	   StructuredMinSSNCount, StructuredSSNFormatNormal,
	   StructuredSSNFormatStripped
  * etc/clamd.conf, docs/man/clamd.conf.5.in: update
  * TODO: add DLP fine-tuning options to clamscan

Fri Apr 18 13:55:41 EEST 2008 (edwin)
-------------------------------------
  * libclamav/dconf.h: fix flag code assignment (bb #952)

Wed Apr 16 20:10:17 CEST 2008 (tk)
----------------------------------
  * libclamav: integrate the DLP code from Marty Roesch
  * clamscan: new switch --detect-structured
  * TODO: clamd, docs, dconf, fine-tuning options

Wed Apr 16 19:32:12 CEST 2008 (acab)
------------------------------------
  * configure: check for bzip2 CVE-2008-1372 - bb#903

Tue Apr 15 18:34:11 CEST 2008 (acab)
------------------------------------
  * test: add clam-fsg.exe (bb#902)

Mon Apr 14 22:46:17 EEST 2008
-----------------------------
  * libclamav/iana_tld.h, libclamav/phishcheck.c: update TLD list (bb #925)

Mon Apr 14 21:35:11 CEST 2008 (tk)
----------------------------------
  * Check in 0.93 patches:
    - libclamunrar: bb#541 (RAR - Version required to extract - Evasion)
    - libclamav/spin.c: bb#876 (PeSpin Heap Overflow Vulnerability)
    - libclamav/pe.c: bb#878 (Upack Buffer Overflow Vulnerability)
    - libclamav/message.c: bb#881 (message.c: read beyond allocated region)
    - libclamav/unarj.c: bb#897 (ARJ: Sample from CERT-FI hangs clamav)
    - libclamunrar: bb#898 (RAR crashes on some fuzzed files from CERT-FI)

Mon Apr 14 13:19:17 CEST 2008 (tk)
----------------------------------
  * test: add clam-aspack.exe, clam-pespin.exe and clam-upx.exe (bb#902)

Fri Apr 11 18:40:41 CEST 2008 (tk)
----------------------------------
  * test: add clam.chm and clam.sis (bb#902)

Fri Apr 11 12:15:54 CEST 2008 (tk)
----------------------------------
  * test/Makefile.am: new Makefile

Wed Apr  9 16:33:21 EEST 2008 (edwin)
-------------------------------------
  * libclamav/mbox.c: mark PARTIAL_DIR as experimental code

Tue Apr  8 22:27:11 EEST 2008 (edwin)
-------------------------------------
  * libclamav/mspack.[ch]: fix build on NetBSD 4.0 (bb #921)

Tue Apr  8 19:04:50 CEST 2008 (acab)
------------------------------------
  * libclamav: hardfail on unlink failure

Mon Apr  7 22:38:27 CEST 2008 (tk)
----------------------------------
  * libclamav/msexpand.c: fix big-endian support

Mon Apr  7 16:04:47 EEST 2008 (edwin)
-------------------------------------
  * libclamav, unit-tests: use packed attribute for unaligned access, bb #890.

Mon Apr  7 12:51:43 CEST 2008 (tk)
----------------------------------
  * libclamav: scan for embedded PEs inside OLE2 files (bb#914)

Mon Apr  7 11:15:49 CEST 2008 (tk)
----------------------------------
  * libclamav/chmunpack.c,cab.c: downgrade some error messages (bb#911, bb#798)

Sun Apr  6 12:33:25 CEST 2008 (acab)
------------------------------------
  * libclamav/pe.c: make petite softfail as it's really reading unaligned data

Sun Apr  6 12:19:47 CEST 2008 (acab)
------------------------------------
  * libclamav/pe.c: make upack softfail as it's really reading unaligned data

Thu Apr  3 15:03:18 EEST 2008 (edwin)
-------------------------------------
  * unit_tests/Makefile.am/.in: fix typo that caused 'make tags' to fail.

Thu Apr  3 13:52:19 CEST 2008 (tk)
----------------------------------
  * libclamav/mspack.c: fix possible infinite loop introduced in r3717 (bb#899)

Wed Apr  2 22:54:23 CEST 2008 (tk)
----------------------------------
  * libclamav/scanners.c: cl_scandesc: check if limits is not null (bb#907)
  * clamd/scanners.c: remove RAWSCAN command (bb#907)

Wed Apr  2 16:38:36 CEST 2008 (acab)
------------------------------------
  * libclamav: check return codes from syscalls (bb#384)

Wed Apr  2 16:34:43 CEST 2008 (tk)
----------------------------------
  * libclamav: update copyrights and stick more files to GPLv2; move and add
	       more credits to the AUTHORS file; add COPYING.BSD

Wed Apr  2 12:30:06 CEST 2008 (acab)
------------------------------------
  * libclamav: check return codes from syscalls (bb#384) - unlink

Thu Mar 27 20:16:07 EET 2008 (edwin)
------------------------------------
  * test: add test file for RTF (bb #902)

Thu Mar 27 18:16:28 CET 2008 (tk)
---------------------------------
  * test: add test files for ARJ, SZDD and .tar.gz (bb#902)

Tue Mar 25 01:55:19 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis: typoes - bb#894

Mon Mar 24 21:22:16 EET 2008 (edwin)
-----------------------------------
  * libclamav/str.c: cli_warnmsg -> cli_dbgmsg (bb #892)

Mon Mar 24 20:30:34 EET 2008 (edwin)
------------------------------------
  * libclamav/mbox.c, message.c: cli_warnmsg -> cli_dbgmsg (bb #880),
	don't handle multipart/encrypted specially

Mon Mar 24 19:31:10 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis: a cleaner approach to bb#844 and bb#888

Fri Mar 21 23:14:31 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis: only insists to unpack for LZMA
  		    partially reverts r3705 - bb#888

Fri Mar 21 03:31:16 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis/bzip2: sync to upstream 1.0.5

Thu Mar 20 21:27:22 CET 2008 (tk)
---------------------------------
  * doc/signatures.[pdf,tex]: update documentation

Thu Mar 20 21:06:30 CET 2008 (acab)
-----------------------------------
 * libclamav/blob.[ch]: Fix for "bad file descriptor" under win32, properly
			 generate tempfiles, huge cleanup

Thu Mar 20 20:55:37 CET 2008 (acab)
-----------------------------------
  * libclamav: Remove fsync()'s. Win32 ports should greatly benefit from it
  		Please report problems. - bb#844

Thu Mar 20 12:16:13 CET 2008 (tk)
---------------------------------
  * clamdscan/client.c: some messages were being printed twice (bb#884)

Tue Mar 18 23:55:49 EET 2008 (edwin)
------------------------------------
  * libclamav/scanners.c: debug message for html tempfiles

Tue Mar 18 15:47:47 CET 2008 (tk)
---------------------------------
  * docs/clamdoc.*: various documentation updates
  * examples/ex1.c: update to new limits

Tue Mar 18 13:35:00 EET 2008 (edwin)
------------------------------------
  * libclamav/entconv.c: fix memory leak (patch from TK)

Tue Mar 18 11:25:00 CET 2008 (tk)
---------------------------------
  * libclamav/mspack.c: fix handling of MSZIP compressed folders (bb#882)

Mon Mar 17 17:25:44 EET 2008 (edwin)
------------------------------------
  * libclamav/message.c: degrade some warning messages to debug (bb #880).

Mon Mar 17 16:43:23 EET 2008 (edwin)
-----------------------------------
  * libclamav/others.c: check ctime return value (bb #869).

Thu Mar 13 10:50:36 CET 2008 (tk)
---------------------------------
  * unit_tests: add initial support for unit tests; based on a patch by
		Brian Caswell <bmc*sourcefire.com>

Mon Mar 10 19:40:25 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis: unpack broken files too - bb#873

Mon Mar 10 13:54:42 CET 2008 (tk)
---------------------------------
  * libclamav/pdf.c: --leave-temps didn't work without --debug (bb#874)

Sun Mar  9 12:28:22 EET 2008 (edwin)
------------------------------------
  * libclamav/regex/regex2.h: avoid passing out-of-range values to isalnum (thanks Nigel)

Fri Mar  7 15:10:47 CET 2008 (tk)
---------------------------------
  * Makefile.am,libclamav/lzma/Makefile.am: add licence texts to EXTRA_DIST
  * libclamunrar/Makefile.am,libclamunrar_iface/Makefile.am: move EXTRA_DIST
    outside conditional block

Thu Mar  6 20:24:54 CET 2008 (tk)
---------------------------------
  * libclamav: always check return value of cli_gentemp()

Mon Mar  3 19:46:41 CET 2008 (tk)
---------------------------------
  * V 0.93rc1

Mon Mar  3 19:17:46 CET 2008 (tk)
---------------------------------
  * libclamav/others.c: bump f-level
  * docs: update

Mon Mar  3 11:19:25 CET 2008 (tk)
---------------------------------
  * libclamav/pdf.c: fix handling of md5 digests (bb#866)

Thu Feb 28 19:36:55 CET 2008 (tk)
---------------------------------
  * clamscan/manager.c: honour --unrar when libclamunrar is not compiled in

Wed Feb 27 19:53:18 EET 2008 (edwin)
-----------------------------------
  * libclamav/htmlnorm.c: more improvements to script end tag detection

Wed Feb 27 16:42:27 CET 2008 (tk)
---------------------------------
  * libclamav/cab.c: fix handling of stored files

Wed Feb 27 16:59:54 EET 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.c: don't add newline between script tags.

Wed Feb 27 12:17:19 CET 2008 (tk)
---------------------------------
  * libclamav/untar.c: fix fd check

Wed Feb 27 09:29:23 GMT 2008 (njh)
---------------------------------
  * libclamav/vba_extract.c:	Minor code tidy

Tue Feb 26 23:21:59 EET 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.c: better script end detection

Tue Feb 26 22:36:38 EET 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.c: change ' to " inside scripts

Tue Feb 26 17:51:50 CET 2008 (acab)
-----------------------------------
  * libclamav/explode.c: fix possible uninit variable - thx TK

Tue Feb 26 14:08:13 CET 2008 (tk)
---------------------------------
  * libclamav/filetypes_int.h: add a generic sig to detect emails without
			       the Content-Type: field (bb#863); the signature
			       will be also provided in daily.cvd:6004

Tue Feb 26 12:06:48 EET 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.c: strip spaces from scripts, normalize screnc

Mon Feb 25 13:01:46 EET 2008 (edwin)
------------------------------------
  * revert the Makefile changes in r3671.

Mon Feb 25 12:25:03 EET 2008 (edwin)
------------------------------------
  * configure, configure.in:
	* improve check for bzip2
	* test for attribute((packed)) only on GNUC compilers, because Sun's cc ignores it
	* move iconv check after zlib/bzip2 checks
  * libclamav, libclamunrar_iface/Makefile*: use ../ to avoid problems with spaces in directory names

Fri Feb 22 11:38:41 CET 2008 (tk)
---------------------------------
  * libclamav/scanners.c: avoid calling cli_scanscript() for HTML files

Fri Feb 22 00:24:41 CET 2008 (tk)
---------------------------------
  * libclamav: use limits->maxfiles instead of MAX_EMBEDDED_OBJ for ZIP-SFX

Thu Feb 21 19:00:45 CET 2008 (tk)
---------------------------------
  * freshclam/manager.c: keep proper file order when building .cld file

Thu Feb 21 15:29:48 CET 2008 (tk)
---------------------------------
  * clamd/server-th.c: fix compilation error on Tru64 (bb#829)

Thu Feb 21 15:22:04 CET 2008 (tk)
---------------------------------
  * sigtool/sigtool.c: fix arg handling in vbadump() (bb#857)

Thu Feb 21 09:42:33 GMT 2008 (njh)
----------------------------------
  * clamav-milter:	Fix a bug in IPv4 local addresses added by the patch
  		applied on Tue Mar 27 22:05:28 BST 2007.

Wed Feb 20 22:03:07 CET 2008 (tk)
---------------------------------
  * libclamav: filetype detection improvements:
	- allow manual selection of matching method for each filetype signature
	- A-C filetype magic sigs can be limited to specific file formats
	- allow ndb-like offsets inside A-C filetype sigs
	- filetype sigs can be limited to specific f-levels
	- optimize filetype sigs handling inside cli_ac_scanbuff()
	- MAGIC_BUFFER_SIZE increased to 1024 bytes
	- A-C filetype sigs for CL_TYPE_IGNORED are guaranteed to work and take
	  precedence within MAGIC_BUFFER_SIZE file space (shouldn't be used
	  outside it)
	- rename daily.ft to daily.ftm (to avoid problems with older snapshots)

   TODO: try to re-classify CL_TYPE_ANY A-C sigs in filetypes_int.h

Wed Feb 20 16:49:13 EET 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.c: generate only nocomment.html (always contains script too) and notags.html (bb #851)
  * libclamav/hashtab.h:  len and data were reversed, invalidating entitylist.h
  * libclamav/filetypes_int.h: improve HTML filetype detection (bb #853)

Tue Feb 19 19:42:23 EET 2008 (edwin)
------------------------------------
  * libclamav/scanners.c, dconf.c:
	don't scan comment.html and script.html.
	add failsafe dconf option. (bb #851) 
	set scanscript limit to 512k
  * libclamav/htmlnorm.c: TODO don't generate above 2 files
  * libclamav/regex/regcomp.c: better condition for bb #849

Tue Feb 19 15:35:47 CET 2008 (tk)
---------------------------------
  * libclamunrar/unrarvm.c: fix declaration of rar_dbgmsg() (bb#848)

Tue Feb 19 14:50:29 CET 2008 (tk)
---------------------------------
  * clamscan/others.c: fix checkaccess() return value on win32 (bb#847)

Tue Feb 19 14:32:45 CET 2008 (tk)
---------------------------------
  * shared/misc.c: freshdbdir(): check freshclam.conf instead of clamd.conf;
				 don't print any errors while checking
				 alternative database directories

Tue Feb 19 13:40:26 CET 2008 (tk)
---------------------------------
  * libclamav/scanners.c: only scan normalised text with type-7 sigs

Tue Feb 19 00:24:01 CET 2008 (tk)
---------------------------------
  * sigtool/sigtool.c:	- general code cleanup
			- use internal tar archiver
			- add support for .cld files
			- count PUA and don't count FP sigs (in CVD header)
			- improve error handling
			- fix main.cvd building issues and interactive mode

Mon Feb 18 20:48:41 CET 2008 (acab)
-----------------------------------
  * configure: make fpu endianess manually configurable

Mon Feb 18 19:45:06 EET 2008 (edwin)
------------------------------------
  * libclamav/textnorm.c: initialiaze each field
	      scanners.c: decrease limit on scanscript

Mon Feb 18 12:39:39 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis: Use system zconf.h to allow building on HPUX

Mon Feb 18 12:31:04 EET 2008 (edwin)
------------------------------------
  * libclamav/regex/regcomp.c: fix another out of memory condition (bb #849)
			       thanks to Gianluigi Tiesi <sherpya*netfarm.it>

Mon Feb 18 11:11:34 EET 2008 (edwin)
------------------------------------
  * libclamav/phishcheck.c: fix out of memory handling (bb #849).

Mon Feb 18 00:09:32 CET 2008 (acab)
-----------------------------------
  * libclamav/unzip: skip zip sanity checks for SFX - bb#845

Sun Feb 17 10:53:57 CET 2008 (tk)
---------------------------------
  * libclamav/ole2_extract.c: handle null ctx, required for sigtool (bb#846)

Sat Feb 16 16:52:00 EET 2008 (edwin)
------------------------------------
  * libclamav/others.h: cannot use if in cli_dbgmsg() macro

Sat Feb 16 13:45:01 EET 2008 (edwin)
------------------------------------
  * configure, configure.in: AC_TRY_COMPILE already wraps its args with int
			     main(){}, don't do it twice
			     This fixes a build failure on HP-UX

Sat Feb 16 12:52:55 EET 2008 (edwin)
------------------------------------
  * libclamav/Makefile.am: fix location of nsis headers, needed for
			  'make dist' to work

Fri Feb 15 22:31:57 EET 2008 (edwin)
------------------------------------
  * libclamav/others.[ch]: replace cli_dbgmsg with a macro that avoids calling
			the real function if we're not debugging. Statically
			predict this branch as untaken.
  * libclamav/upack.c, libclamav.map: update due to above change

Fri Feb 15 18:24:22 CET 2008 (tk)
---------------------------------
  * clamd: delay the call to daemonize() (bb#839)

Fri Feb 15 13:15:42 CET 2008 (acab)
-----------------------------------
  * configure: provide a way to specify the version of sendmail
  		patch from Steve Gran <steve*lobefin.net>

Fri Feb 15 14:10:46 EET 2008 (edwin)
------------------------------------
  * libclamav/textnorm.c: need to include clamav-config.h (thanks Nigel)

Fri Feb 15 13:02:09 CET 2008 (acab)
-----------------------------------
  * docs: describe new limit options and defaults

Thu Feb 14 22:45:03 EET 2008 (edwin)
------------------------------------
  * libclamav/phischeck.c: change order of checks whitelist/isURL

Thu Feb 14 21:31:47 CET 2008 (tk)
---------------------------------
  * libclamav/matcher-ac.c: fix handling of root->ac_pattable (bb#837)

Thu Feb 14 21:20:39 CET 2008 (acab)
-----------------------------------
  * libclamav/ole2_extract.c: check limits

Thu Feb 14 19:38:48 CET 2008 (acab)
-----------------------------------
  * clamscan/manager.c: another typo in setting limits - thx nitrox

Thu Feb 14 19:21:03 CET 2008 (acab)
  * libclamav: limits in blobs

Thu Feb 14 16:25:11 CET 2008 (acab)
-----------------------------------
  * libclamav: fix warnings in pdf and untar

Thu Feb 14 15:33:22 CET 2008 (acab)
-----------------------------------
  * libclamav/untar: OTF scan
  * libclamav/pdf: create RW tempfiles

Thu Feb 14 02:53:28 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis: revert Nullsoft-bastardized zlibs

Wed Feb 13 17:14:30 CET 2008 (acab)
-----------------------------------
  * clamd: fix typo on limits setup

Wed Feb 13 12:43:41 EET 2008 (edwin)
------------------------------------
  * clamd/scanner.c, thrmgr.[ch]: use pthread_cond_* instead of usleep() in
				  MULTISCAN (bb #758)
  * libclamav/dconf.c: enable entconv by default
  * libclamav/others.c: fix compiler warning
  * libclamav/regex_list.c: remove unused code, because a better solution is scheduled
			    for 0.94 (bb #725)

Wed Feb 13 11:21:04 CET 2008 (tk)
---------------------------------
  * Merge security fixes:
  * libclamav/mew.c: fix possible heap corruption (bb#806)
    Found by Elliot, broken module disabled via daily.cvd published on Feb 2
  * libclamav/pe.c: fix possible integer overflow (CVE-2008-0318)
    Found by Silvio Cesare working with the VeriSign iDefense VCP;
    broken module disabled via daily.cvd published on Jan 11, 2008
  * libclamav/vba_extract.c: fix extraction of embedded files (bb#760)
  * libclamav/cab.c: improve handling of stored files (bb#771)
  * libclamav/scanners.c: respect recursion limits in cli_scanembpe() (bb#771)
  * libclamav/unarj.c: improve bounds checking (bb#811)

Wed Feb 13 12:11:08 EET 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.c: SVN r3619 broke phishing detection, fixed it

Wed Feb 13 02:49:38 CET 2008 (acab)
-----------------------------------
  * limits: Set new defaults, updated sample config files
  	    More to come (documents update and final tweaks)

Tue Feb 12 11:19:22 GMT 2008 (njh)
----------------------------------
  * libclamav/pdf.c:	Fix some warning messages and compilation error on
				Cygwin

Tue Feb 12 11:13:14 GMT 2008 (njh)
----------------------------------
  * libclamav/mbox.c:	Code tidy

Tue Feb 12 04:05:17 CET 2008 (acab)
  * clamd: options reordered

Tue Feb 12 01:39:03 CET 2008 (acab)
-----------------------------------
  * libclamav/pdf: on the fly scanning of attachments

Mon Feb 11 23:27:47 EET 2008 (edwin)
------------------------------------
  * libclamav/scanners.c, htmlnorm.c: tagless version of HTML file (bb #162)
  * libclamav/scanners.c, textnorm.[ch]: fix compiler warning

Mon Feb 11 22:16:10 CET 2008 (acab)
-----------------------------------
  * libclamav: account for scanned data in cli_scanbuff too

Mon Feb 11 21:04:30 CET 2008 (acab)
-----------------------------------
  * libclamav: more limit updates, more to come

Mon Feb 11 19:15:16 CET 2008 (tk)
---------------------------------
  * libclamav: mail: scan text attachments and decoded base64 bodies also with
	       type 4 sigs (bb#378)

Mon Feb 11 18:19:48 CET 2008 (acab)
-----------------------------------
  * WARNING: NEW LOGIC IN SCAN LIMITS
    The logic in the scanner limits have been reworked. This results in
    different command line options to clamscan, different config options to
    clamd and, overall, a different behaviour.
    I repeat: SOME THINGS HAVE CHANGED, BE CAREFUL!
    At the moment this is a work in progress. Final version will be available
    soon which will include a detailed ChangeLog and updated documentation.

Mon Feb 11 18:33:22 EET 2008 (edwin)
------------------------------------
  * libclamav/mbox.c: replace getc() with getc_unlocked() when available. This
		      avoids a function call on systems that have getc_unlocked()
		      implemented as a macro. (bb #723)

Mon Feb 11 15:46:39 CET 2008 (tk)
---------------------------------
  * libclamav/server-th.c: add missing mutex sync for progexit (bb#461)

Mon Feb 11 12:21:19 CET 2008 (tk)
---------------------------------
  * clamscan: match_regex: make sure --exclude/include patterns with
	      trailing slashes are handled correctly (bb#820)

Mon Feb 11 11:15:57 CET 2008 (tk)
---------------------------------
  * shared/misc.c: fix return value of daemonize() under Windows&OS/2 (thx NJH)

Mon Feb 11 11:09:10 CET 2008 (tk)
---------------------------------
  * libclamav/filetypes.c: improve I/O error handling in cli_filetype2 (bb#818)

Sun Feb 10 10:28:55 EET 2008 (edwin)
------------------------------------
  * configure, configure.in: don't use EXIT_SUCCESS if <stdlib.h> is not
			     included;
			     include <sys/select.h> only if needed for fd_set
			     (bb #452)
			     
Fri Feb  8 20:16:45 CET 2008 (tk)
---------------------------------
  * libclamac/readdb.c: add support for signature whitelisting with
			daily.ign/local.ign (bb#779)

Fri Feb  8 14:20:55 EET 2008 (edwin)
------------------------------------
  * configure.in:
	* quote macro arguments, group AC_C_* macros (bb #452), 
	  thanks to Markus Elfring <Markus.Elfring*web.de>
	* move ld --version-script check after compiler checks
  * run autoreconf (new libtool)

Fri Feb  8 13:50:18 EET 2008 (edwin)
------------------------------------
  * reduce stack usage of cli_scanscript (bb #819)

Thu Feb  7 22:30:51 EET 2008 (edwin)
------------------------------------
  * clamd: (bb #803)
	* don't ignore SIGBUS, SIGFPE, SIGILL, and SIGSEGV. 
	  POSIX says the behaviour is undefined if they are ignored.
	  (on HP-UX behaviour was: hang)
	* make BIGSTACK the default on HPUX 

Wed Feb  6 21:30:55 CET 2008 (tk)
---------------------------------
  * libclamav/regex_list.c: compatibility with new matcher extension

Wed Feb  6 20:36:05 EET 2008 (edwin)
------------------------------------
  * contrib/entitynorm/, libclamav/hashtab.[ch], readdb.c, matcher.h, entitylist.h, encoding_aliases.h:
	* introduce hashset_* functions
	* use a faster hash function
	* use hashset to load mdb signatures to optimize DB load time
  	* regenerate files due to hash function change
	* enable hash function profiling during generation

Wed Feb  6 13:12:24 CET 2008 (tk)
---------------------------------
  * libclamav/matcher-ac.[ch]: add support for matching single bytes anchored
			       to sub-signatures (see bb#776 for details)
  * libclamav/others.h: bump f-level

Wed Feb  6 14:07:45 EET 2008 (edwin)
------------------------------------
  * libclamav/regex_list.c: fix -pedantic warning.

Tue Feb  5 22:51:39 EET 2008 (edwin)
------------------------------------
  * configure.in, configure: enhance CLI_ISCONTAINED checks, reorder checks

Tue Feb  5 20:06:28 EET 2008 (edwin)
------------------------------------
  * libclamav/lzma_iface.[ch], nsis/nulsft.c:
	* don't include both zlib and  LzmaTypes.h (bb #805)
	* fixes build failure with non-system zlib
	* move declaration of CLI_LZMA into lzma_iface.c
	* allocate CLI_LZMA* in lzma_iface.c

Mon Feb  4 23:20:12 EET 2008 (edwin)
------------------------------------
  * libclamav/scanners, filetypes, dconf:
	support for generic text normalizer (CL_TYPE_SCRIPT)

Mon Feb  4 23:06:34 EET 2008 (edwin)
---------------------------------
  * libclamav/textnorm.[ch]: generic text normalizer (bb #241)
  * configure, aclocal.m4, */Makefile.in: automake complained that they were too old

Mon Feb  4 18:24:14 CET 2008 (tk)
---------------------------------
  * libclamav: fix some compiler warnings

Mon Feb  4 18:14:58 CET 2008 (acab)
  * libclamunrar: Use static CRC table - bb#64

Mon Feb  4 11:15:28 CET 2008 (tk)
---------------------------------
  * libclamav/cab.c: fix fd handling (thanks Edwin)

Sun Feb  3 21:23:01 EET 2008 (edwin)
------------------------------------
  * clamav-milter: use cli_ctime()

Sun Feb  3 21:04:54 EET 2008 (edwin)
---------------------------------
  * libclamav/others.[ch]: introduce cli_ctime() that uses ctime_r() when
		available, and falls back to locking with a mutex around
		ctime(). (ensures we are using the same mutex always).
  * clamd, shared: use cli_ctime() instead of the thread-unsafe ctime().
		This fixes stability problems.

Sun Feb  3 19:13:43 CET 2008 (tk)
---------------------------------
  * libclamav/filetypes.h: set MAGIC_BUFFER_SIZE to 512

Sun Feb  3 18:49:57 CET 2008 (tk)
---------------------------------
  * libclamav/chmunpack.c: fix invalid free() (bb#809)

Sun Feb  3 10:38:08 EET 2008 (edwin)
------------------------------------
  * libclamav/entconv.c: don't leave return value uninitialized. (bb #808).

Sat Feb  2 18:51:55 EET 2008 (edwin)
-----------------------------------
  * libclamav/entconv.h: enum encodings was missing (bb #807)

Sat Feb  2 10:22:45 CET 2008 (tk)
---------------------------------
  * libclamav/cab.c: fix error path descriptor leaks

Fri Feb  1 21:19:58 EET 2008 (edwin)
------------------------------------
  * libclamav/filetypes.c: use entconv to detect UTF-16BE, and UCS-4 variants
  * libclamav/htmlnorm.c: use only cli_readline() we don't need exact
  conversion
  * libclamav/entconv.c:
	* drop unused functions,
  	* simplify encoding_norm_readline(), and rename to encoding_normalize_toascii()

Fri Feb  1 00:58:05 CET 2008 (tk)
---------------------------------
  * libclamav: ndb sigs: add new target type (7) for ASCII files; handle
	       sigs for targets 2..7 with A-C only

Thu Jan 31 17:44:35 EET 2008 (edwin)
------------------------------------
  * libclamav/phishcheck.c, docs/phishsigs_howto.tex: ignore invalid URLs
  containing double dots, optimization: cut URL after hostname

Thu Jan 31 16:33:56 CET 2008 (tk)
---------------------------------
  * libclamav/vba_extract.c: minor code tidy; drop broken sigtouint32()

Thu Jan 31 12:59:18 CET 2008 (tk)
---------------------------------
  * libclamav, freshclam, sigtool: s/HAVE_GMP/HAVE_LIBGMP

Thu Jan 31 13:48:24 EET 2008 (edwin)
------------------------------------
 * build system:
	* allow to specify libgmp location, by using --with-libgmp-prefix,
		by default current prefix is also searched
 	* allow to specify libb2 location, by using --with-bz2-prefix,
		by default current prefix is also searched
	* locating gmp and bz2 works by default on OpenBSD (bb #301)
	* move local m4 macros to m4/
	* import lib-link.m4 and dependent files
	* quoting for autoconf macros (bb #452)

Wed Jan 30 23:13:19 EET 2008 (edwin)
------------------------------------
 * configure.in,configure: fix quoting of version.

Wed Jan 30 22:52:54 EET 2008 (edwin)
------------------------------------
 * configure.in,configure: add AC_C_RESTRICT (bb #452)

Wed Jan 30 22:42:39 EET 2008 (edwin)
------------------------------------
 * build system modernization: (based on suggestion from
		  Markus Elfring <Markus.Elfring*web.de> in bb #452)
	* use AC_CONFIG_HEADER, since AM_CONFIG_HEADER is obsolete
	* put configure files into auxiliary directory
	* fix main declaration in FD_SETSIZE test
	* check for failure on fopen in FD_SETSIZE test
	* move version from AM_INIT_AUTOMAKE to AC_INIT, old form was obsolete
	* eliminate automake warnings, update Makefile.am
	* rename .splitted to .split (requested by aCaB)


Wed Jan 30 20:45:38 CET 2008 (tk)
---------------------------------
  * libclamav/readdb.c: make the parser more sensitive to syntax errors (bb#238)

Wed Jan 30 20:23:20 EET 2008 (edwin)
------------------------------------
  * libclamav/phishcheck.c, regex_list.c: when domain matches, preserve full
  subdomain(bb #721)

Tue Jan 29 17:50:05 GMT 2008 (njh)
----------------------------------
  * libclamav/tnef.c:	Handle trailing CR and change handling of truncated
  				files (Based on a Patch from Edwin)

Tue Jan 29 17:10:54 GMT 2008 (njh)
----------------------------------
  * libclamav/mbox.c:	Downgrade some messages from warning to debug
				(Patch from Edwin)

Mon Jan 28 23:42:24 EET 2008 (edwin)
------------------------------------
  * docs/phishsigs_howto.tex/.pdf: more documentation update

Mon Jan 28 16:05:29 CET 2008 (tk)
---------------------------------
  * libclamav/matcher-bm.c: on Solaris/Intel bm_shift could be improperly
			    allocated (bb#773)

Sun Jan 27 20:09:35 CET 2008 (tk)
---------------------------------
  * libclamav/cab.c: fix memory errors in new code (bb#793)

Sat Jan 26 20:03:30 CET 2008 (acab)
-----------------------------------
  * libclamav/pdf.c: Zip module failure in pdf files - bb#617

Fri Jan 25 18:03:22 CET 2008 (tk)
---------------------------------
  * libclamav/cab.c: properly handle stored files

Fri Jan 25 17:35:26 CET 2008 (tk)
---------------------------------
  * freshclam/manager.c: advertise itself as HTTP/1.0 client

Fri Jan 25 17:16:53 CET 2008 (acab)
-----------------------------------
  * libclamunrar: same behaviour on 32bit and 64bit systems - bb#474

Fri Jan 25 18:15:21 EET 2008 (edwin)
------------------------------------
  * libclamav/htmlnorm.[ch]: handle NULL characters in HTML files. (bb #539).

Fri Jan 25 16:35:34 CET 2008 (tk)
---------------------------------
  * libclamav/cab.[ch]: rewrite file/folder handling code as a complete
			and proper solution for bb#730

Fri Jan 25 12:43:30 CET 2008 (tk)
---------------------------------
  * libclamav/cab.c: improve performance of cabinet extractor (bb#730)

Fri Jan 25 10:14:23 EET 2008 (edwin)
------------------------------------
  * libclamav/entconv.[ch]: make iconv replacement function handle NULL args
  (bb #792)

Thu Jan 24 13:35:51 GMT 2008 (njh)
----------------------------------
  * libclamav/mbox.c:	Use cli_strcasestr

Thu Jan 24 15:01:03 CET 2008 (acab)
-----------------------------------
 * libclamav: realign structs (related to bb#474)

Wed Jan 23 21:52:06 EET 2008 (edwin)
------------------------------------
 * libclamav/entconv.c: optimize u16_normalize, encode as hex entities
 (&#x0200;)
 * contrib/entitynorm: update dependencies to rebuild on hashtab.c change
 * libclamav/hashtab.[ch]: support keys with common prefix by checking match length
 * libclamav/entitylist.h, encoding_aliases.h: update due to hashtab change

Wed Jan 23 17:53:10 CET 2008 (acab)
-----------------------------------
  * libclamunrar_iface: realign structs (related to bb#474)

Wed Jan 23 17:45:12 CET 2008 (acab)
-----------------------------------
  * libclamunrar: realign structs (related to bb#474)

Wed Jan 23 17:15:28 CET 2008 (tk)
---------------------------------
  * shared/output.c: fix handling of special characters in mprintf/logg (bb#360)

Wed Jan 23 17:19:59 EET 2008 (edwin)
------------------------------------
 * libclamav/htmlnorm.c, entconv.c: optimize char reference handling

Wed Jan 23 15:54:00 EET 2008 (edwin)
------------------------------------
  * contrib/entitynorm, entconv.c: fix valid characters table for encoding name
  * libclamav/entconv.[ch]:
			* skip \0 characters
			* account for alignfix when calculating offset
			* reset iconv state before reusing  
  			* fix entity handling 
  			* fix memory leaks reported by valgrind
			* remove unused fields

Wed Jan 23 12:49:46 CET 2008 (tk)
---------------------------------
  * freshclam/manager.c: reduce the number of error messages (bb#478);
			 thanks to Vincent Regnard <devel*regnard.org>
  * freshclam: new cmdline switch --no-warnings

Tue Jan 22 19:26:04 CET 2008 (tk)
---------------------------------
  * freshclam/manager.c: fix typos introduced in r3503 (thanks Edwin)

Tue Jan 22 19:28:43 EET 2008 (edwin)
------------------------------------
  * libclamav/entconv.c: fix typo (thanks Nigel)

Tue Jan 22 18:24:12 CET 2008 (tk)
---------------------------------
  * shared/misc.c: add error reporting to daemonize() (bb#729)

Tue Jan 22 18:47:54 EET 2008 (edwin)
-----------------------------------
  * libclamav/entconv.c: handle E2BIG correctly, avoid infinite loops on iconv
  errors. (bb #785)

Tue Jan 22 15:29:15 CET 2008 (tk)
---------------------------------
  * configure: if available use dscl on Mac OS X (bb#753)

Tue Jan 22 11:54:52 CET 2008 (tk)
---------------------------------
  * libclamunrar/unrar.c: disable 'Unknown RAR pack method' error message due
			  to false alerts with some SFX archives (bb#399)

Tue Jan 22 11:28:20 CET 2008 (tk)
---------------------------------
  * configure: don't link with nsl if not needed (bb#754)

Tue Jan 22 11:20:12 CET 2008 (tk)
---------------------------------
  * shared/misc.c, clamd, clamscan, freshclam: respect custom dbdir settings
					       in print_version() (bb#699)

Tue Jan 22 09:16:24 CET 2008 (tk)
---------------------------------
  * clamd, clamdscan: drop support for direct fd passing (not maintained)

Mon Jan 21 19:59:41 EET 2008 (edwin)
------------------------------------
  * libclamav/entconv.c: fix EOF handling, bug introduced in r3515.

Mon Jan 21 18:16:53 CET 2008 (tk)
---------------------------------
  * configure,libclamav: drop internal snprintf implementation

Mon Jan 21 18:09:47 CET 2008 (tk)
---------------------------------
  * libclamunrar_iface/unrar_iface.h: add missing #pragma pack direct.  (bb#769)

Mon Jan 21 18:02:56 CET 2008 (tk)
---------------------------------
  * libclamav: use %lu/(unsigned long int) instead of %ju/(uintmax_t) (bb#444)

Mon Jan 21 17:27:54 EET 2008 (edwin)
------------------------------------
 * contrib/entitynorm:
			* use fewer entities, browsers don't support all either.
		       	* update to generate code for new entconv.
		       	* no need for configure, use just a simple Makefile
			 (it is an internal tool)
  libclamav/entconv.c, hashtab.c, htmlnorm.c:
			* don't allocate memory for each entity_norm call.
			* don't touch length of mmaped area (bb #785)
			* update htmlnorm to use new entity_norm

Mon Jan 21 16:04:35 EET 2008 (edwin)
-----------------------------------
  * libclamav/hashtab.[ch]: fix a gcc warning (bb #786). Thanks to
  Gianluigi Tiesi <sherpya*netfarm.it>

Sun Jan 20 23:49:41 EET 2008 (edwin)
------------------------------------
  * configure: AC_TRY_LINK already adds a main(), remove duplicate main()
  * libclamav: entconv improvements to improve security and performance
		Part I for  (bb #686, #386)
	       TODO: * optimize entity_norm
	             * create testfiles for unicode encoding variants
		     * create a regression test
		     * check for memory leaks

Sat Jan 19 14:41:50 CET 2008 (acab)
-----------------------------------
  * test: using splitted instead of byteswapped files

Fri Jan 18 17:01:25 EET 2008 (edwin)
------------------------------------
  * docs/phishsigs_howto.tex/.pdf: update documentation. Part I, more to come.
  (bb #554).

Fri Jan 18 12:13:16 CET 2008 (acab)
-----------------------------------
  * test: Storing the testifles byteswapped to avoid detection of the tarball.
  	  Real files are generated at make time and are additionally available
	  under /contrib/test - close bb#398

Thu Jan 17 21:38:58 CET 2008 (acab)
-----------------------------------
  * libclamav/nsis: use mmap if avail, prevent cli_malloc() spam if unavail,
  		    nsis_st reordered, close bb#738

Thu Jan 17 10:15:59 EST 2008 (tk)
---------------------------------
  * libclamav: disable some debug spam

Wed Jan 16 22:33:41 EST 2008 (tk)
---------------------------------
  * libclamav: remove experimental JS and PST code

Thu Jan 17 03:51:08 CET 2008 (acab)
-----------------------------------
 * libclamav/scanners.c: allow chm tempfile unlinking on win32. Thanks to 
   Gianluigi Tiesi <sherpya*netfarm.it>

Sun Jan 13 11:09:18 EET 2008 (edwin)
-----------------------------------
 * libclamav/entconv.c: don't make tmp_move negative (bb #772).

Sat Jan 12 23:00:17 EET 2008 (edwin)
------------------------------------
  * libclamav/Makefile.am/in, others.c: Fix build problem on OpenBSD: don't compile in
  functions depending on pthreads into libclamav_internal_utils.a, because
  clamdscan is compiled without pthreads.

Fri Jan 11 22:50:33 CET 2008 (tk)
---------------------------------
  * libclamav/cvd.c: fix loading of .cld files on some platforms (bb#770)

Thu Jan 10 20:08:58 CET 2008 (tk)
---------------------------------
  * libclamav: avoid holes in often used data structures (bb#748);
	       thanks to Edwin

Thu Jan 10 18:33:26 CET 2008 (tk)
---------------------------------
  * shared/misc.c: don't pass --rsrc flag to ditto (bb#380)

Thu Jan 10 15:17:19 CET 2008 (tk)
---------------------------------
  * libclamav: fix printing of size_t and off_t vars (bb#444);
	       reported by Anton Yuzhaninov <citrin*rambler-co.ru>

Thu Jan 10 14:29:28 CET 2008 (tk)
---------------------------------
  * clamdscan: remove dependendcy on libclamav (bb#750), patch from Edwin

Thu Jan 10 11:23:32 GMT 2008 (njh)
----------------------------------
  * clamav-milter:	Use new cli_rndnum API - thanks to TK for spotting
  				this one

Wed Jan  9 20:13:52 CET 2008 (tk)
---------------------------------
  * libclamav/others.c: improve cli_rndnum() and cli_gentempfd()

Wed Jan  9 14:19:15 CET 2008 (tk)
---------------------------------
  * freshclam/manager.c: under some conditions old db files were not being
			 removed

Wed Jan  9 12:29:48 CET 2008 (tk)
---------------------------------
  * libclamav/cvd.c: gzdopen() may not close fd

Wed Jan  9 11:13:25 CET 2008 (tk)
---------------------------------
  * libclamav/cvd.c: fix error path descriptor leak (reported by G. Tiesi)
  * shared/misc.c: cvd_unpack: cli_untgz() no longer closes fd

Mon Jan  7 14:50:24 CET 2008 (tk)
---------------------------------
  * libclamav/textdet.c: text detection code based on file-4.23
  * libclamav/filetypes.c: re-enable text detection (ASCII, UTF8, UTF16)

Sun Jan  6 19:35:28 EET 2008 (edwin)
------------------------------------
 * build system: improve iconv() detection, by actually trying to link a
 test-program (bb #599).

Sun Jan  6 18:26:57 EET 2008 (edwin)
------------------------------------
 * build system: avoid bringing in checks for languages we don't use
 (decreases configure size by 300Kb+).

Sun Jan  6 15:36:46 CET 2008 (acab)
-----------------------------------
  * build system: reenable canadian cross in configure

Sat Jan  5 10:25:22 GMT 2008 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Minor optimisation

Sat Jan  5 03:07:37 CET 2008 (acab)
  * libclamav: fix several warnings - mostly format strings

Thu Jan  3 12:38:03 CET 2008 (tk)
---------------------------------
  * shared/misc.c, clamd/session.c: add support for .cld files (bb#745)

Wed Jan  2 13:46:24 CET 2008 (acab)
  * libclamav/explode.c: big endian support

Tue Jan  1 23:30:06 CET 2008 (acab)
-----------------------------------
  * libclamav/unzip: add support for zip method 6 (implode) - bb#584
  		     fix for zip method 12 (bzip2)

Mon Dec 31 14:08:40 EET 2007 (edwin)
------------------------------------
 * configure*: add support for version scripts when using Sun's ld on Solaris.
 * acinclude.m4: use $GREP to grep binary files, needed for autoit to build on
 Solaris.
 * */Makefile.am/.in: add support for both GNU and Sun ld version scripts.
 * */*.map: add version script maps to libclamunrar, libclamunrar_iface.
  Enumerate all symbols, Sun's ld doesn't support cl_* (only *).
 * libclamav/dsig.c: cli_decodesig needs a dummy definition on Solaris.

Sun Dec 30 13:57:45 EET 2007 (edwin)
-----------------------------------
 * libclamav/str.c: optimize cli_strcasestr()

Sat Dec 29 20:18:40 GMT 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Bug 693

Sat Dec 29 18:01:35 EET 2007 (edwin)
------------------------------------
 * libclamav/msexpand.c: fix typo causing build failure with Sun's cc on
 Solaris. Add missing pack pragmas.

Sat Dec 29 15:05:11 GMT 2007 (njh)
----------------------------------
  * clamav-milter:	Correct nul termination in ping response from clamd

Sat Dec 29 16:02:47 EET 2007 (edwin)
------------------------------------
  * libclamav: the ugly hack isn't needed on Solaris after all, if building
  with system zlib. Instead defining only Z_BLOCK is enough.

Sat Dec 29 14:41:29 CET 2007 (acab)
-----------------------------------
  * libclamav:	Misc fixes to make gcc 3.4.6 work on solaris
		(requested by Edwin)

Sat Dec 29 12:36:36 EET 2007 (edwin)
------------------------------------
  * libclamav/others.h: fix typo causing build failure on ppc.
    libclamav/Makefile.in/am: minor cleanup

Fri Dec 28 23:23:40 EET 2007 (edwin)
------------------------------------
  * configure, libclamav/Makefile.in/am : add ld version script support.
       cl_ symbols are exported with a CLAMAV_PUBLIC version,
       cli_ symbols with a CLAMAV_PRIVATE version.
  * clamav-milter/Makefile.in/am: fix out-of-tree builds of manpage.

Fri Dec 28 16:37:43 EET 2007 (edwin)
------------------------------------
  * configure, libclamav/str.[ch] : strcasestr() check and replacement.

Fri Dec 28 13:06:56 CET 2007 (acab)
-----------------------------------
  * libclamav/matcher-bm.c: typo causing null dereference on mdb matches

Fri Dec 28 13:53:33 EET 2007 (edwin)
------------------------------------
  * libclamav/phishcheck.h, regex_list.[ch], rtf.c:
	avoid holes in data-structures due to alignment.

Thu Dec 27 14:21:52 GMT 2007 (trog)
-----------------------------------
  * libclamav/chmunpack.c: fix bb#740

Wed Dec 26 14:49:12 CET 2007 (acab)
-----------------------------------
  * libclamav/wwunpack.c: fix typo causing SEGV - bb#743

Sat Dec 22 21:52:51 CET 2007 (tk)
---------------------------------
  * freshclam: new option CompressLocalDatabase (default: no)

Sat Dec 22 02:07:55 CET 2007 (tk)
---------------------------------
  * freshclam/manager.c: improve db check; make new db available already
			 in unlink-rename time window

Sat Dec 22 00:10:53 CET 2007 (tk)
---------------------------------
  * libclamav: various platform-specific cleanups

Fri Dec 21 10:39:22 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	More tidies

Thu Dec 20 22:48:35 GMT 2007 (njh)
----------------------------------
  * clamav-milter:	Removed calls to cli_*msg()

Thu Dec 20 12:09:22 GMT 2007 (njh)
----------------------------------
  * clamav-milter:	Fix handling of 2nd and subsequent SIGUSR2 calls

Wed Dec 19 22:11:17 CET 2007 (tk)
---------------------------------
  * freshclam, libclamav: drop support for .inc directories and instead use
			  local containers with .cvd-like structure but
			  uncompressed by default
  * libclamav/lockdb.[ch]: remove files (no longer needed)
  * TODO: sigtool, optional compression for .cld in freshclam
  * .inc dirs are no longer used and should be removed manually

Wed Dec 19 16:22:24 CET 2007 (tk)
---------------------------------
  * shared/tar.[ch]: minimalistic tar archiver for sigtool and freshclam

Wed Dec 19 10:17:02 GMT 2007 (trog)
-----------------------------------
  * libclamav/chmunpack.[ch], scanners.c: re-structure CHM unpacker. Uses no
			dynamic memory when mmap() available.

Tue Dec 18 19:55:13 CET 2007 (acab)
-----------------------------------
  * libclamav/unzip.c: Fix mmap leaks in unzip

Tue Dec 18 19:43:04 CET 2007 (tk)
---------------------------------
  * libclamav: add (initial) support for direct loading of CVD files (without
	       extracting to /tmp); requires CL_DB_CVDNOTMP passed to cl_load()

Tue Dec 18 16:25:22 GMT 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Fix warnings with various compilers

Tue Dec 18 16:52:54 CET 2007 (acab)
-----------------------------------
  * libclamav/unzip.c: Fix mmap leaks if tempfile fails

Tue Dec 18 13:52:40 GMT 2007 (njh)
----------------------------------
  * libclamav, sigtool:	Add consistency to function names in the VBA module

Tue Dec 18 10:23:34 GMT 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Clean up print statement when redirection limit is
				reached

Mon Dec 17 19:41:40 GMT 2007 (njh)
----------------------------------
  * libclamav:	Small code cleanups

Sun Dec 16 21:15:17 CET 2007 (tk)
---------------------------------
  * libclamav/scanners.c: avoid double scanning of raw HTML files

Sun Dec 16 19:09:36 CET 2007 (tk)
---------------------------------
  * libclamav/pe.c: support whitelisting of individual .mdb sigs

Sat Dec 15 20:50:02 CET 2007 (tk)
---------------------------------
  * libclamav: - use B-M to handle .hdb and .fp databases
	       - whitelisting now works for MD5 sigs
	       - other minor cleanups

Sat Dec 15 15:22:54 EET 2007 (edwin)
-----------------------------------
  * libclamav/phishcheck.c: fix leaks introduced by r3417.

Fri Dec 14 22:55:32 CET 2007 (tk)
---------------------------------
  * libclamav: improved filetype detection code; filetype definitions can now
	       be distributed inside daily.cvd
  * sigtool/sigtool.c: handle daily.ft

Fri Dec 14 13:02:38 EET 2007 (edwin)
------------------------------------
  * libclamav/phishcheck.[ch]:
	merged from not_for_0.92_tempbranch.
	remove "all domain scan" feature from phishcheck
	(--no-phishing-restrictedscan). Nobody is using it.
	Don't care why an url is clean, just state it is clean.
	Various cleanups resulting from this.
	Prepare to introduce selective turn on of sub-features.

Thu Dec 13 23:34:22 CET 2007 (tk)
---------------------------------
  * libclamav: rewritten decompressor for mscompress - faster and more secure

Thu Dec 13 21:47:53 CET 2007 (acab)
-----------------------------------
  * libclamav: merge the post 0.92 code
    - NSIS: zlib compression now handled via system zlib
    - NSIS: unmodified lzma state decoder now statically linked
    - SIS: handler rewritten to support more recent sis archives
    - PE: rewritten wwpack32 handler
    - SPIN: cosmetic changes
    - UNZIP: decompressor rewritten with bzip2 and deflate64 support

Thu Dec 13 15:29:46 GMT 2007 (njh)
----------------------------------
  * clamav-milter:	Don't block when checking remote clamds on startup
			Removed duplicated call to openlog
			Minor improvements to log messages
  * libclamav:		Rewrite much of vba_extract.c (and dependancies in
				blob.c)
			Better RFC2231 handling in message.c
			Rewrite non-blocking connect (mbox.c)

Thu Dec 13 14:57:39 GMT 2007 (trog)
-----------------------------------
  * libclamav/chmunpack.c: Code cleanup. Reduce dynamic memory footprint.

Thu Dec 13 00:26:58 CET 2007 (tk)
---------------------------------
  * 0.92 (released with JS and PST code removed)

Wed Dec 12 23:45:21 CET 2007 (tk)
---------------------------------
  * libclamav/vba_extract.c: fix compilation error with --enable-debug (NJH)

Wed Dec 12 23:37:18 CET 2007 (tk)
---------------------------------
  * libclamav/others.c,configure.in: bump f-level and revision

Wed Dec 12 23:34:36 CET 2007 (tk)
---------------------------------
  * docs: update

Wed Dec 12 23:17:02 CET 2007 (tk)
---------------------------------
  * libclamav/matcher-ac.h: add missing prototype for cli_ac_setdepth() (bb#711)

Wed Dec 12 21:59:00 CET 2007 (tk)
---------------------------------
  * libclamunrar, libclamunrar_iface: re-include RAR code

Tue Dec 11 20:20:36 CET 2007 (tk)
---------------------------------
  * freshclam/manager.c: eliminate misleading error message when downloading
			 to empty directory

Mon Dec 10 15:54:20 CET 2007 (tk)
---------------------------------
  * libclamav/nsis/bzlib_private.h: fix bzlib bug (aCaB)

Mon Dec 10 15:50:22 CET 2007 (tk)
---------------------------------
  * libclamav: eliminate some warning msgs

Sun Dec  9 11:43:03 EET 2007 (edwin)
------------------------------------
  * shared/misc.c: pass mode to open with O_CREAT.
  Avoids build failure with -D_FORTIFY_SOURCE=2 on gcc4.3 with glibc 2.7.

Fri Dec  7 08:56:02 GMT 2007 (trog)
-----------------------------------
  * libclamav/scanners.c: fixup return value.

Thu Dec  6 15:44:01 CET 2007 (edwin)
------------------------------------
  * libclamav/regex_list.c: avoid circular list construction, when different
			    versions of same .wdb is loaded twice. (BB #718)

Thu Dec  6 15:41:04 CET 2007 (trog)
-----------------------------------
  * libclamav/unarj.c: minor code cleanup

Thu Dec  6 15:39:11 CET 2007 (tk)
---------------------------------
  * libclamav/matcher-ac.c: fix handling of bfs_last (bb#713)

Thu Dec  6 15:29:00 CET 2007 (tk)
---------------------------------
  * libclamav/others.c: bump f-level

Thu Dec  6 15:22:27 CET 2007 (tk)
---------------------------------
  * libclamav/pe.c: fix possible integer overflow in MEW related code
		    Reported by iDefense [IDEF2842]

Thu Dec  6 15:19:53 CET 2007 (tk)
---------------------------------
  * libclamav/sis.c: fix error path descriptor leak (bb#704)

Thu Dec  6 15:15:45 CET 2007 (tk)
---------------------------------
  * libclamav/mspack.c: fix off-by-one error in LZX_READ_HUFFSYM() (bb#663)

Thu Dec  6 15:11:25 CET 2007 (tk)
---------------------------------
  * libclamav/mbox.c: some attachments were not being scanned (NJH, bb#660)

Thu Dec  6 15:08:01 CET 2007 (tk)
---------------------------------
  * libclamav/htmlnorm.c: properly truncate long URLs (Edwin, bb#645)

Thu Dec  6 15:03:16 CET 2007 (tk)
---------------------------------
  * libclamunrar: temporarily remove the RAR code

Mon Nov 12 17:47:21 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Removed more unused code

Mon Nov 12 01:09:13 CET 2007 (acab)
-----------------------------------
  * libclamav/spin.c: Minor improvements

Thu Nov  8 14:29:00 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Removed more unused code

Thu Nov  8 15:18:39 CET 2007 (tk)
---------------------------------
  * libclamav: add cli_ac_setdepth()
  * clamscan: --dev-ac-depth
  * clamd: DevACOnly, DevACDepth

Wed Nov  7 20:37:27 GMT 2007 (njh)
----------------------------------
  * clamav-milter:	Added signal handling: SIGUSR2 to reload database
				(when not external mode); SIGHUP to reopen
				the logfile (to aid logrotate)

Wed Nov  7 13:06:54 GMT 2007 (njh)
----------------------------------
  * libclamav/blob.c:	VBS.Redlof-A was not being detected under Windows

Tue Nov  6 17:49:03 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Added sanity check to get_unicode_name(),
					needed for W97M.Advice

Tue Nov  6 17:17:56 CET 2007 (tk)
---------------------------------
  * libclamav/matcher-bm.c: minor code cleanup; load balance bm_suffix

Tue Nov  6 16:13:08 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Removed more unused code

Mon Nov  5 17:16:18 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	More tidy up

Sat Nov  3 14:28:17 CET 2007 (edwin)
  * libclamav/autoit.c: fix endianess checks for arm - thanks edwin

Sat Nov  3 00:25:52 EET 2007 (edwin)
------------------------------------
  * libclamav/ole2_extract.c: make endian conversion macros work when operand
  is negative number.

Fri Nov  2 00:16:27 CET 2007 (acab)
  * libclamav/autoit: final

Thu Nov  1 17:42:12 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	More tidy ups. Fixed memory leak on error
			return

Thu Nov  1 16:14:50 CET 2007 (acab)
  * libclamav/autoit: add support for type10(int64) and some misc fixes

Wed Oct 31 17:45:45 GMT 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Tidy up and removed some unused code

Wed Oct 31 16:08:39 CET 2007 (acab)
-----------------------------------
  * libclamav/autoit: misc fixes

Tue Oct 30 22:35:47 CET 2007 (acab)
-----------------------------------
  * libclamav/autoit: misc fixes - big thanks to Edwin

Tue Oct 30 19:30:54 CET 2007 (tk)
---------------------------------
  * libclamav: add dconf support for autoit

Tue Oct 30 19:01:41 CET 2007 (acab)
-----------------------------------
  * libclamav: Add preliminary autoit unpacking support

Tue Oct 30 16:35:41 GMT 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Now honours --max-files

Tue Oct 30 15:40:49 GMT 2007 (njh)
----------------------------------
  * libclamav/pdf.c:	Bug 698

Mon Oct 29 20:27:36 EET 2007 (edwin)
------------------------------------
  * libclamav/phishcheck.c: better handling for \n

Fri Oct 26 19:58:02 CEST 2007 (tk)
----------------------------------
  * add COPYING.unrar; TODO: add GPL exception for libclamunrar

Fri Oct 26 19:51:52 CEST 2007 (tk)
----------------------------------
  * libclamav, configure: by default don't build and link with libclamunrar;
			  use --enable-unrar to build with RAR support

Fri Oct 26 17:47:22 CEST 2007 (tk)
----------------------------------
  * libclamunrar/Makefile: remove

Fri Oct 26 16:36:12 BST 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Further cleanups

Wed Oct 24 09:08:12 BST 2007 (njh)
----------------------------------
  * clamav-milter:	Improved SPF checking for phish false positives
			Improved chroot failure diagnostics
			Added option to report phish false positives

Tue Oct 23 12:05:05 BST 2007 (trog)
-----------------------------------
  * libclamunrar: move unrar to a separate library, under an unrar license.

  * libclamav/unarj: further bounds checking

Mon Oct 22 20:39:10 BST 2007 (njh)
----------------------------------
  * libclamav/vba_extract.c:	Fixed warnings, removed double close() and
			some code tidies

Thu Oct 18 20:42:11 EDT 2007 (tk)
---------------------------------
  * libclamav/dsig.c: fix integer wrap introduced in r3305 (bb#688)

Thu Oct 18 14:54:20 EDT 2007 (tk)
---------------------------------
  * libclamav: move RSASSA-PSS code to shared/cdiff.c

Wed Oct 17 11:40:05 BST 2007 (trog)
-----------------------------------
  * libclamav/unrar: remove RARv3 support.

Tue Oct  9 16:53:48 CEST 2007 (tk)
----------------------------------
  * 0.92rc2 (released with JS and PST code removed)

Tue Oct  9 16:28:56 CEST 2007 (tk)
----------------------------------
  * libclamav/dconf.c: re-enable ARJ in standard builds
  * libclamav/others.c: bump f-level

Tue Oct  9 11:36:44 BST 2007 (trog)
-----------------------------------
  * libclamav/unarj.c: Improve bounds checking.

Tue Oct  9 08:47:44 BST 2007 (njh)
----------------------------------
  * clamav-milter:	Fix bug introducted in revision 3277.

Mon Oct  8 23:20:23 CEST 2007 (tk)
----------------------------------
  * 0.92rc1 (released with JS and PST code removed)

Mon Oct  8 22:32:33 CEST 2007 (tk)
----------------------------------
  * libclamav/dconf.c: make ARJ experimental

Mon Oct  8 20:36:58 CEST 2007 (tk)
----------------------------------
  * libclamav/others.c: bump f-level

Mon Oct  8 17:12:52 CEST 2007 (tk)
----------------------------------
  * clamscan, clamdscan: check both st_dev and st_ino in move_infected()

Mon Oct  8 17:02:30 CEST 2007 (tk)
----------------------------------
  * clamconf: print version details for engine and databases

Mon Oct  8 15:44:59 CEST 2007 (tk)
----------------------------------
  * clamdscan, freshclam: fix some warnings

Mon Oct  8 14:09:05 CEST 2007 (tk)
----------------------------------
  * freshclam/freshclam.c: add support for LogFileMaxSize and LogTime

Sat Oct  6 12:36:13 CEST 2007 (acab)
------------------------------------
  * libclamav/nsis/nulsft.c: check return value of gentemp()

Sat Oct  6 10:47:26 EEST 2007 (edwin)
------------------------------------
  * libclamav/phish*.[ch], regex_list.c, rtf.c: fix some warnings

Sat Oct  6 01:10:40 CEST 2007 (tk)
----------------------------------
  * clamd/server-th.c: shutdown conn->sd when exiting scanner_thread() (bb#674)

Sat Oct  6 00:50:05 CEST 2007 (tk)
----------------------------------
  * clamscan, clamd: better error checking/reporting (bb#657)

Sat Oct  6 00:25:17 CEST 2007 (tk)
----------------------------------
  * clamd: enable FixStaleSocket by default

Fri Oct  5 22:56:13 CEST 2007 (tk)
----------------------------------
  * sigtool/sigtool.c: print filename when using --info (bb#513)

Fri Oct  5 22:50:37 CEST 2007 (tk)
----------------------------------
  * libclamav/pe.c: fix bb#495

Fri Oct  5 14:30:38 CEST 2007 (tk)
----------------------------------
  * libclamav/readdb.c: code cleanup

Fri Oct  5 11:02:07 BST 2007 (njh)
----------------------------------
  * clamav-milter:	Corrected comment on the meaning of NTRIES

Thu Oct  4 15:16:45 CEST 2007 (tk)
----------------------------------
  * libclamav/matcher-ac.c: fix range calculation for multipart sigs with string
			    alternatives

Thu Oct  4 13:29:02 CEST 2007 (tk)
----------------------------------
  * freshclam/manager.c: downgrade "file not found on remote server" to warning

Wed Oct  3 18:26:12 EEST 2007 (edwin)
-------------------------------------
  * libclamav/clamav.h: make CL_SCAN_STDOPT consistent with clamscan/clamd's
  defaults.

Wed Oct  3 15:10:28 EEST 2007 (edwin)
------------------------------------
  * libclamav/regex_list.[ch]: avoid some false positives when there are
  spaces in URL.

Wed Oct  3 01:48:26 CEST 2007 (tk)
----------------------------------
  * libclamav/matcher-ac.[ch]: - add basic support for string alternatives
			       - optimise bfs_enqueue/dequeue

Tue Oct  2 22:53:15 EEST 2007 (edwin)
------------------------------------
  * libclamav/phishcheck.c: remove incorrect free_if_needed call

Tue Oct  2 21:29:03 EEST 2007 (edwin)
-------------------------------------
  * libclamav/phishcheck.[ch]: avoid false positives with outbind:// URLs

Mon Oct  1 14:05:35 BST 2007 (njh)
----------------------------------
  * clamav-milter:	More informative message when SPF record is passed

Mon Oct  1 10:52:13 BST 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Increase the chance of a stack trace being printed in
				the event of trouble.
			Various compiler warnings removed.

Sun Sep 30 23:18:11 EEST 2007 (edwin)
-------------------------------------
  * libclamav/phishcheck.c, regex_list.c: more improvements to the algorithm.

Fri Sep 28 21:02:43 EEST 2007 (edwin)
-------------------------------------
  * libclamav/regex_list.c: fix off by one substring logic.

Fri Sep 28 20:17:41 EEST 2007 (edwin)
-------------------------------------
  * libclamav/phishcheck.c: fix NULL deref. bug, use of uninitialized
  variable, and memory leak from yesterday's commit. (r3255)
  * Changelog: add log message for r3254 from svn log, forgot to update
  Changelog yesterday (oops)
  * libclamav/phish*.[ch], regex_list.[ch]: more improvements to the url extraction algorithm (more to come later).
					    Reduces false negatives. False
					    positives ratio should be same.
					    (r3254)

Wed Sep 26 23:36:06 CEST 2007 (tk)
----------------------------------
  * libclamav/matcher-ac.c: minor optimisation

Tue Sep 25 10:43:35 BST 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Only use strcasestr on Linux (for now, until it
				can be built into configure)

Sun Sep 23 13:49:12 BST 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	MailFollowURLS: Prefer .exes for download, catches
				Trojan.IRC-Script-33

Sat Sep 22 18:14:49 EEST 2007 (edwin)
-------------------------------------
  * libclamav/cvd.c: seek on the underlying file descriptor and not FILE*.
       Avoids problems on OpenBSD with cvd unpacking.

Fri Sep 21 18:40:56 EEST 2007 (edwin)
-------------------------------------
  * configure, configure.in: add comment on origin of testcases.

Fri Sep 21 00:33:37 CEST 2007 (acab)
------------------------------------
  * libclamav/pe.c: Avoid variadic macroes make vc6 happy. Big thx to
			Gianluigi Tiesi for reporting and testing.

Fri Sep 21 00:18:08 EEST 2007(edwin)
------------------------------------
 * clamscan/others.c: use cli_regcomp(), instead of regcomp().

Fri Sep 21 00:13:32 EEST 2007(edwin)
------------------------------------
  * configure, configure.in: add check to detect certain compiler bugs that
  cause incorrect code generation for CLI_ISCONTAINED.

Thu Sep 20 23:19:20 EEST 2007(edwin)
------------------------------------
  * libclamav/phishcheck.c: improve url extraction algorithm.

Thu Sep 20 11:21:14 BST 2007 (njh)
----------------------------------
  * clamav-milter/clamav-milter.c:	Plug leak on SPF error handling

Tue Sep 18 19:50:33 CEST 2007 (tk)
----------------------------------
  * libclamav/matcher-ac.c: properly handle alternatives in the new approach

Tue Sep 18 13:45:34 BST 2007 (njh)
----------------------------------
 * libclamav/regex/regcomp.c:	Fix compilation error on systems without
		_POSIX2_RE_DUP_MAX (under advice from Edwin)

Mon Sep 17 21:06:59 EEST 2007(edwin)
------------------------------------
 * libclamav/regex/: add regcomp(), regexec() impl. from OpenBSD's libc.
	This code is licensed under the 3-clause BSD.
	This will be used instead of system provided regexec()/regcomp() to
	have consistent behaviour across platforms.

Mon Sep 17 17:12:27 BST 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Bugs 665/667

Mon Sep 17 14:36:27 BST 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Bug 664

Sat Sep 15 17:39:06 CEST 2007 (acab)
------------------------------------
  * libclamav/pe.c: fix nasty typo - thanks edwin!

Sat Sep 15 09:13:14 BST 2007 (njh)
----------------------------------
  * libclamav:			More cleanups

Fri Sep 14 20:16:20 CEST 2007 (tk)
----------------------------------
  * libclamav/matcher-ac.c: minor optimisation

Fri Sep 14 10:03:22 BST 2007 (njh)
----------------------------------
  * libclamav/message.c:	--enable-debug: fix assertion (thanks to Edvin)

Thu Sep 13 19:23:31 CEST 2007 (tk)
----------------------------------
  * libclamav/matcher-ac.[ch]: various speed optimisations:
				- optimise node usage
				- try hard to not overload node 0x00.0x00[0x00]
				- optimise memory usage

Thu Sep 13 17:37:31 BST 2007 (njh)
----------------------------------
  * libclamav:	More optimisations

Thu Sep 13 14:01:08 CEST 2007 (acab)
  * libclamav/pe.c: One more typo fixed

Thu Sep 13 12:37:26 CEST 2007 (acab)
------------------------------------
  * libclamav: Shut up a few warnings and fix some typoes

Wed Sep 12 13:36:37 BST 2007 (njh)
----------------------------------
  * libclamav:	More optimisations

Tue Sep 11 10:33:21 BST 2007 (njh)
----------------------------------
  * libclamav:	Various code clean ups and optimisations

Sun Sep  9 13:42:26 CEST 2007 (acab)
  * libclamav/nsis: tidy

Sat Sep  8 14:08:54 CEST 2007 (acab)
------------------------------------
  * libclamav/pe.c: wrap in paretheses - bb#656, part 1/2

Fri Sep  7 15:28:54 CEST 2007 (tk)
----------------------------------
  * libclamav, clamd, clamscan: move hardware acceleration code to
				contrib/hwaccel/hwaccel.patch

Thu Sep  6 17:18:01 BST 2007 (njh)
----------------------------------
  * libclamav/pdf.c:	Ensure consistency with other archivers when attempted
				DoS attacks are caught

Thu Sep  6 12:30:10 BST 2007 (njh)
----------------------------------
  * libclamav, clamav-milter:	Various cleanups
  * libclamav/blob.c:	Handle cli_readn() difficulties when called by
				cli_check_mydoom_log()

Tue Sep  4 16:38:18 BST 2007 (njh)
----------------------------------
  * libclamav/pdf.c:	Don't clear any stored virus name
  * libclamav/[mbox|message.c]:	Code clean up
  * clamav-milter/clamav-milter.c:	Blacklist crackers

Tue Sep  4 11:48:08 BST 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Catch phishes with NULL names

Tue Sep  4 09:52:10 BST 2007 (njh)
----------------------------------
  * libclamav/mbox.c:	Partial dir: plug leak on error and code tidy

Tue Sep  4 01:31:23 CEST 2007 (acab)
------------------------------------
  * libclamav:pe.c  General "tidy" and some algo hacks. Old and inefficient
			sue cryptor replaced with a signature.

Sun Sep  2 12:41:46 BST 2007 (njh)
----------------------------------
  * clamav-milter:	Fix compilation error from fix to bug 577

Sun Sep  2 13:28:01 CEST 2007 (tk)
----------------------------------
  * clamd: fix compilation error

Fri Aug 31 21:08:22 CEST 2007 (tk)
----------------------------------
  * contrib: fix bb#644 (Contrib files have wrong shebang line)
	     Thanks to Steve Gran <steve*lobefin.net>

Fri Aug 31 21:02:46 CEST 2007 (tk)
----------------------------------
  * libclamav: various cleanups; fix bb#577 (move cli_* out of clamav.h)

Fri Aug 31 09:02:23 BST 2007 (njh)
----------------------------------
  * clamav-milter:	Bug 642

Thu Aug 30 09:05:45 BST 2007 (njh)
----------------------------------
  * libclamav/blob.c:	Yesterday's new code broke --leave-temps

